diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index cd1b36f..1a1e53a 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -618,7 +618,7 @@ Thus, when a system command is entered this function is called.
   (setq |$ncMsgList| nil) 
   (setq |$systemCommandFunction| #'|InterpExecuteSpadSystemCommand|) 
   (setq |$shoeReadLineFunction| #'|serverReadLine|) 
-  (setq |$promptMsg| 'S2CTP023) 
+  (setq |$promptMsg| 's2ctp023) 
   (if interactive? 
    (progn 
      (princ (mkprompt)) 
@@ -744,7 +744,7 @@ of the {\bf AXIOM} shell variable at build time) if we can't.
 
 Called from \fnref{restart}.
 <<defun initroot>>=
-(defun initroot (&optional (newroot (BOOT::|getEnv| "AXIOM")))
+(defun initroot (&optional (newroot (getenviron "AXIOM")))
   (declare (special $spadroot))
   (reroot (or newroot $spadroot (error "setenv AXIOM or (setq $spadroot)"))))
 
@@ -776,6 +776,7 @@ Prefix a filename with the {\bf AXIOM} shell variable.
 \defun{makeInitialModemapFrame}{makeInitialModemapFrame}
 <<defun makeInitialModemapFrame>>=
 (defun |makeInitialModemapFrame| ()
+  (declare (special |$InitialModemapFrame|)) 
   (copy |$InitialModemapFrame|)) 
 
 @
@@ -866,17 +867,14 @@ they result in a dotted pair if the input is not a cons. However,
 this is what the current code does so I won't change it.
 <<defun setCurrentLine>>=
 (defun |setCurrentLine| (s)
+ (declare (special |$currentLine|))
  (cond 
-  ((null |$currentLine|) 
-    (setq |$currentLine| s))
+  ((null |$currentLine|) (setq |$currentLine| s))
   ((and (stringp |$currentLine|) (stringp s))
     (setq |$currentLine| (list |$currentLine| s)))
-  ((not (consp |$currentLine|))
-    (setq |$currentLine| (cons |$currentLine| s)))
-  ((stringp s)
-    (rplacd (last |$currentLine|) (cons s nil)))
-  (t 
-    (rplacd (last |$currentLine|) s)))
+  ((not (consp |$currentLine|)) (setq |$currentLine| (cons |$currentLine| s)))
+  ((stringp s) (rplacd (last |$currentLine|) (cons s nil)))
+  (t (rplacd (last |$currentLine|) s)))
  |$currentLine|)
 
 @
@@ -1000,18 +998,12 @@ Certain functions, such as the lisp function need to be able to handle
 all kinds of input that will not be acceptable to the interpreter. 
 <<initvars>>=
 (defvar |$noParseCommands| nil)
+
+@
+<<postvars>>=
 (eval-when (eval load)
- (setq |$noParseCommands| 
- '( |boot|
-    |copyright|
-    |credits|
-    |fin|
-    |lisp|
-    |pquit|
-    |quit|
-    |suspend|
-    |synonym|
-    |system|
+ (setq |$noParseCommands|
+ '(|boot| |copyright| |credits| |fin| |lisp| |pquit| |quit| |synonym| |system|
     )))
 
 @
@@ -1084,6 +1076,10 @@ their arguments. Thus the history command expects that Axiom will have
 tokenized and validated the input before calling the history function.
 <<initvars>>=
 (defvar |$tokenCommands| nil)
+
+@
+
+<<postvars>>=
 (eval-when (eval load)
  (setq |$tokenCommands|
  '( |abbreviations|
@@ -1120,6 +1116,10 @@ Axiom can create ``synonyms'' for commands. We create an initial table
 of synonyms which are in common use.
 <<initvars>>=
 (defvar |$InitialCommandSynonymAlist| nil)
+
+@
+
+<<postvars>>=
 (eval-when (eval load)
  (setq |$InitialCommandSynonymAlist|
    '(
@@ -1203,14 +1203,13 @@ the contents of a file inline in the input stream. This is useful
 for processing \verb|)read| of input files.
 <<defun ncloopCommand>>=
 (defun |ncloopCommand| (line n)
- (declare (special |$systemCommandFunction|))
  (let (a)
-  (cond
-   ((setq a (|ncloopPrefix?| ")include" line))
-     (|ncloopInclude1| a n))
-   (t
-     (funcall |$systemCommandFunction| line)
-     n))))
+ (declare (special |$systemCommandFunction|))
+  (if (setq a (|ncloopPrefix?| ")include" line))
+   (|ncloopInclude1| a n)
+   (progn
+    (funcall |$systemCommandFunction| line)
+    n))))
 
 @
 
@@ -1271,29 +1270,22 @@ we return the remainder of the string without the leading prefix.
 
 \par\noindent{\bf Command Description:}
 
-This command is used to query, set and remove abbreviations for category,
-domain and package constructors.
-Every constructor must have a unique abbreviation.
-This abbreviation is part of the name of the subdirectory
-under which the components of the compiled constructor are
-stored.
-%% BEGIN OBSOLETE
-% It is this abbreviation that is used to bring compiled code into
-% Axiom with the {\tt )load} command.
-%% END OBSOLETE
-Furthermore, by issuing this command you
-let the system know what file to load automatically if you use a new
-constructor.
-Abbreviations must start with a letter and then be followed by
-up to seven letters or digits.
-Any letters appearing in the abbreviation must be in uppercase.
-
-When used with the {\tt query} argument,
-\index{abbreviation query}
-this command may be used to list the name
-associated with a  particular abbreviation or the  abbreviation for a
-constructor.
-If no abbreviation or name is given, the names and corresponding
+This command is used to query, set and remove abbreviations for
+category, domain and package constructors.  Every constructor must
+have a unique abbreviation.  This abbreviation is part of the name of
+the subdirectory under which the components of the compiled
+constructor are stored.
+
+Furthermore, by issuing this command you let the system know what file
+to load automatically if you use a new constructor.  Abbreviations
+must start with a letter and then be followed by up to seven letters
+or digits.  Any letters appearing in the abbreviation must be in
+uppercase.
+
+When used with the {\tt query} argument, \index{abbreviation query}
+this command may be used to list the name associated with a particular
+abbreviation or the abbreviation for a constructor.  If no
+abbreviation or name is given, the names and corresponding
 abbreviations for {\it all} constructors are listed.
 
 The following shows the abbreviation for the constructor {\tt List}:
@@ -1322,23 +1314,20 @@ category, domain and package, respectively:
 )abbreviation category COMPCAT  ComplexCategory
 )abbreviation package  LIST2MAP ListToMap
 \end{verbatim}
-If the {\tt )quiet} option is used,
-no output is displayed from this command.
-You would normally only define an abbreviation in a library source file.
-If this command is issued for a constructor that has already been loaded, the
-constructor will be reloaded next time it is referenced.  In particular, you
-can use this command to force the automatic reloading of constructors.
+If the {\tt )quiet} option is used, no output is displayed from this
+command.  You would normally only define an abbreviation in a library
+source file.  If this command is issued for a constructor that has
+already been loaded, the constructor will be reloaded next time it is
+referenced.  In particular, you can use this command to force the
+automatic reloading of constructors.
 
 To remove an abbreviation, the {\tt remove} argument is used.
-\index{abbreviation remove}
-This is usually
-only used to correct a previous command that set an abbreviation for a
-constructor name.
-If, in fact, the abbreviation does exist, you are prompted
-for confirmation of the removal request.
-Either of the following commands
-will remove the abbreviation {\tt VECTOR2} and the
-constructor name {\tt VectorFunctions2} from the system:
+\index{abbreviation remove} This is usually only used to correct a
+previous command that set an abbreviation for a constructor name.  If,
+in fact, the abbreviation does exist, you are prompted for
+confirmation of the removal request.  Either of the following commands
+will remove the abbreviation {\tt VECTOR2} and the constructor name
+{\tt VectorFunctions2} from the system:
 \begin{verbatim}
 )abbreviation remove VECTOR2
 )abbreviation remove VectorFunctions2
@@ -1451,6 +1440,10 @@ obtained by translating the BOOT code.
 \section{Variables Used}
 \section{Functions}
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{browse}
@@ -1737,10 +1730,9 @@ this has the same syntax as the operating system {\tt cd} command.
 \end{list}
 \par\noindent{\bf Command Description:}
 
-This command is used to remove function and variable declarations, definitions
-and values  from the workspace.
-To  empty the entire workspace  and reset the
-step counter to 1, issue
+This command is used to remove function and variable declarations,
+definitions and values from the workspace.  To empty the entire
+workspace and reset the step counter to 1, issue
 \begin{verbatim}
 )clear all
 \end{verbatim}
@@ -1818,6 +1810,8 @@ system function and constructor caches.
 @
 
 \defun{clearSpad2Cmd}{clearSpad2Cmd}
+TPDHERE: Note that this function also seems to parse out )except
+)completely and )scaches which don't seem to be documented.
 <<defun clearSpad2Cmd>>=
 (defun |clearSpad2Cmd| (l)
   (let (|$clearExcept| opt optlist arg)
@@ -1902,7 +1896,7 @@ system function and constructor caches.
   (|sayKeyedMsg| 's2iz0013 nil)
   (|clearClams|)
   (|clearConstructorCaches|)
-  (setq |$existingFiles| (make-hashtable 'UEQUAL))
+  (setq |$existingFiles| (make-hashtable 'uequal))
   (|sayKeyedMsg| 's2iz0014 nil)
   (reclaim)
   (|sayKeyedMsg| 's2iz0015 nil))
@@ -2439,8 +2433,7 @@ The value of the {\tt )set break} variable then controls what happens.
       (|constructor| (setq haveold t))
       (|old|         (setq haveold t))))
     (cond
-     ((and havenew haveold) 
-      (|throwKeyedMsg| 's2iz0081 nil))
+     ((and havenew haveold) (|throwKeyedMsg| 's2iz0081 nil))
      (t
       (setq af (|pathname| args))
       (setq aft (|pathnameType| af))
@@ -2509,260 +2502,6 @@ The value of the {\tt )set break} variable then controls what happens.
 
 @
 
-\defun{compileAsharpCmd}{compileAsharpCmd}
-<<defun compileAsharpCmd>>=
-(defun |compileAsharpCmd| (args)
-  (|compileAsharpCmd1| args)
-  (|terminateSystemCommand|)
-  (|spadPrompt|))
-
-@
-
-\defun{compileAsharpCmd1}{compileAsharpCmd1}
-<<defun compileAsharpCmd1>>=
-(defun |compileAsharpCmd1| (args)
- (let (path pathtype optlist optname optargs bequiet docompilelisp 
-        moreargs onlyargs dolibrary p tempargs s asharpargs command rc lsp)
-   (declare (special |$options| |$asharpCmdlineFlags| |$newConlist|
-             /editfile))
-   (setq path (|pathname| args))
-   (setq pathtype (|pathnameType| path))
-   (cond
-   ((and (nequal pathtype "as") (nequal pathtype "ao"))
-     (|throwKeyedMsg| 's2iz0083 nil))
-   ((null (probe-file path))
-     (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
-   (t
-    (setq /editfile path)
-    (|updateSourceFiles| path)
-    (setq optlist
-     '(|new| |old| |translate| |onlyargs| |moreargs| |quiet| 
-       |nolispcompile| |noquiet| |library| |nolibrary|))
-    (setq bequiet nil)
-    (setq dolibrary t)
-    (setq docompilelisp t)
-    (setq moreargs nil)
-    (setq onlyargs nil)
-    (dolist (opt |$options|)
-      (setq optname (car opt))
-      (setq optargs (cdr opt))
-      (case (|selectOptionLC| optname optlist nil)
-       (|new| nil)
-       (|old| (|error| '|Internal error: compileAsharpCmd got )old|))
-       (|translate|
-        (|error| '|Internal error: compileAsharpCmd got )translate|))
-       (|quiet|         (setq bequiet t))
-       (|noquiet|       (setq bequiet nil))
-       (|nolispcompile| (setq docompilelisp nil))
-       (|moreargs|      (setq moreargs optargs))
-       (|onlyargs|      (setq onlyargs optargs))
-       (|library|       (setq dolibrary t))
-       (|nolibrary|     (setq dolibrary nil))
-       (t 
-        (|throwKeyedMsg| 's2iz0036
-         (cons (strconc ")" (|object2String| optname)) nil)))))
-    (setq tempargs
-     (if (string= pathtype "ao")
-       (if (setq p (strpos "-Fao" |$asharpCmdlineFlags| 0 nil))
-         (if (eql p 0) 
-          (substring |$asharpCmdlineFlags| 5 nil)
-          (strconc (substring |$asharpCmdlineFlags| 0 p) 
-             " " (substring |$asharpCmdlineFlags| (plus p 5) nil)))
-         |$asharpCmdlineFlags|)
-       |$asharpCmdlineFlags|))
-    (setq asharpargs
-     (cond
-      (onlyargs
-       (setq s '||)
-       (do ((t1 onlyargs (cdr t1)) (|a| nil))
-           ((or (atom t1) (progn (setq |a| (car t1)) nil)) nil)
-        (seq
-         (exit
-          (setq s (strconc s " " (|object2String| |a|))))))
-       s)
-      (moreargs
-       (setq s tempargs)
-       (do ((t2 moreargs (cdr t2)) (|a| nil))
-           ((or (atom t2) (progn (setq |a| (car t2)) nil)) nil)
-        (seq
-         (exit
-          (setq s (strconc s " " (|object2String| |a|))))))
-       s)
-      (t tempargs)))
-    (unless bequiet
-     (|sayKeyedMsg| 's2iz0038a  (list (|namestring| args) asharpargs )))
-    (setq command
-     (strconc
-      (strconc (getenv "ALDORROOT") "/bin/")
-      '|aldor | asharpargs " " (|namestring| args)))
-    (setq rc (obey command))
-    (cond
-     ((and (eql rc 0) docompilelisp)
-       (setq lsp (|fnameMake| "." (|pathnameName| args) "lsp"))
-       (cond
-        ((|fnameReadable?| lsp)
-         (unless  bequiet
-           (|sayKeyedMsg| 's2iz0089 (cons (|namestring| lsp) nil)))
-         (|compileFileQuietly| lsp))
-        (t (|sayKeyedMsg| 's2il0003 (cons (|namestring| lsp) nil))))))
-    (cond
-     ((and (eql rc 0) dolibrary)
-      (unless bequiet
-         (|sayKeyedMsg| 's2iz0090 (cons (|pathnameName| path) nil)))
-      (|withAsharpCmd| (cons (|pathnameName| path) nil)))
-     ((null bequiet) (|sayKeyedMsg| 's2iz0084 nil))
-     (t nil))
-    (|extendLocalLibdb| |$newConlist|)))))
-
-@
-
-\defun{compileAsharpArchiveCmd}{compileAsharpArchiveCmd}
-<<defun compileAsharpArchiveCmd>>=
-(defun |compileAsharpArchiveCmd| (args)
- (let (path dir exists isdir curdir cmd rc asos)
-  (declare (special $current-directory))
-  (setq path (|pathname| args))
-  (if (null (probe-file path))
-   (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil))
-   (progn
-    (setq dir (|fnameMake| "." (|pathnameName| path) "axldir"))
-    (setq exists (probe-file dir))
-    (setq isdir (|directoryp| (|namestring| dir)))
-    (if (and exists (nequal isdir 1))
-     (|throwKeyedMsg| 's2il0027 (list (|namestring| dir) (|namestring| args)))
-     (progn
-      (when (nequal isdir 1)
-        (setq cmd (strconc "mkdir " (|namestring| dir)))
-        (setq rc (obey cmd))
-        (when (nequal rc 0)
-          (|throwKeyedMsg| 's2il0027 
-           (list (|namestring| dir) (|namestring| args)))))
-      (setq curdir $current-directory)
-      (|cd| (cons (|object2Identifier| (|namestring| dir)) nil))
-      (setq cmd (strconc "ar x " (|namestring| path)))
-      (setq rc (obey cmd))
-      (cond
-       ((nequal rc 0)
-        (|cd| (cons (|object2Identifier| (|namestring| curdir)) nil))
-        (|throwKeyedMsg| 's2il0028
-         (cons (|namestring| dir) (cons (|namestring| args) nil))))
-       (t
-        (setq asos (directory (makestring "*.ao")))
-        (if (null asos)
-         (progn
-          (|cd| (cons (|object2Identifier| (|namestring| curdir)) nil))
-          (|throwKeyedMsg| 's2il0029
-           (cons (|namestring| dir) (cons (|namestring| args) nil))))
-         (progn
-          (dolist (aso asos)
-             (|compileAsharpCmd1| (list (|namestring| aso))))
-          (|cd| (list (|object2Identifier| (|namestring| curdir))))
-          (|terminateSystemCommand|)
-          (|spadPrompt|)))))))))))
-
-@
-
-\defun{compileAsharpLispCmd}{compileAsharpLispCmd}
-<<defun compileAsharpLispCmd>>=
-(defun |compileAsharpLispCmd| (args)
- (let (path optlist optname optargs bequiet dolibrary lsp)
-  (declare (special |$options|))
-  (setq path (|pathname| args))
-  (cond
-   ((null (probe-file path)) 
-      (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
-   (t
-    (setq optlist '(|quiet| |noquiet| |library| |nolibrary|))
-    (setq bequiet nil)
-    (setq dolibrary t)
-    (dolist (opt |$options|)
-      (setq optname (car opt))
-      (setq optargs (cdr opt))
-      (case (|selectOptionLC| optname optlist nil)
-        (|quiet|     (setq bequiet t))
-        (|noquiet|   (setq bequiet nil))
-        (|library|   (setq dolibrary t))
-        (|nolibrary| (setq dolibrary nil))
-        (t
-          (|throwKeyedMsg| 's2iz0036 
-           (list (strconc ")" (|object2String| optname)))))))
-    (setq lsp
-     (|fnameMake|
-      (|pathnameDirectory| path)
-      (|pathnameName| path)
-      (|pathnameType| path)))
-    (cond
-     ((|fnameReadable?| lsp)
-      (unless bequiet
-         (|sayKeyedMsg| 's2iz0089 (cons (|namestring| lsp) nil)))
-      (|compileFileQuietly| lsp))
-     (t (|sayKeyedMsg| 's2il0003 (cons (|namestring| lsp) nil))))
-    (cond
-     (dolibrary
-      (unless  bequiet
-        (|sayKeyedMsg| 's2iz0090 (cons (|pathnameName| path) nil)))
-      (|withAsharpCmd| (cons (|pathnameName| path) nil)))
-     ((null bequiet) (|sayKeyedMsg| 's2iz0084 nil))
-     (t nil))
-    (|terminateSystemCommand|)
-    (|spadPrompt|)))))
-
-@
-
-\defun{compileSpadLispCmd}{compileSpadLispCmd}
-<<defun compileSpadLispCmd>>=
-(defun |compileSpadLispCmd| (args)
- (let (path optlist optname optargs beQuiet dolibrary lsp)
-  (declare (special |$options|))
-  (setq path (|pathname| (|fnameMake| (car args) "code" "lsp")))
-  (cond
-   ((null (probe-file path))
-     (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
-   (t
-    (setq optlist '(|quiet| |noquiet| |library| |nolibrary|))
-    (setq beQuiet nil)
-    (setq dolibrary t)
-    (dolist (opt |$options|)
-      (setq optname (car opt))
-      (setq optargs (cdr opt))
-      (case (|selectOptionLC| optname optlist nil)
-         (|quiet|     (setq beQuiet t))
-         (|noquiet|   (setq beQuiet nil))
-         (|library|   (setq dolibrary t))
-         (|nolibrary| (setq dolibrary nil))
-         (t
-          (|throwKeyedMsg| 's2iz0036
-           (list (strconc ")" (|object2String| optname)))))))
-    (setq lsp
-     (|fnameMake|
-      (|pathnameDirectory| path)
-      (|pathnameName| path)
-      (|pathnameType| path)))
-    (cond
-     ((|fnameReadable?| lsp)
-      (unless beQuiet (|sayKeyedMsg| 's2iz0089 (list (|namestring| lsp))))
-       (recompile-lib-file-if-necessary lsp))
-     (t
-      (|sayKeyedMsg| 's2il0003 (list (|namestring| lsp)))))
-    (cond
-     (dolibrary
-      (unless beQuiet (|sayKeyedMsg| 's2iz0090 (list (|pathnameName| path))))
-      (localdatabase (list (|pathnameName| (car args))) nil))
-     ((null beQuiet) (|sayKeyedMsg| 's2iz0084 nil))
-     (t nil))
-    (|terminateSystemCommand|)
-    (|spadPrompt|)))))
-
-@
-
-\defun{withAsharpCmd}{withAsharpCmd}
-<<defun withAsharpCmd>>=
-(defun |withAsharpCmd| (args)
- (let (|$options|)
-  (declare (special |$options|))
-  (localdatabase args |$options|)))
-
-@
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{copyright}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -2772,10 +2511,15 @@ The value of the {\tt )set break} variable then controls what happens.
 \defun{copyright}{copyright}
 <<defun copyright>>=
 (defun |copyright| ()
- (obey (strconc "cat " (|getEnv| "AXIOM") "/lib/copyright")))
+ (obey (strconc "cat " (getenviron "AXIOM") "/lib/copyright")))
 
 @
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{credits}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -2790,6 +2534,11 @@ The value of the {\tt )set break} variable then controls what happens.
 
 @
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{display}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -3266,6 +3015,11 @@ function call to Common Lisp.
 \section{Variables Used}
 \section{Functions}
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{frame}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -4250,11 +4004,6 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 (defvar |$historyDirectory| 'A        "vm/370 filename disk component")
 
 @
-\defdollar{HiFiAccess}
-<<initvars>>=
-(defvar |$HiFiAccess| t               "t means turn on history mechanism")
-
-@
 \defdollar{useInternalHistoryTable}
 <<initvars>>=
 (defvar |$useInternalHistoryTable| t  "t means keep history in core")
@@ -4271,7 +4020,8 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 \defun{oldHistFileName}{oldHistFileName}
 <<defun oldHistFileName>>=
 (defun |oldHistFileName| ()
- (|makeHistFileName| |$oldHistoryFileName|)) 
+ (declare (special |$oldHistoryFileName|))
+ (|makeHistFileName| |$oldHistoryFileName|))
 
 @
 \defun{histFileName}{histFileName}
@@ -4286,26 +4036,24 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 (defun |histInputFileName| (fn)
  (declare (special |$interpreterFrameName| |$historyDirectory|))
  (if (null fn)
-    (|makePathname| |$interpreterFrameName| 'input |$historyDirectory|)
-    (|makePathname| fn 'input |$historyDirectory|)))
+   (|makePathname| |$interpreterFrameName| 'input |$historyDirectory|)
+   (|makePathname| fn 'input |$historyDirectory|)))
 @
 
 \defun{initHist}{initHist}
 <<defun initHist>>=
 (defun |initHist| ()
- (prog (oldFile newFile)
-  (return
-   (cond
-     (|$useInternalHistoryTable| 
-       (|initHistList|))
-     (t
+ (let (oldFile newFile)
+ (declare (special |$useInternalHistoryTable| |$HiFiAccess|))
+   (if |$useInternalHistoryTable| 
+     (|initHistList|)
+     (progn
        (setq oldFile (|oldHistFileName|))
        (setq newFile (|histFileName|))
        (|histFileErase| oldFile)
-       (when (make-input-filename newFile)
-        ($replace oldFile newFile))
+       (when (make-input-filename newFile) ($replace oldFile newFile))
        (setq |$HiFiAccess| t)
-       (|initHistList|)))))) 
+       (|initHistList|)))))
  
 @
 \defun{initHistList}{initHistList}
@@ -4329,7 +4077,7 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 (defun |history| (l) 
  (declare (special |$options|))
  (if (or l (null |$options|)) 
-  (|sayKeyedMsg| 'S2IH0006 nil) ; syntax error
+  (|sayKeyedMsg| 's2ih0006 nil) ; syntax error
   (|historySpad2Cmd|)))
 
 @
@@ -4443,13 +4191,13 @@ file and then write the in-memory history to a new file
   (cond 
    ((boot-equal inCore |$useInternalHistoryTable|) 
      (if inCore 
-        (|sayKeyedMsg| 'S2IH0030 nil) ; memory history already in use
-        (|sayKeyedMsg| 'S2IH0029 nil))) ; file history already in use
+        (|sayKeyedMsg| 's2ih0030 nil) ; memory history already in use
+        (|sayKeyedMsg| 's2ih0029 nil))) ; file history already in use
    ((null |$HiFiAccess|) 
      (setq |$useInternalHistoryTable| inCore) 
      (if inCore 
-        (|sayKeyedMsg| 'S2IH0032 nil) ; use memory history
-        (|sayKeyedMsg| 'S2IH0031 nil))) ; use file history
+        (|sayKeyedMsg| 's2ih0032 nil) ; use memory history
+        (|sayKeyedMsg| 's2ih0031 nil))) ; use file history
    (inCore 
      (setq |$internalHistoryTable| nil) 
      (cond 
@@ -4491,7 +4239,7 @@ file and then write the in-memory history to a new file
      (setq |$HiFiAccess| t)
      (setq |$internalHistoryTable| nil)
      (setq |$useInternalHistoryTable| nil)
-     (|sayKeyedMsg| 'S2IH0031 nil))))) ; use file history
+     (|sayKeyedMsg| 's2ih0031 nil))))) ; use file history
 
 @
 \defdollar{underbar}
@@ -4505,10 +4253,10 @@ Also used in the output routines.
 <<defun writeInputLines>>=
 (defun |writeInputLines| (fn initial) 
  (let (maxn breakChars vecl k svec done n lineList file inp) 
- (declare (special underbar))
+ (declare (special underbar |$HiFiAccess| |$IOindex|))
   (cond 
-   ((null |$HiFiAccess|) (|sayKeyedMsg| 'S2IH0013 nil)) ; history is not on
-   ((null fn) (|throwKeyedMsg| 'S2IH0038 nil)) ; missing file name
+   ((null |$HiFiAccess|) (|sayKeyedMsg| 's2ih0013 nil)) ; history is not on
+   ((null fn) (|throwKeyedMsg| 's2ih0038 nil)) ; missing file name
    (t 
      (setq maxn 72)
      (setq breakChars (cons '| | (cons '+ nil)))
@@ -4525,7 +4273,7 @@ Also used in the output routines.
              (do ((|j| 1 (qsadd1 |j|)))
                  ((or (qsgreaterp |j| maxn) (null (null done))) nil)
                (setq k (spaddifference (plus 1 maxn) |j|))
-               (when (memq (ELT vec k) breakChars)
+               (when (memq (elt vec k) breakChars)
                  (setq svec (strconc (substring vec 0 (1+ k)) underbar))
                  (setq lineList (cons svec lineList))
                  (setq done t)
@@ -4544,8 +4292,8 @@ Also used in the output routines.
        (write-line x inp))
      (cond 
       ((nequal fn '|redo|) 
-        (|sayKeyedMsg| 'S2IH0014 ; edit this file to see input lines
-          (cons (|namestring| file) nil))))
+        (|sayKeyedMsg| 's2ih0014 ; edit this file to see input lines
+          (list (|namestring| file)))))
      (shut inp)
      nil))))
 
@@ -4567,7 +4315,7 @@ Also used in the output routines.
  (let (dif l) 
  (declare (special |$HistListLen| |$HistList| |$HistListAct|))
  (if (null (integerp n)) 
-   (|sayKeyedMsg| 'S2IH0015 (cons n nil)) ; only positive integers
+   (|sayKeyedMsg| 's2ih0015 (list n)) ; only positive integers
    (progn
      (setq dif (spaddifference n |$HistListLen|))
      (setq |$HistListLen| n) 
@@ -4576,16 +4324,12 @@ Also used in the output routines.
       ((> dif 0) 
         (do ((|i| 1 (qsadd1 |i|)))
             ((qsgreaterp |i| dif) nil)
-         (seq
-          (exit
-           (setq l (cons nil l))))))
+           (setq l (cons nil l))))
       ((minusp dif)
         (do ((tmp0 (spaddifference dif)) 
              (|i| 1 (qsadd1 |i|)))
             ((qsgreaterp |i| tmp0) nil)
-         (seq
-          (exit
-           (setq l (cdr l)))))
+           (setq l (cdr l)))
         (cond
          ((> |$HistListAct| n) (setq |$HistListAct| n))
          (t nil))))
@@ -4694,7 +4438,7 @@ Also used in the output routines.
          (setq p (assq '% vec))
          (setq p1 (assq '|value| (cdr p)))
          (cdr p1))))
-      (|sayKeyedMsg| 'S2IH0019 (cons n nil)))) ; no history file
+      (|sayKeyedMsg| 's2ih0019 (cons n nil)))) ; no history file
   (setq |$InteractiveFrame| (|putHist| '% '|value| val |$InteractiveFrame|))
   (|updateHist|)))
 
@@ -4744,24 +4488,15 @@ Also used in the output routines.
              (rplacd p nil))))))))))
   (do ((|i| 1 (qsadd1 |i|)))
       ((qsgreaterp |i| n) nil)
-   (seq
-    (exit
-     (progn
-      (setq vec 
-        (unwind-protect (cdr (|readHiFi| |i|)) (|disableHist|)))
-      (do ((tmp3 vec (cdr tmp3)) (p1 nil))
-          ((or (atom tmp3) (progn (setq p1 (car tmp3)) nil)) nil)
-       (seq
-        (exit
-         (progn
-          (setq x (car p1))
-          (do ((tmp4 (cdr p1) (cdr tmp4)) (p2 nil))
-              ((or (atom tmp4) (progn (setq p2 (car tmp4)) nil)) nil)
-           (seq
-            (exit
-             (setq |$InteractiveFrame| 
-              (|putHist| x (car p2) (CDR p2) |$InteractiveFrame|)
-    ))))))))))))
+    (setq vec 
+      (unwind-protect (cdr (|readHiFi| |i|)) (|disableHist|)))
+    (do ((tmp3 vec (cdr tmp3)) (p1 nil))
+        ((or (atom tmp3) (progn (setq p1 (car tmp3)) nil)) nil)
+     (setq x (car p1))
+     (do ((tmp4 (cdr p1) (cdr tmp4)) (p2 nil))
+         ((or (atom tmp4) (progn (setq p2 (car tmp4)) nil)) nil)
+      (setq |$InteractiveFrame| 
+         (|putHist| x (car p2) (CDR p2) |$InteractiveFrame|)))))
   (setq val
    (and 
     (setq p (assq '% vec))
@@ -4780,12 +4515,12 @@ Also used in the output routines.
  (setq |$seen| (make-hashtable 'eq))
  (cond 
   ((null |$HiFiAccess|) 
-    (|sayKeyedMsg| 'S2IH0016 nil)) ; the history file is not on
+    (|sayKeyedMsg| 's2ih0016 nil)) ; the history file is not on
   ((and (null |$useInternalHistoryTable|) 
         (null (make-input-filename (|histFileName|))))
-    (|sayKeyedMsg| 'S2IH0022 nil)) ; no history saved yet
+    (|sayKeyedMsg| 's2ih0022 nil)) ; no history saved yet
   ((null fn) 
-    (|throwKeyedMsg| 'S2IH0037 nil)) ; need to specify a history filename
+    (|throwKeyedMsg| 's2ih0037 nil)) ; need to specify a history filename
   (t 
     (setq savefile (|makeHistFileName| fn))
     (setq inputfile (|histInputFileName| fn))
@@ -4809,10 +4544,10 @@ Also used in the output routines.
                nil)
         (setq val (spadrwrite0 (|object2Identifier| n) rec saveStr))
         (when (eq val '|writifyFailed|)
-         (|sayKeyedMsg| 'S2IH0035 ; can't save the value of step
-          (cons n (cons inputfile nil)))))
+         (|sayKeyedMsg| 's2ih0035 ; can't save the value of step
+          (list n inputfile))))
       (rshut saveStr))
-    (|sayKeyedMsg| 'S2IH0018 ; saved history file is
+    (|sayKeyedMsg| 's2ih0018 ; saved history file is
       (cons (|namestring| savefile) nil))
     nil))))
 
@@ -4832,10 +4567,10 @@ Also used in the output routines.
           t)
          (identp fnq))
      (setq fnq fnq))
-   (t (|throwKeyedMsg| 'S2IH0023 (cons fnq nil)))) ; invalid filename
+   (t (|throwKeyedMsg| 's2ih0023 (cons fnq nil)))) ; invalid filename
  (setq restfile (|makeHistFileName| fnq))
  (if (null (make-input-filename restfile))
-  (|sayKeyedMsg| 'S2IH0024  ; file does not exist
+  (|sayKeyedMsg| 's2ih0024  ; file does not exist
        (cons (|namestring| restfile) nil))
   (progn 
     (setq |$options| nil)
@@ -4898,93 +4633,67 @@ Also used in the output routines.
 \defun{showInput}{showInput}
 <<defun showInput>>=
 (defun |showInput| (mini maxi)
- (prog (vec l)
-  (return
-   (seq
-    (do ((|ind| mini (+ |ind| 1)))
-        ((> |ind| maxi) nil)
-     (seq
-      (exit
-       (progn
-        (setq vec (unwind-protect (|readHiFi| |ind|) (|disableHist|)))
-        (cond
-         ((> 10 |ind|) (tab 2))
-         ((> 100 |ind|) (tab 1))
-         (t nil))
-        (setq l (car vec))
-        (cond
-          ((stringp l)
-            (|sayMSG| 
-             (cons 
-              "   ["
-              (cons |ind| 
-               (cons "] "
-                (cons (car vec) nil))))))
-          (t
-            (|sayMSG|
-             (cons "   ["
-              (cons |ind|
-               (cons "] " nil))))
-           (do ((tmp0 l (cdr tmp0)) (|ln| nil))
-               ((or (atom tmp0) (progn (setq |ln| (car tmp0)) nil)) nil)
-            (seq
-             (exit
-              (|sayMSG|
-               (cons "      " (cons |ln| nil)))))))))))))))) 
+ (let (vec l)
+  (do ((|ind| mini (+ |ind| 1)))
+      ((> |ind| maxi) nil)
+    (setq vec (unwind-protect (|readHiFi| |ind|) (|disableHist|)))
+    (cond
+     ((> 10 |ind|) (tab 2))
+     ((> 100 |ind|) (tab 1))
+     (t nil))
+    (setq l (car vec))
+    (if (stringp l)
+      (|sayMSG| (list "   [" |ind| "] " (car vec)))
+      (progn
+       (|sayMSG| (list "   [" |ind| "] "))
+       (do ((tmp0 l (cdr tmp0)) (|ln| nil))
+           ((or (atom tmp0) (progn (setq |ln| (car tmp0)) nil)) nil)
+         (|sayMSG| (list "      " |ln|))))))))
 
 @
 \defun{showInOut}{showInOut}
 <<defun showInOut>>=
 (defun |showInOut| (mini maxi)
- (prog (vec Alist triple)
-  (return
-   (seq
-    (do ((ind mini (+ ind 1)))
-        ((> ind maxi) nil)
-     (seq
-      (exit
-       (progn
-        (setq vec (unwind-protect (|readHiFi| ind) (|disableHist|)))
-        (|sayMSG| (cons (car vec) nil))
-        (cond
-         ((setq Alist (assq '% (cdr vec)))
-          (progn
-           (setq triple (cdr (assq '|value| (cdr Alist))))
-           (setq |$IOindex| ind)
-           (|spadPrint| 
-             (|objValUnwrap| triple) (|objMode| triple))))))))))))) 
+ (let (vec Alist triple)
+  (do ((ind mini (+ ind 1)))
+      ((> ind maxi) nil)
+   (setq vec (unwind-protect (|readHiFi| ind) (|disableHist|)))
+   (|sayMSG| (cons (car vec) nil))
+   (cond
+    ((setq Alist (assq '% (cdr vec)))
+      (setq triple (cdr (assq '|value| (cdr Alist))))
+      (setq |$IOindex| ind)
+      (|spadPrint| (|objValUnwrap| triple) (|objMode| triple)))))))
 
 @
 \defun{fetchOutput}{fetchOutput}
 <<defun fetchOutput>>=
 (defun |fetchOutput| (n)
- (prog (vec Alist val)
-  (return
-   (cond
-    ((and (boot-equal n (spaddifference 1))
-          (setq val (|getI| '% '|value|)))
-       val)
-    (|$HiFiAccess|
-     (setq n
-      (cond
-       ((minusp n) (plus |$IOindex| n))
-       (t n)))
+ (let (vec Alist val)
+  (cond
+   ((and (boot-equal n (spaddifference 1)) (setq val (|getI| '% '|value|)))
+     val)
+   (|$HiFiAccess|
+    (setq n
      (cond
-      ((>= n |$IOindex|) 
-        (|throwKeyedMsg| 'S2IH0001 (cons n nil))) ; no step n yet
-      ((> 1 n)
-        (|throwKeyedMsg| 'S2IH0002 (cons n nil))) ; only nonzero steps
-      (t
-        (setq vec (unwind-protect (|readHiFi| n) (|disableHist|)))
-        (cond
-         ((setq Alist (assq '% (cdr vec)))
-           (cond
-             ((setq val (cdr (assq '|value| (cdr Alist))))
-               val)
-             (t
-               (|throwKeyedMsg| 'S2IH0003 (cons n nil))))) ; no step value
-         (t (|throwKeyedMsg| 'S2IH0003 (cons n nil))))))) ; no step value
-    (t (|throwKeyedMsg| 'S2IH0004 nil)))))) ; history not on
+      ((minusp n) (plus |$IOindex| n))
+      (t n)))
+    (cond
+     ((>= n |$IOindex|) 
+       (|throwKeyedMsg| 'S2IH0001 (cons n nil))) ; no step n yet
+     ((> 1 n)
+       (|throwKeyedMsg| 's2ih0002 (cons n nil))) ; only nonzero steps
+     (t
+       (setq vec (unwind-protect (|readHiFi| n) (|disableHist|)))
+       (cond
+        ((setq Alist (assq '% (cdr vec)))
+          (cond
+            ((setq val (cdr (assq '|value| (cdr Alist))))
+              val)
+            (t
+              (|throwKeyedMsg| 's2ih0003 (cons n nil))))) ; no step value
+        (t (|throwKeyedMsg| 's2ih0003 (cons n nil))))))) ; no step value
+   (t (|throwKeyedMsg| 's2ih0004 nil))))) ; history not on
 
 @
 \defun{readHiFi}{Read the history file using index n}
@@ -5046,29 +4755,24 @@ Also used in the output routines.
 \defun{writeHistModesAndValues}{writeHistModesAndValues}
 <<defun writeHistModesAndValues>>=
 (defun |writeHistModesAndValues| ()
- (prog (a x)
-  (return
-   (seq
-    (progn
-     (do ((tmp0 (caar |$InteractiveFrame|) (cdr tmp0)) (tmp1 nil))
-         ((or (atom tmp0) 
-              (progn
-                (setq tmp1 (car tmp0))
-                nil)
-              (progn
-                (progn
-                  (setq a (car tmp1))
-                  tmp1)
-              nil))
-          nil)
-      (seq
-       (exit
-        (cond
-         ((setq x (|get| a '|value| |$InteractiveFrame|))
-           (|putHist| a '|value| x |$InteractiveFrame|))
-         ((setq x (|get| a '|mode| |$InteractiveFrame|))
-           (|putHist| a '|mode| x |$InteractiveFrame|))))))
-     nil))))) 
+ (let (a x)
+ (declare (special |$InteractiveFrame|))
+  (do ((tmp0 (caar |$InteractiveFrame|) (cdr tmp0)) (tmp1 nil))
+      ((or (atom tmp0) 
+           (progn
+             (setq tmp1 (car tmp0))
+             nil)
+           (progn
+             (progn
+               (setq a (car tmp1))
+               tmp1)
+           nil))
+       nil)
+     (cond
+      ((setq x (|get| a '|value| |$InteractiveFrame|))
+        (|putHist| a '|value| x |$InteractiveFrame|))
+      ((setq x (|get| a '|mode| |$InteractiveFrame|))
+        (|putHist| a '|mode| x |$InteractiveFrame|))))))
 
 @
 \section{Lisplib output transformations}
@@ -5079,26 +4783,23 @@ These functions transform an object to a writable form and back.
 \defun{SPADRWRITE0}{SPADRWRITE0}
 <<defun SPADRWRITE0>>=
 (defun spadrwrite0 (vec item stream)
- (prog (val)
-  (return
-   (progn
-    (setq val (|safeWritify| item))
-    (cond
-     ((eq val '|writifyFailed|) val)
-     (t (|rwrite| vec val stream) item)))))) 
+ (let (val)
+  (setq val (|safeWritify| item))
+  (if (eq val '|writifyFailed|)
+    val
+    (progn
+     (|rwrite| vec val stream)
+     item))))
 
 @
 \defun{SPADRWRITE}{SPADRWRITE}
 <<defun SPADRWRITE>>=
 (defun spadrwrite (vec item stream)
- (prog (val)
-  (return
-   (progn
-    (setq val (spadrwrite0 vec item stream))
-    (cond
-     ((eq val '|writifyFailed|)
-        (|throwKeyedMsg| 'S2IH0036 nil)) ; cannot save value to file
-     (t item))))))
+ (let (val)
+  (setq val (spadrwrite0 vec item stream))
+  (if (eq val '|writifyFailed|)
+   (|throwKeyedMsg| 's2ih0036 nil) ; cannot save value to file
+   item)))
 
 @
 \defun{SPADRREAD}{SPADRREAD}
@@ -5119,16 +4820,16 @@ These functions transform an object to a writable form and back.
 
 @
 \defun{writifyComplain}{writifyComplain}
-Create a full isomorphic object which can be saved in a lisplib.
-Note that {\tt dewritify(writify(x))}  preserves UEQUALity of hashtables.
-HASHTABLEs go both ways.
-READTABLEs cannot presently be transformed back.
+Create a full isomorphic object which can be saved in a lisplib.  Note
+that {\tt dewritify(writify(x))} preserves UEQUALity of hashtables.
+HASHTABLEs go both ways.  READTABLEs cannot presently be transformed
+back.
 <<defun writifyComplain>>=
 (defun |writifyComplain| (s)
  (declare (special |$writifyComplained|))
  (unless |$writifyComplained|
   (setq |$writifyComplained| t)
-  (|sayKeyedMsg| 'S2IH0027 (cons s nil)))) ; cannot save value
+  (|sayKeyedMsg| 's2ih0027 (list s)))) ; cannot save value
 
 @
 \defun{safeWritify}{safeWritify}
@@ -5137,7 +4838,7 @@ READTABLEs cannot presently be transformed back.
  (catch '|writifyTag| (|writify| ob))) 
 
 @
-\defun{writify}{writify}
+\defun{writify,writifyInner}{writify,writifyInner}
 <<defun writify,writifyInner>>=
 (defun |writify,writifyInner| (ob)
  (prog (e name tmp1 tmp2 tmp3 x qcar qcdr d n keys nob)
@@ -5271,18 +4972,17 @@ READTABLEs cannot presently be transformed back.
     (exit ob))))) 
 
 @
+\defun{writify}{writify}
 <<defun writify>>=
 (defun |writify| (ob)
- (prog (|$seen| |$writifyComplained|)
-  (declare (special |$seen| |$writifyComplained|))
-   (return
-    (cond
-     ((null (|ScanOrPairVec| (|function| |unwritable?|) ob))
-       ob)
-     (t
-      (setq |$seen| (make-hashtable 'eq))
-      (setq |$writifyComplained| nil)
-      (|writify,writifyInner| ob)))))) 
+ (let (|$seen| |$writifyComplained|)
+ (declare (special |$seen| |$writifyComplained|))
+  (if (null (|ScanOrPairVec| (|function| |unwritable?|) ob))
+    ob
+    (progn
+     (setq |$seen| (make-hashtable 'eq))
+     (setq |$writifyComplained| nil)
+     (|writify,writifyInner| ob)))))
 
 @
 \defun{spadClosure?}{spadClosure?}
@@ -5290,13 +4990,13 @@ READTABLEs cannot presently be transformed back.
 (defun |spadClosure?| (ob)
  (let (fun name vec)
   (setq fun (qcar ob))
-  (cond 
-   ((null (setq name (bpiname fun))) nil)
-   (t
+  (if (null (setq name (bpiname fun)))
+   nil
+   (progn
      (setq vec (qcdr ob))
-     (cond
-      ((null (vecp vec)) nil)
-      (t name))))))
+     (if (null (vecp vec)) 
+      nil
+      name)))))
 
 @
 \defun{dewritify,is?}{dewritify,is?}
@@ -5441,15 +5141,13 @@ READTABLEs cannot presently be transformed back.
 \defun{dewritify}{dewritify}
 <<defun dewritify>>=
 (defun |dewritify| (ob)
- (prog (|$seen|)
-  (declare (special |$seen|))
-   (return
-    (cond 
-     ((null (|ScanOrPairVec| (|function| |dewritify,is?|) ob))
-       ob)
-     (t
-       (setq |$seen| (make-hashtable 'EQ))
-       (|dewritify,dewritifyInner| ob)))))) 
+ (let (|$seen|)
+ (declare (special |$seen|))
+   (if (null (|ScanOrPairVec| (|function| |dewritify,is?|) ob))
+    ob
+    (progn
+      (setq |$seen| (make-hashtable 'eq))
+      (|dewritify,dewritifyInner| ob)))))
 
 @
 
@@ -5476,18 +5174,18 @@ READTABLEs cannot presently be transformed back.
 <<defun ScanOrPairVec>>=
 (defun |ScanOrPairVec| (f ob)
  (let (|$seen|) 
-  (declare (special |$seen|)) 
-   (setq |$seen| (make-hashtable 'eq))
-   (catch '|ScanOrPairVecAnswer| (|ScanOrPairVec,ScanOrInner| f ob))))
+ (declare (special |$seen|)) 
+  (setq |$seen| (make-hashtable 'eq))
+  (catch '|ScanOrPairVecAnswer| (|ScanOrPairVec,ScanOrInner| f ob))))
 
 @
 \defun{gensymInt}{gensymInt}
 <<defun gensymInt>>=
 (defun |gensymInt| (g) 
  (let (p n)
-  (cond 
-   ((null (gensymp g)) (|error| "Need a GENSYM"))
-   (t
+  (if (null (gensymp g)) 
+   (|error| "Need a GENSYM")
+   (progn
      (setq p (pname g))
      (setq n 0)
      (do ((tmp0 (spaddifference (|#| p) 1)) (|i| 2 (qsadd1 |i|)))
@@ -5507,9 +5205,9 @@ READTABLEs cannot presently be transformed back.
    (if (char= c (elt digits |i|))
     (setq n |i|)
     nil))
-  (cond
-   ((minusp n) (|error| "Character is not a digit"))
-   (t n))))
+  (if (minusp n) 
+   (|error| "Character is not a digit")
+   n)))
 
 @
 \defun{histFileErase}{histFileErase}
@@ -5778,6 +5476,12 @@ command may be used to  drop out  of Axiom  into Common Lisp.
 
 \section{Variables Used}
 \section{Functions}
+
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{load}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -5887,6 +5591,11 @@ will be displayed and, indeed, Axiom would still be running.
 
 @
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{quit}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -5957,7 +5666,6 @@ executed when you press, say, a function key.
    (tersyscommand))
    (|leaveScratchpad|)))
 
-
 @
 
 \defun{leaveScratchpad}{leaveScratchpad}
@@ -5966,6 +5674,11 @@ executed when you press, say, a function key.
 
 @
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{read}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -6207,6 +5920,7 @@ explanations see the list structure section \ref{Theliststructure}.
 <<defun displaySetOptionInformation>>=
 (defun |displaySetOptionInformation| (arg setdata)
  (let (current)
+ (declare (special $linelength))
   (cond
    ((eq (fourth setdata) 'tree)
     (|displaySetVariableSettings| (sixth setdata) (first setdata)))
@@ -6226,8 +5940,8 @@ explanations see the list structure section \ref{Theliststructure}.
       (|sayMessage| 
         `(" The" ,@(|bright| arg) "option" 
           " may be followed by an integer in the range" 
-          ,@(|bright| (ELT (sixth setdata) 0)) "to" 
-          |%l| ,@(|bright| (ELT (sixth setdata) 1)) "inclusive." 
+          ,@(|bright| (elt (sixth setdata) 0)) "to" 
+          |%l| ,@(|bright| (elt (sixth setdata) 1)) "inclusive." 
           " The current setting is" ,@(|bright| (|eval| (fifth setdata))))))
      (STRING
       (|sayMessage| 
@@ -6253,6 +5967,7 @@ explanations see the list structure section \ref{Theliststructure}.
 <<defun displaySetVariableSettings>>=
 (defun |displaySetVariableSettings| (settree label)
  (let (setoption opt subtree subname)
+ (declare (special $linelength))
   (if (eq label '||) 
     (setq label ")set")
     (setq label (strconc "  " (|object2String| label) " ")))
@@ -6403,6 +6118,11 @@ These commands are restricted to keep the user from causing damage.
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{BreakMode}
+<<initvars>>=
+(defvar |$BreakMode| '|nobreak| "execute break processing on error")
+
+@
 <<breakmode>>=
   (|breakmode|
    "execute break processing on error"
@@ -6601,6 +6321,12 @@ The input-libraries variable is now maintained as a list of truenames.
  "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL_W_WillObsolete 
   -DAxiom -Y $AXIOM/algebra" 
 \end{verbatim}
+\defdollar{asharpCmdlineFlags}
+<<initvars>>=
+(defvar |$asharpCmdlineFlags| 
+  "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL__W__WillObsolete -DAxiom -Y $AXIOM/algebra"
+  "arguments for compiling AXIOM code")
+@
 <<compilerargs>>=
       (|args|
        "arguments for compiling AXIOM code"
@@ -7089,11 +6815,11 @@ recurrence   specially compile recurrence relations     on
 (defun |sayAllCacheCounts| ()
  (let (x n)
  (declare (special |$cacheCount| |$cacheAlist|))
-   (|sayCacheCount| NIL |$cacheCount|)
+   (|sayCacheCount| nil |$cacheCount|)
    (when |$cacheAlist|
-     (do ((t0 |$cacheAlist| (cdr t0)) (t1 NIL))
+     (do ((t0 |$cacheAlist| (cdr t0)) (t1 nil))
          ((or (atom t0)
-              (progn (setq t1 (car t0)) NIL)
+              (progn (setq t1 (car t0)) nil)
               (progn
                (progn (setq x (car t1)) (setq n (cdr t1)) t1)
                nil)) 
@@ -7145,6 +6871,12 @@ recurrence   specially compile recurrence relations     on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{compileDontDefineFunctions}
+<<initvars>>=
+(defvar |$compileDontDefineFunctions| t
+   "compile, don't just define function bodies")
+
+@
 <<functionscompile>>=
      (|compile|
       "compile, don't just define function bodies"
@@ -7169,6 +6901,11 @@ recurrence   specially compile recurrence relations     on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{compileRecurrence}
+<<initvars>>=
+(defvar |$compileRecurrence| t "specially compile recurrence relations")
+
+@
 <<functionsrecurrence>>=
      (|recurrence|
       "specially compile recurrence relations"
@@ -7238,6 +6975,11 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{fortInts2Floats}
+<<initvars>>=
+(defvar |$fortInts2Floats| t "where sensible, coerce integers to reals")
+
+@
 <<fortranints2floats>>=
      (|ints2floats|
       "where sensible, coerce integers to reals"
@@ -7257,6 +6999,11 @@ For more information, issue )help set .
  0 to inclusive. The current setting is 6 
 
 \end{verbatim}
+\defdollar{fortIndent}
+<<initvars>>=
+(defvar |$fortIndent| 6 "the number of characters indented")
+
+@
 <<fortranfortindent>>=
      (|fortindent|
       "the number of characters indented"
@@ -7276,6 +7023,11 @@ For more information, issue )help set .
  1 to inclusive. The current setting is 72 
 
 \end{verbatim}
+\defdollar{fortLength}
+<<initvars>>=
+(defvar |$fortLength| 72 "the number of characters on a line")
+
+@
 <<fortranfortlength>>=
      (|fortlength|
       "the number of characters on a line"
@@ -7300,6 +7052,11 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printFortranDecs}
+<<initvars>>=
+(defvar |$printFortranDecs| t "print type and dimension lines")
+
+@
 <<fortrantypedecs>>=
      (|typedecs|
       "print type and dimension lines"
@@ -7327,6 +7084,11 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{defaultFortranType}
+<<initvars>>=
+(defvar |$defaultFortranType| 'real "default generic type for FORTRAN object")
+
+@
 <<fortrandefaulttype>>=
      (|defaulttype|
       "default generic type for FORTRAN object"
@@ -7351,6 +7113,11 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{fortranPrecision}
+<<initvars>>=
+(defvar |$fortranPrecision| '|double| "precision of generated FORTRAN objects")
+
+@
 <<fortranprecision>>=
       (|precision|
       "precision of generated FORTRAN objects"
@@ -7375,6 +7142,12 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{useIntrinsicFunctions}
+<<initvars>>=
+(defvar |$useIntrinsicFunctions| nil
+   "whether to use INTRINSIC FORTRAN functions")
+
+@
 <<fortranintrinsic>>=
       (|intrinsic|
        "whether to use INTRINSIC FORTRAN functions"
@@ -7394,6 +7167,12 @@ For more information, issue )help set .
  0 to inclusive. The current setting is 1320 
 
 \end{verbatim}
+\defdollar{maximumFortranExpressionLength}
+<<initvars>>=
+(defvar |$maximumFortranExpressionLength| 1320
+  "character limit for FORTRAN expressions")
+
+@
 <<fortranexplength>>=
       (|explength|
        "character limit for FORTRAN expressions"
@@ -7417,6 +7196,11 @@ For more information, issue )help set .
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{fortranSegment}
+<<initvars>>=
+(defvar |$fortranSegment| t "split long FORTRAN expressions")
+
+@
 <<fortransegment>>=
       (|segment|
        "split long FORTRAN expressions"
@@ -7436,6 +7220,11 @@ For more information, issue )help set .
  0 to 2 inclusive. The current setting is 0 
 
 \end{verbatim}
+\defdollar{fortranOptimizationLevel}
+<<initvars>>=
+(defvar |$fortranOptimizationLevel| 0 "FORTRAN optimisation level")
+
+@
 <<fortranoptlevel>>=
       (|optlevel|
        "FORTRAN optimisation level"
@@ -7455,6 +7244,11 @@ For more information, issue )help set .
  0 to 1 inclusive. The current setting is 1 
 
 \end{verbatim}
+\defdollar{fortranArrayStartingIndex}
+<<initvars>>=
+(defvar |$fortranArrayStartingIndex| 1 "starting index for FORTRAN arrays")
+
+@
 <<fortranstartindex>>=
       (|startindex|
        "starting index for FORTRAN arrays"
@@ -7504,6 +7298,11 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 
  The current setting is /tmp/ 
 \end{verbatim}
+\defdollar{fortranTmpDir}
+<<initvars>>=
+(defvar |$fortranTmpDir| "/tmp/" "set location of temporary data files")
+
+@
 <<callingtempfile>>=
         (|tempfile|
          "set location of temporary data files"
@@ -7586,6 +7385,11 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 
  The current setting is ./ 
 \end{verbatim}
+\defdollar{fortranDirectory}
+<<initvars>>=
+(defvar |$fortranDirectory| "./" "set location of generated FORTRAN files")
+
+@
 <<callingdirectory>>=
         (|directory|
          "set location of generated FORTRAN files"
@@ -7657,6 +7461,12 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 
  The current setting is -lxlf 
 \end{verbatim}
+\defdollar{fortranLibraries}
+<<initvars>>=
+(defvar |$fortranLibraries| "-lxlf" 
+  "linker arguments (e.g. libraries to search)")
+
+@
 <<callinglinker>>=
         (|linker|
          "linker arguments (e.g. libraries to search)"
@@ -7879,6 +7689,11 @@ mathwidth    screen width for history output            120
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{fullScreenSysVars}
+<<initvars>>=
+(defvar |$fullScreenSysVars| nil "use full screen for this facility")
+
+@
 <<hyperdocfullscreen>>=
      (|fullscreen|
       "use full screen for this facility"
@@ -7898,6 +7713,11 @@ mathwidth    screen width for history output            120
  0 to inclusive. The current setting is 120 
 
 \end{verbatim}
+\defdollar{historyDisplayWidth}
+<<initvars>>=
+(defvar |$historyDisplayWidth| 120 "screen width for history output")
+
+@
 <<hyperdocmathwidth>>=
      (|mathwidth|
       "screen width for history output"
@@ -7941,6 +7761,11 @@ fullscreen   use fullscreen facility, if possible       off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{useFullScreenHelp}
+<<initvars>>=
+(defvar |$useFullScreenHelp| nil "use fullscreen facility, if possible")
+
+@
 <<helpfullscreen>>=
     (|fullscreen|
      "use fullscreen facility, if possible"
@@ -7965,6 +7790,11 @@ fullscreen   use fullscreen facility, if possible       off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{HiFiAccess}
+<<initvars>>=
+(defvar |$HiFiAccess| t "save workspace values in a history file")
+
+@
 <<history>>=
   (|history|
    "save workspace values in a history file"
@@ -8051,6 +7881,12 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printAnyIfTrue}
+<<initvars>>=
+(defvar |$printAnyIfTrue| t
+   "print the internal type of objects of domain Any")
+
+@
 <<messagesany>>=
      (|any|
       "print the internal type of objects of domain Any"
@@ -8067,6 +7903,11 @@ naglink      show NAGLink messages                      on
  Description: print file auto-load messages
 
 \end{verbatim}
+\defdollar{printLoadMsgs}
+<<initvars>>=
+(defvar |$printLoadMsgs| t "print file auto-load messages")
+
+@
 <<messagesautoload>>=
      (|autoload|
       "print file auto-load messages"
@@ -8092,6 +7933,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportBottomUpFlag}
+<<initvars>>=
+(defvar |$reportBottomUpFlag| nil "display bottom up modemap selection")
+
+@
 <<messagesbottomup>>=
      (|bottomup|
       "display bottom up modemap selection"
@@ -8116,6 +7962,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportCoerceIfTrue}
+<<initvars>>=
+(defvar |$reportCoerceIfTrue| nil "display datatype coercion messages")
+
+@
 <<messagescoercion>>=
      (|coercion|
       "display datatype coercion messages"
@@ -8140,6 +7991,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{displayDroppedMap}
+<<initvars>>=
+(defvar |$displayDroppedMap| nil "display old map defn when replaced")
+
+@
 <<messagesdropmap>>=
      (|dropmap|
       "display old map defn when replaced"
@@ -8164,6 +8020,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{giveExposureWarning}
+<<initvars>>=
+(defvar |$giveExposureWarning| nil "warning for unexposed functions")
+
+@
 <<messagesexpose>>=
      (|expose|
       "warning for unexposed functions"
@@ -8188,6 +8049,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printMsgsToFile}
+<<initvars>>=
+(defvar |$printMsgsToFile| nil "print msgs also to SPADMSG LISTING")
+
+@
 <<messagesfile>>=
      (|file|
       "print msgs also to SPADMSG LISTING"
@@ -8211,6 +8077,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{frameMessages}
+<<initvars>>=
+(defvar |$frameMessages| nil "display messages about frames")
+
+@
 <<messagesframe>>=
      (|frame|
       "display messages about frames"
@@ -8235,6 +8106,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{highlightAllowed}
+<<initvars>>=
+(defvar |$highlightAllowed| nil "use highlighting in system messages")
+
+@
 <<messageshighlighting>>=
      (|highlighting|
       "use highlighting in system messages"
@@ -8259,6 +8135,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportInstantiations}
+<<initvars>>=
+(defvar |$reportInstantiations| nil "present instantiation summary")
+
+@
 <<messagesinstant>>=
      (|instant|
       "present instantiation summary"
@@ -8283,6 +8164,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportEachInstantiation|}
+<<initvars>>=
+(defvar |$reportEachInstantiation| nil "present instantiation info")
+
+@
 <<messagesinsteach>>=
      (|insteach|
       "present instantiation info"
@@ -8307,6 +8193,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportInterpOnly}
+<<initvars>>=
+(defvar |$reportInterpOnly| t "say when function code is interpreted")
+
+@
 <<messagesinterponly>>=
      (|interponly|
       "say when function code is interpreted"
@@ -8331,6 +8222,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{nagMessages}
+<<initvars>>=
+(defvar |$nagMessages| t "show NAGLink messages")
+
+@
 <<messagesnaglink>>=
      (|naglink|
       "show NAGLink messages"
@@ -8355,6 +8251,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{displayMsgNumber}
+<<initvars>>=
+(defvar |$displayMsgNumber| nil "display message number with message")
+
+@
 <<messagesnumber>>=
      (|number|
       "display message number with message"
@@ -8381,6 +8282,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{inputPromptType}
+<<initvars>>=
+(defvar |$inputPromptType| '|step| "set type of input prompt to display")
+
+@
 <<messagesprompt>>=
      (|prompt|
       "set type of input prompt to display"
@@ -8405,6 +8311,13 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+
+TPDHERE: This is a duplicate of )set mes bot on because both use the
+\verb|$reportBottomUpFlag| flag
+\label{reportBottomUpFlag}
+\index{\$reportBottomUpFlag}
+\index{defvar!\$reportBottomUpFlag}
+\index{\$reportBottomUpFlag!defvar}
 <<messagesselection>>=
      (|selection|
       "display function selection msgs"
@@ -8428,6 +8341,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{displaySetValue}
+<<initvars>>=
+(defvar |$displaySetValue| nil "show )set setting after assignment")
+
+@
 <<messagesset>>=
      (|set|
       "show )set setting after assignment"
@@ -8452,6 +8370,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{displayStartMsgs}
+<<initvars>>=
+(defvar |$displayStartMsgs| t "display messages on start-up")
+
+@
 <<messagesstartup>>=
      (|startup|
       "display messages on start-up"
@@ -8476,6 +8399,12 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printStatisticsSummaryIfTrue}
+<<initvars>>=
+(defvar |$printStatisticsSummaryIfTrue| nil
+     "print statistics after computation")
+
+@
 <<messagessummary>>=
      (|summary|
       "print statistics after computation"
@@ -8500,6 +8429,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{testingSystem}
+<<initvars>>=
+(defvar |$testingSystem| nil "print system testing header")
+
+@
 <<messagestesting>>=
      (|testing|
       "print system testing header"
@@ -8524,6 +8458,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printTimeIfTrue}
+<<initvars>>=
+(defvar |$printTimeIfTrue| nil "print timings after computation")
+
+@
 <<messagestime>>=
      (|time|
       "print timings after computation"
@@ -8547,6 +8486,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printTypeIfTrue}
+<<initvars>>=
+(defvar |$printTypeIfTrue| t "print type after computation")
+
+@
 <<messagestype>>=
      (|type|
       "print type after computation"
@@ -8570,6 +8514,11 @@ naglink      show NAGLink messages                      on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{printVoidIfTrue}
+<<initvars>>=
+(defvar |$printVoidIfTrue| nil "print Void value when it occurs")
+
+@
 <<messagesvoid>>=
      (|void|
       "print Void value when it occurs"
@@ -8616,6 +8565,11 @@ double       enforce DOUBLE PRECISION ASPs              on
 
  The current setting is localhost 
 \end{verbatim}
+\defdollar{nagHost}
+<<initvars>>=
+(defvar |$nagHost| "localhost" "internet address of host for NAGLink")
+
+@
 <<naglinkhost>>=
      (|host|
       "internet address of host for NAGLink"
@@ -8672,6 +8626,11 @@ double       enforce DOUBLE PRECISION ASPs              on
 
  The current setting is 1 
 \end{verbatim}
+\defdollar{fortPersistence}
+<<initvars>>=
+(defvar |$fortPersistence| 1 "number of (fortran) functions to remember")
+
+@
 <<naglinkpersistence>>=
      (|persistence|
       "number of (fortran) functions to remember"
@@ -8743,6 +8702,11 @@ double       enforce DOUBLE PRECISION ASPs              on
  The current setting is indicated.
 
 \end{verbatim}
+TPDHERE: this is the same as )set nag mes on
+\label{nagMessages}
+\index{\$nagMessages}
+\index{defvar!\$nagMessages}
+\index{\$nagMessages!defvar}
 <<naglinkmessages>>=
      (|messages|
       "show NAGLink messages"
@@ -8766,6 +8730,11 @@ double       enforce DOUBLE PRECISION ASPs              on
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{nagEnforceDouble}
+<<initvars>>=
+(defvar |$nagEnforceDouble| t "enforce DOUBLE PRECISION ASPs")
+
+@
 <<naglinkdouble>>=
      (|double|
       "enforce DOUBLE PRECISION ASPs"
@@ -8830,6 +8799,11 @@ is defined within the output structure.
 
  The current setting is indicated.
 \end{verbatim}
+\defdollar{abbreviateTypes}
+<<initvars>>=
+(defvar |$abbreviateTypes| nil "abbreviate type names")
+
+@
 <<outputabbreviate>>=
      (|abbreviate|
       "abbreviate type names"
@@ -8871,6 +8845,17 @@ The output is placed in the directory from which you invoked
 AXIOM or the one you set with the )cd system command.
 The current setting is:  On:CONSOLE 
 \end{verbatim}
+\defdollar{algebraFormat}
+<<initvars>>=
+(defvar |$algebraFormat| t "display output in algebraic form")
+
+@
+\defdollar{algebraOutputFile}
+<<initvars>>=
+(defvar |$algebraOutputFile| "CONSOLE" 
+  "where algebra printing goes (enter {\em console} or a pathname)?")
+
+@
 <<outputalgebra>>=
      (|algebra|
       "display output in algebraic form"
@@ -9134,6 +9119,17 @@ The output is placed in the directory from which you invoked
 AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
+\defdollar{fortranFormat}
+<<initvars>>=
+(defvar |$fortranFormat| nil "create output in FORTRAN format")
+
+@
+\defdollar{HiFiAccess}
+<<initvars>>=
+(defvar |$fortranOutputFile| "CONSOLE" 
+   "where FORTRAN output goes (enter {\em console} or a a pathname)")
+
+@
 <<outputfortran>>=
      (|fortran|
       "create output in FORTRAN format"
@@ -9298,6 +9294,11 @@ The current setting is:  Off:CONSOLE
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{HiFiAccess}
+<<initvars>>=
+(defvar |$fractionDisplayType| '|vertical| "how fractions are formatted")
+
+@
 <<outputfraction>>=
      (|fraction|
       "how fractions are formatted"
@@ -9317,6 +9318,11 @@ The current setting is:  Off:CONSOLE
  10 to 245 inclusive. The current setting is 77 
 
 \end{verbatim}
+\defdollar{linelength}
+<<initvars>>=
+(defvar $linelength 77 "line length of output displays")
+
+@
 <<outputlength>>=
      (|length|
       "line length of output displays"
@@ -9358,6 +9364,17 @@ The output is placed in the directory from which you invoked
 AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
+\defdollar{mathmlFormat}
+<<initvars>>=
+(defvar |$mathmlFormat| nil "create output in MathML format")
+
+@
+\defdollar{mathmlOutputFile}
+<<initvars>>=
+(defvar |$mathmlOutputFile| "CONSOLE" 
+   "where MathML output goes (enter {\em console} or a pathname)")
+
+@
 <<outputmathml>>=
      (|mathml|
       "create output in MathML style"
@@ -9528,6 +9545,17 @@ The output is placed in the directory from which you invoked
 AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
+\defdollar{openMathFormat}
+<<initvars>>=
+(defvar |$openMathFormat| nil "create output in OpenMath format")
+
+@
+\defdollar{openMathOutputFile}
+<<initvars>>=
+(defvar |$openMathOutputFile| "CONSOLE"
+  "where TeX output goes (enter {\em console} or a pathname)")
+
+@
 <<outputopenmath>>=
      (|openmath|
       "create output in OpenMath style"
@@ -9699,6 +9727,17 @@ The output is placed in the directory from which you
 invoked AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
+\defdollar{formulaFormat}
+<<initvars>>=
+(defvar |$formulaFormat| nil "display output in SCRIPT format")
+
+@
+\defdollar{formulaOutputFile}
+<<initvars>>=
+(defvar |$formulaOutputFile| "CONSOLE"
+    "where script output goes (enter {\em console} or a a pathname)")
+
+@
 <<outputscript>>=
      (|script|
       "display output in SCRIPT formula format"
@@ -9851,6 +9890,11 @@ The current setting is:  Off:CONSOLE
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{linearFormatScripts}
+<<initvars>>=
+(defvar |$linearFormatScripts| nil "show subscripts,... linearly")
+
+@
 <<outputscripts>>=
      (|scripts|
       "show subscripts,... linearly"
@@ -9875,6 +9919,11 @@ The current setting is:  Off:CONSOLE
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{useEditorForShowOutput}
+<<initvars>>=
+(defvar |$useEditorForShowOutput| nil "view output of )show in editor")
+
+@
 <<outputshoweditor>>=
      (|showeditor|
       "view output of )show in editor"
@@ -9916,6 +9965,17 @@ The output is placed in the directory from which you invoked
 AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
+\defdollar{texFormat}
+<<initvars>>=
+(defvar |$texFormat| nil "create output in TeX format")
+
+@
+\defdollar{texOutputFile}
+<<initvars>>=
+(defvar |$texOutputFile| "CONSOLE" 
+    "where TeX output goes (enter {\em console} or a pathname)")
+
+@
 <<outputtex>>=
      (|tex|
       "create output in TeX style"
@@ -10061,6 +10121,11 @@ The current setting is:  Off:CONSOLE
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{quitCommandType}
+<<initvars>>=
+(defvar |$quitCommandType| '|protected| "protected or unprotected quit")
+
+@
 <<quit>>=
   (|quit|
    "protected or unprotected quit"
@@ -10104,6 +10169,12 @@ showall      display all stream elements computed       off
 
       The current setting is 10 .
 \end{verbatim}
+\defdollar{streamCount}
+<<initvars>>=
+(defvar |$streamCount| 10 
+    "number of initial stream elements you want calculated")
+
+@
 <<streamscalculate>>=
      (|calculate|
       "specify number of elements to calculate"
@@ -10162,6 +10233,11 @@ showall      display all stream elements computed       off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{streamsShowAll}
+<<initvars>>=
+(defvar |$streamsShowAll| nil "display all stream elements computed")
+
+@
 <<streamsshowall>>=
     (|showall|
      "display all stream elements computed"
@@ -10209,6 +10285,11 @@ prettyprint  prettyprint BOOT func's as they compile    off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportCompilation}
+<<initvars>>=
+(defvar |$reportCompilation| nil "show gen. LISP for functions when compiled")
+
+@
 <<systemfunctioncode>>=
      (|functioncode|
       "show gen. LISP for functions when compiled"
@@ -10233,6 +10314,11 @@ prettyprint  prettyprint BOOT func's as they compile    off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{reportOptimization}
+<<initvars>>=
+(defvar |$reportOptimization| nil "show optimized LISP code")
+
+@
 <<systemoptimization>>=
      (|optimization|
       "show optimized LISP code"
@@ -10257,12 +10343,17 @@ prettyprint  prettyprint BOOT func's as they compile    off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{prettyprint}
+<<initvars>>=
+(defvar $prettyprint t "prettyprint BOOT func's as they compile")
+
+@
 <<systemprettyprint>>=
      (|prettyprint|
       "prettyprint BOOT func's as they compile"
       |development|
       LITERALS
-      $PRETTYPRINT
+      $prettyprint
       (|on| |off|)
       |on|)
 @
@@ -10282,6 +10373,11 @@ prettyprint  prettyprint BOOT func's as they compile    off
  The current setting is indicated.
 
 \end{verbatim}
+\defdollar{UserLevel}
+<<initvars>>=
+(defvar |$UserLevel| '|development| "operation access level of system user")
+
+@
 <<userlevel>>=
   (|userlevel|
    "operation access level of system user"
@@ -10563,7 +10659,7 @@ Axiom or is the directory you specified using the
 <<defun summary>>=
 (defun |summary| (l)
  (declare (ignore l))
- (obey (strconc "cat " (|getEnv| "AXIOM") "/lib/summary")))
+ (obey (strconc "cat " (getenviron "AXIOM") "/lib/summary")))
 
 @
 
@@ -10617,6 +10713,11 @@ To list, say, all synonyms that contain the substring
 \fnref{set} and
 \fnref{what}
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{system}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -10660,6 +10761,11 @@ possible.
 \fnref{pquit}, and
 \fnref{quit}
 
+This command is in the list of \verb|$noParseCommands|
+\ref{noParseCommands} which means that its arguments are passed
+verbatim. This will eventually result in a call to the function
+\verb|handleNoParseCommands| \ref{handleNoParseCommands}
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \cmdhead{trace}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -11194,49 +11300,33 @@ This reports the traced functions
 
 \defun{saveMapSig}{saveMapSig}
 <<defun saveMapSig>>=
-(defun |saveMapSig| (|funNames|)
- (prog (|map|)
-  (return
-   (seq
-    (do ((t0 |funNames| (cdr t0)) (|name| nil))
-        ((or (atom t0) (progn (setq |name| (car t0)) nil)) nil)
-     (seq
-      (exit
-       (cond
-        ((setq |map| (|rassoc| |name| |$mapSubNameAlist|))
-         (exit
-          (setq |$tracedMapSignatures|
-           (addassoc |name| (|getMapSig| |map| |name|)
-                     |$tracedMapSignatures|)))))))))))) 
+(defun |saveMapSig| (funnames)
+ (let (map)
+ (declare (special |$tracedMapSignatures| |$mapSubNameAlist|))
+  (dolist (name funnames)
+   (when (setq map (|rassoc| name |$mapSubNameAlist|))
+     (setq |$tracedMapSignatures|
+       (addassoc name (|getMapSig| map name) |$tracedMapSignatures|))))))
 
 @
 
 \defun{getMapSig}{getMapSig}
 <<defun getMapSig>>=
-(defun |getMapSig| (|mapName| |subName|)
- (prog (|lmms| |sig|)
-  (return
-   (seq
-    (cond
-     ((setq |lmms| (|get| |mapName| '|localModemap| |$InteractiveFrame|))
-      (exit
-       (seq
-        (do ((t0 |lmms| (cdr t0)) (|mm| nil) (t1 nil |sig|))
-            ((or (atom t0) (progn (setq |mm| (car t0)) nil) t1) nil)
-         (seq
-          (exit
-           (cond 
-            ((boot-equal (cadr |mm|) |subName|)
-              (exit 
-               (setq |sig| (cdar |mm|))))))))
-        (exit |sig|))))))))) 
+(defun |getMapSig| (mapname subname)
+ (let (lmms sig)
+ (declare (special |$InteractiveFrame|))
+  (when (setq lmms (|get| mapname '|localModemap| |$InteractiveFrame|))
+    (do ((t0 lmms (cdr t0)) (|mm| nil) (t1 nil sig))
+        ((or (atom t0) (progn (setq |mm| (car t0)) nil) t1) nil)
+      (when (boot-equal (cadr |mm|) subname) (setq sig (cdar |mm|))))
+    sig)))
 
 @
 
 \defun{getTraceOption}{getTraceOption}
 <<defun getTraceOption,hn>>=
 (defun |getTraceOption,hn| (x)
- (prog (|g|)
+ (prog (g)
   (return
    (seq
     (if (and (atom x) (null (upper-case-p (elt (stringimage x) 0))))
@@ -11246,7 +11336,7 @@ This reports the traced functions
        (exit 
         (|stackTraceOptionError|
          (cons 's2it0013 (cons (cons x nil) nil)))))))
-    (if (setq |g| (|domainToGenvar| x)) (exit |g|))
+    (if (setq g (|domainToGenvar| x)) (exit g))
     (exit
      (|stackTraceOptionError| (cons 's2it0013 (cons (cons x nil) nil)))))))) 
 
@@ -11255,6 +11345,7 @@ This reports the traced functions
 <<defun getTraceOption>>=
 (defun |getTraceOption| (arg)
  (prog (l |opts| key a |n|)
+ (declare (special |$traceOptionList|))
   (return
    (seq
     (progn
@@ -11395,24 +11486,19 @@ This reports the traced functions
 
 \defun{traceOptionError}{traceOptionError}
 <<defun traceOptionError>>=
-(defun |traceOptionError| (opt |keys|)
- (cond
-  ((null |keys|)
-    (|stackTraceOptionError| (cons 's2it0007 (cons (cons opt nil) nil))))
-  (t
-   (|commandAmbiguityError| '|trace option| opt |keys|)))) 
+(defun |traceOptionError| (opt keys)
+ (if (null keys)
+  (|stackTraceOptionError| (cons 's2it0007 (cons (cons opt nil) nil)))
+  (|commandAmbiguityError| '|trace option| opt keys)))
 
 @
 
 \defun{resetTimers}{resetTimers}
 <<defun resetTimers>>=
 (defun |resetTimers| ()
- (seq
-  (do ((t0 /timerlist (cdr t0)) (|timer| nil))
-      ((or (atom t0) (progn (setq |timer| (car t0)) nil)) nil)
-   (seq
-    (exit
-     (set (intern (strconc |timer| ",TIMER")) 0)))))) 
+ (declare (special /timerlist))
+ (dolist (timer /timerlist)
+  (set (intern (strconc timer ",TIMER")) 0)))
 
 @
 
@@ -11427,12 +11513,9 @@ This reports the traced functions
 \defun{resetCounters}{resetCounters}
 <<defun resetCounters>>=
 (defun |resetCounters| ()
- (seq
-  (do ((t0 /countlist (cdr t0)) (|k| nil))
-      ((or (atom t0) (progn (setq |k| (car t0)) nil)) nil)
-    (seq
-     (exit
-      (set (intern (strconc |k| ",COUNT")) 0)))))) 
+ (declare (special /countlist))
+ (dolist (k /countlist)
+  (set (intern (strconc k ",COUNT")) 0)))
 
 @
 
@@ -11440,24 +11523,13 @@ This reports the traced functions
 <<defun ptimers>>=
 (defun |ptimers| ()
   (declare (special /timerlist |$timerTicksPerSecond|))
-  (cond
-   ((null /timerlist) (|sayBrightly| "   no functions are timed"))
-   (t
-    (do ((t0 /timerlist (cdr t0)) (|timer| nil))
-        ((or (atom t0) (progn (setq |timer| (car t0)) nil)) nil)
-     (seq
-      (exit
-       (|sayBrightly|
-        (cons "  "
-         (append
-          (|bright| |timer|)
-          (cons '|:|
-           (cons " "
-            (cons 
-             (quotient
-              (eval (intern (strconc |timer| ",TIMER")))
-              (|float| |$timerTicksPerSecond|))
-             (cons " sec." nil)))))))))))))
+  (if (null /timerlist) 
+   (|sayBrightly| "   no functions are timed")
+   (dolist (timer /timerlist)
+     (|sayBrightly|
+      `("  " ,@(|bright| timer) |:| " "
+         ,(quotient (eval (intern (strconc timer ",TIMER")))
+            (|float| |$timerTicksPerSecond|)) " sec.")))))
 
 @
 
@@ -11477,44 +11549,27 @@ This reports the traced functions
 \defun{pcounters}{pcounters}
 <<defun pcounters>>=
 (defun |pcounters| ()
- (seq
-  (cond
-   ((null /countlist) (|sayBrightly| "   no functions are being counted"))
-   (t
-    (do ((t0 /countlist (cdr t0)) (|k| nil))
-        ((or (atom t0) (progn (setq |k| (car t0)) nil)) nil)
-     (seq
-      (exit
-       (|sayBrightly|
-        (cons "  "
-         (append
-          (|bright| |k|)
-          (cons '|:|
-           (cons " "
-            (cons
-             (eval (intern (strconc |k| ",COUNT")))
-             (cons " times" nil)))))))))))))) 
+ (declare (special /countlist))
+ (if (null /countlist) 
+   (|sayBrightly| "   no functions are being counted")
+   (dolist (k /countlist)
+     (|sayBrightly|
+      `("  " ,@(|bright| k) |:| " " ,(eval (intern (strconc k ",COUNT")))
+        " times")))))
 
 @
 
 \defun{transOnlyOption}{transOnlyOption}
 <<defun transOnlyOption>>=
 (defun |transOnlyOption| (arg)
- (prog (y |n|)
-  (return
-   (cond
-    ((and (pairp arg) 
-          (progn (setq |n| (qcar arg)) (setq y (qcdr arg)) t))
-      (cond
-       ((fixp |n|)
-         (cons |n| (|transOnlyOption| y)))
-       ((memq (setq |n| (upcase |n|)) '(V A C))
-         (cons |n| (|transOnlyOption| y)))
-       (t 
-         (|stackTraceOptionError|
-           (cons 's2it0006 (cons (cons |n| nil) nil)))
-         (|transOnlyOption| y))))
-    (t nil))))) 
+ (let (y n)
+  (when (and (pairp arg) (progn (setq n (qcar arg)) (setq y (qcdr arg)) t))
+    (cond
+     ((fixp n) (cons n (|transOnlyOption| y)))
+     ((memq (setq n (upcase n)) '(v a c)) (cons n (|transOnlyOption| y)))
+     (t 
+        (|stackTraceOptionError| (cons 's2it0006 (list (list n))))
+        (|transOnlyOption| y))))))
 
 @
 
@@ -11529,39 +11584,29 @@ This reports the traced functions
 
 \defun{removeOption}{removeOption}
 <<defun removeOption>>=
-(defun |removeOption| (|op| |options|)
- (prog (opt)
-  (return
-   (seq
-    (prog (t0)
-     (setq t0 nil)
-     (return
-      (do ((t1 |options| (cdr t1)) (|optEntry| nil))
-          ((or (atom t1)
-               (progn (setq |optEntry| (car t1)) nil)
-               (progn (progn (setq opt (CAR |optEntry|)) |optEntry|) nil))
-        (nreverse0 t0))
-       (seq
-        (exit
-         (cond
-          ((nequal opt |op|) (setq t0 (cons |optEntry| t0))))))))))))) 
+(defun |removeOption| (op options)
+ (let (opt t0)
+  (do ((t1 options (cdr t1)) (optentry nil))
+      ((or (atom t1)
+           (progn (setq optentry (car t1)) nil)
+           (progn (progn (setq opt (car optentry)) optentry) nil))
+    (nreverse0 t0))
+  (when (nequal opt op) (setq t0 (cons optentry t0))))))
 
 @
 
 \defun{domainToGenvar}{domainToGenvar}
 <<defun domainToGenvar>>=
 (defun |domainToGenvar| (arg)
- (prog (|$doNotAddEmptyModeIfTrue| y |g|)
-  (declare (special |$doNotAddEmptyModeIfTrue|))
-  (return
-   (progn
-    (setq |$doNotAddEmptyModeIfTrue| t)
-    (cond
-     ((and (setq y (|unabbrevAndLoad| arg))
-           (eq (getdatabase (|opOf| y) 'constructorkind) '|domain|))
-       (progn
-        (setq |g| (|genDomainTraceName| y))
-        (set |g| (|evalDomain| y)) |g|))))))) 
+ (let (|$doNotAddEmptyModeIfTrue| y g)
+ (declare (special |$doNotAddEmptyModeIfTrue|))
+  (setq |$doNotAddEmptyModeIfTrue| t)
+  (when
+   (and (setq y (|unabbrevAndLoad| arg))
+        (eq (getdatabase (|opOf| y) 'constructorkind) '|domain|))
+     (setq g (|genDomainTraceName| y))
+     (set g (|evalDomain| y))
+     g)))
 
 @
 
@@ -11570,9 +11615,9 @@ This reports the traced functions
 (defun |genDomainTraceName| (y)
  (let (u g)
  (declare (special |$domainTraceNameAssoc|))
-   (cond
-    ((setq u (lassoc y |$domainTraceNameAssoc|)) u)
-    (t
+   (if (setq u (lassoc y |$domainTraceNameAssoc|)) 
+    u
+    (progn
      (setq g (genvar))
      (setq |$domainTraceNameAssoc| (cons (cons y g) |$domainTraceNameAssoc|))
      g))))
@@ -11635,13 +11680,10 @@ This reports the traced functions
 
 \defun{removeTracedMapSigs}{removeTracedMapSigs}
 <<defun removeTracedMapSigs>>=
-(defun |removeTracedMapSigs| (|untraceList|)
- (seq
-  (do ((t0 |untraceList| (cdr t0)) (|name| nil))
-      ((or (atom t0) (progn (setq |name| (car t0)) nil)) nil)
-   (seq
-    (exit
-     (remprop |name| |$tracedMapSignatures|)))))) 
+(defun |removeTracedMapSigs| (untraceList)
+ (declare (special |$tracedMapSignatures|))
+ (dolist (name untraceList)
+   (remprop name |$tracedMapSignatures|)))
 
 @
 
@@ -11686,7 +11728,7 @@ This reports the traced functions
 <<defun coerceSpadArgs2E>>=
 (defun |coerceSpadArgs2E| (args)
  (let ((|$streamCount| 0))
-  (declare (special |$streamCount| |$OutputForm|))
+  (declare (special |$streamCount| |$OutputForm| |$tracedSpadModemap|))
   (do ((t1 '(|arg1| |arg2| |arg3| |arg4| |arg5| |arg6| |arg7| |arg8| 
              |arg9| |arg10| |arg11| |arg12| |arg13| |arg14| |arg15| 
              |arg16| |arg17| |arg18| |arg19|) (cdr t1))
@@ -11742,7 +11784,7 @@ This reports the traced functions
 <<defun coerceTraceFunValue2E>>=
 (defun |coerceTraceFunValue2E| (tracename subname |value|)
  (let (name u)
- (declare (special |$tracedMapSignatures| |$OutputForm|))
+ (declare (special |$tracedMapSignatures| |$OutputForm| |$mathTraceList|))
    (if (memq (setq name subname) |$mathTraceList|)
     (cond
      ((spadsysnamep (pname tracename)) (|coerceSpadFunValue2E| |value|))
@@ -11804,115 +11846,93 @@ This reports the traced functions
 \defun{getMapSubNames}{getMapSubNames}
 <<defun getMapSubNames>>=
 (defun |getMapSubNames| (arg)
- (prog (|lmm| |subs|)
-  (return
-   (seq
-    (progn
-     (setq |subs| nil)
-     (seq
-      (do ((t0 arg (cdr t0)) (|mapName| nil))
-          ((or (atom t0) (progn (setq |mapName| (CAR t0)) nil)) nil)
-       (seq
-        (exit
-         (cond
-          ((setq |lmm|
-            (|get| |mapName| '|localModemap| |$InteractiveFrame|))
-           (exit
-            (setq |subs|
-             (append
-              (prog (t1)
-               (setq t1 nil)
-               (return
-                (do ((t2 |lmm| (cdr t2)) (|mm| nil))
-                    ((or (atom t2)
-                         (progn (setq |mm| (CAR t2)) nil)) (nreverse0 t1))
-                 (seq
-                  (exit
-                   (setq t1 (cons (cons |mapName| (cadr |mm|)) t1)))))))
-              |subs|))))))))
-      (|union| |subs|
-        (|getPreviousMapSubNames| (unionq /tracenames |$lastUntraced|))))))))) 
+ (let (lmm subs)
+ (declare (special /tracenames |$lastUntraced| |$InteractiveFrame|))
+  (setq subs nil)
+  (dolist (mapname arg)
+   (when (setq lmm (|get| mapname '|localModemap| |$InteractiveFrame|))
+     (setq subs
+      (append
+        (do ((t2 lmm (cdr t2)) (t1 nil) (|mm| nil))
+            ((or (atom t2)
+                 (progn (setq |mm| (CAR t2)) nil)) (nreverse0 t1))
+           (setq t1 (cons (cons mapname (cadr |mm|)) t1)))
+       subs))))
+  (|union| subs
+    (|getPreviousMapSubNames| (unionq /tracenames |$lastUntraced|)))))
 
 @
 
 \defun{getPreviousMapSubNames}{getPreviousMapSubNames}
 <<defun getPreviousMapSubNames>>=
 (defun |getPreviousMapSubNames| (|traceNames|)
- (prog (|lmm| |subs|)
+ (prog (lmm subs)
   (return
    (seq
     (progn
-     (setq |subs| nil)
+     (setq subs nil)
      (seq
       (do ((t0 (assocleft (caar |$InteractiveFrame|)) (cdr t0))
-           (|mapName| nil))
-          ((or (atom t0) (progn (setq |mapName| (car t0)) nil)) nil)
+           (mapname nil))
+          ((or (atom t0) (progn (setq mapname (car t0)) nil)) nil)
        (seq
         (exit
          (cond
-          ((setq |lmm|
-             (|get| |mapName| '|localModemap| |$InteractiveFrame|))
+          ((setq lmm
+             (|get| mapname '|localModemap| |$InteractiveFrame|))
             (exit
              (cond
-              ((memq (cadar |lmm|) |traceNames|)
+              ((memq (cadar lmm) |traceNames|)
                (exit
-                (do ((t1 |lmm| (cdr t1)) (|mm| nil))
+                (do ((t1 lmm (cdr t1)) (|mm| nil))
                     ((or (atom t1) (progn (setq |mm| (car t1)) nil)) nil)
                  (seq
                   (exit
-                   (setq |subs|
-                    (cons (cons |mapName| (cadr |mm|)) |subs|))))))))))))))
-      (exit |subs|))))))) 
+                   (setq subs
+                    (cons (cons mapname (cadr |mm|)) subs))))))))))))))
+      (exit subs))))))) 
 
 @
 
 \defun{lassocSub}{lassocSub}
 <<defun lassocSub>>=
-(defun |lassocSub| (x |subs|)
- (prog (y) 
-  (return 
-   (cond 
-    ((setq y (lassq x |subs|)) y)
-    (t x))))) 
+(defun |lassocSub| (x subs)
+ (let (y) 
+  (if (setq y (lassq x subs)) 
+    y
+    x)))
 
 @
 
 \defun{rassocSub}{rassocSub}
 <<defun rassocSub>>=
-(defun |rassocSub| (x |subs|)
- (prog (y)
-  (return
-   (cond
-    ((setq y (|rassoc| x |subs|)) y)
-    (t x))))) 
+(defun |rassocSub| (x subs)
+ (let (y)
+   (if (setq y (|rassoc| x subs)) 
+    y
+    x)))
 
 @
 
 \defun{isUncompiledMap}{isUncompiledMap}
 <<defun isUncompiledMap>>=
 (defun |isUncompiledMap| (x)
- (prog (y)
-  (return
-   (seq 
-    (cond
-     ((setq y (|get| x '|value| |$InteractiveFrame|))
-       (exit
-        (and
-         (eq (caar y) 'map)
-         (null (|get| x '|localModemap| |$InteractiveFrame|)))))))))) 
+ (let (y)
+ (declare (special |$InteractiveFrame|))
+  (when (setq y (|get| x '|value| |$InteractiveFrame|))
+    (and
+      (eq (caar y) 'map)
+      (null (|get| x '|localModemap| |$InteractiveFrame|))))))
 
 @
 
 \defun{isInterpOnlyMap}{isInterpOnlyMap}
 <<defun isInterpOnlyMap>>=
 (defun |isInterpOnlyMap| (map)
- (prog (x)
-  (return
-   (seq
-    (cond
-     ((setq x (|get| map '|localModemap| |$InteractiveFrame|))
-      (exit
-       (eq (caaar x) '|interpOnly|)))))))) 
+ (let (x)
+ (declare (special |$InteractiveFrame|))
+  (when (setq x (|get| map '|localModemap| |$InteractiveFrame|))
+    (eq (caaar x) '|interpOnly|))))
 
 @
 
@@ -11942,43 +11962,26 @@ This reports the traced functions
 \defun{isSubForRedundantMapName}{isSubForRedundantMapName}
 <<defun isSubForRedundantMapName>>=
 (defun |isSubForRedundantMapName| (subname)
- (prog (|mapName| |tail|)
-  (return
-   (seq
-    (cond
-     ((setq |mapName| (|rassocSub| subname |$mapSubNameAlist|))
-       (exit
-        (cond
-         ((setq |tail|
-            (|member| (cons |mapName| subname) |$mapSubNameAlist|))
-           (exit
-            (memq |mapName| (cdr (assocleft |tail|))))))))))))) 
+ (let (mapname tail)
+ (declare (special |$mapSubNameAlist|))
+  (when (setq mapname (|rassocSub| subname |$mapSubNameAlist|))
+    (when (setq tail (|member| (cons mapname subname) |$mapSubNameAlist|))
+      (memq mapname (cdr (assocleft tail)))))))
 
 @
 
 \defun{untraceMapSubNames}{untraceMapSubNames}
 <<defun untraceMapSubNames>>=
 (defun |untraceMapSubNames| (|traceNames|)
- (prog (|$mapSubNameAlist| |subs|)
-  (declare (special |$mapSubNameAlist|))
-  (return
-   (seq
-    (cond
-     ((null
-        (setq |$mapSubNameAlist| (|getPreviousMapSubNames| |traceNames|)))
-       nil)
-     (t
-      (do ((t0 (setq |subs| (assocright |$mapSubNameAlist|)) (CDR t0))
-           (name nil))
-          ((or (atom t0) (progn (setq name (car t0)) nil)) nil)
-       (seq
-        (exit
-         (cond
-          ((memq name /tracenames)
-           (progn
-            (|/UNTRACE,2| name nil)
-            (setq |$lastUntraced|
-             (setdifference |$lastUntraced| |subs|)))))))))))))) 
+ (let (|$mapSubNameAlist| subs)
+ (declare (special |$mapSubNameAlist| |$lastUntraced|))
+  (if
+   (null (setq |$mapSubNameAlist| (|getPreviousMapSubNames| |traceNames|)))
+   nil
+   (dolist (name (setq subs (assocright |$mapSubNameAlist|)))
+     (when (memq name /tracenames)
+       (|/UNTRACE,2| name nil)
+       (setq |$lastUntraced| (setdifference |$lastUntraced| subs)))))))
 
 @
 
@@ -12034,24 +12037,22 @@ This reports the traced functions
 \defun{spadTrace,g}{spadTrace,g}
 <<defun spadTrace,g>>=
 (defun |spadTrace,g| (x)
- (seq
-  (if (stringp x) (exit (intern x)))
-  (exit x))) 
+  (if (stringp x) (intern x) x))
 
 @
 
 \defun{spadTrace,isTraceable}{spadTrace,isTraceable}
 <<defun spadTrace,isTraceable>>=
 (defun |spadTrace,isTraceable| (x |domain|)
- (prog (|n| |functionSlot|)
+ (prog (n |functionSlot|)
   (return
    (seq
     (progn
-     (setq |n| (caddr x))
+     (setq n (caddr x))
      x
      (seq
-      (if (atom (elt |domain| |n|)) (exit nil))
-      (setq |functionSlot| (car (elt |domain| |n|)))
+      (if (atom (elt |domain| n)) (exit nil))
+      (setq |functionSlot| (car (elt |domain| n)))
       (if (gensymp |functionSlot|) 
        (exit (seq (|reportSpadTrace| '|Already Traced| x) (exit nil))))
       (if (null (bpiname |functionSlot|))
@@ -12065,149 +12066,147 @@ This reports the traced functions
 
 \defun{spadTrace}{spadTrace}
 <<defun spadTrace>>=
-(defun |spadTrace| (|domain| |options|)
- (prog (|$tracedModemap| |listOfOperations| |listOfVariables| 
-        |listOfBreakVars| |anyifTrue| |domainId| |currentEntry| 
-        |currentAlist| |opStructureList| |sig| |kind| |triple| fn |op| 
-        |mm| |n| |alias| tracename |sigSlotNumberAlist|)
- (declare (special |$tracedModemap|))
- (return
-  (seq
-   (progn
-    (setq |$fromSpadTrace| t)
-    (setq |$tracedModemap| nil)
-    (cond
-     ((and (pairp |domain|)
-           (refvecp (car |domain|))
-           (eql (elt (car |domain|) 0) 0))
-       (|aldorTrace| |domain| |options|))
-     ((null (|isDomainOrPackage| |domain|))
-       (|userError| "bad argument to trace"))
-     (t
-      (setq |listOfOperations|
-       (prog (t0)
-        (setq t0 nil)
-        (return
-         (do ((t1 (|getOption| 'ops |options|) (cdr t1)) (x nil))
-             ((or (atom t1) (progn (setq x (car t1)) nil)) (nreverse0 t0))
-          (seq
-           (exit
-            (setq t0 (cons (|spadTrace,g| x) t0))))))))
-      (cond
-       ((setq |listOfVariables| (|getOption| 'vars |options|))
-         (setq |options| (|removeOption| 'vars |options|))))
-      (cond
-       ((setq |listOfBreakVars| (|getOption| 'varbreak |options|))
-         (setq |options| (|removeOption| 'varbreak |options|))))
-      (setq |anyifTrue| (null |listOfOperations|))
-      (setq |domainId| (|opOf| (elt |domain| 0)))
-      (setq |currentEntry| (|assoc| |domain| /tracenames))
-      (setq |currentAlist| (kdr |currentEntry|))
-      (setq |opStructureList| 
-       (|flattenOperationAlist| (|getOperationAlistFromLisplib| |domainId|)))
-      (setq |sigSlotNumberAlist|
-       (prog (t2)
-        (setq t2 nil)
-        (return
-         (do ((t3 |opStructureList| (cdr t3)) (t4 nil))
-             ((or (atom t3)
-                  (progn (setq t4 (CAR t3)) nil)
-                  (progn
-                   (progn
-                    (setq |op| (car t4))
-                    (setq |sig| (cadr t4))
-                    (setq |n| (caddr t4))
-                    (setq |kind| (car (cddddr t4))) t4)
-                   nil))
-                (nreverse0 t2))
-          (seq
-           (exit
-            (cond
-             ((and (eq |kind| 'ELT)
-                   (or |anyifTrue| (memq |op| |listOfOperations|))
-                   (fixp |n|)
-                   (|spadTrace,isTraceable|
-                    (setq |triple|
-                     (cons |op| (cons |sig| (cons |n| nil)))) |domain|))
-                (setq t2 (cons |triple| t2))))))))))
-      (cond 
-       (|listOfVariables|
-        (do ((t5 |sigSlotNumberAlist| (cdr t5)) (t6 nil))
-            ((or (atom t5)
-                 (progn (setq t6 (car t5)) nil)
-                 (progn (progn (setq |n| (caddr t6)) t6) nil))
-              nil)
-         (seq
-          (exit
-           (progn
-            (setq fn (car (elt |domain| |n|)))
-            (setq |$letAssoc|
-             (as-insert (bpiname fn) |listOfVariables| |$letAssoc|))))))))
-      (cond
-       (|listOfBreakVars|
-        (do ((t7 |sigSlotNumberAlist| (cdr t7)) (t8 nil))
-            ((or (atom t7)
-                 (progn (setq t8 (car t7)) nil)
-                 (progn (progn (setq |n| (caddr t8)) t8) nil))
-                nil)
-         (seq
-          (exit
-           (progn
-            (setq fn (car (elt |domain| |n|)))
-            (setq |$letAssoc|
-             (as-insert (bpiname fn)
-              (cons (cons 'break |listOfBreakVars|) nil) |$letAssoc|))))))))
-      (do ((t9 |sigSlotNumberAlist| (cdr t9)) (|pair| nil))
-          ((or (atom t9)
-               (progn (setq |pair| (car t9)) nil)
+(defun |spadTrace| (domain options)
+ (let (|$tracedModemap| listofoperations listofvariables 
+        listofbreakvars anyiftrue domainid currententry 
+        currentalist opstructurelist sig kind triple fn op 
+        mm n alias tracename sigslotnumberalist)
+ (declare (special |$tracedModemap| /tracenames |$fromSpadTrace| |$letAssoc|
+    |$reportSpadTrace| |$traceNoisely|))
+ (setq |$fromSpadTrace| t)
+ (setq |$tracedModemap| nil)
+ (cond
+  ((and (pairp domain)
+        (refvecp (car domain))
+        (eql (elt (car domain) 0) 0))
+    (|aldorTrace| domain options))
+  ((null (|isDomainOrPackage| domain))
+    (|userError| "bad argument to trace"))
+  (t
+   (setq listofoperations
+    (prog (t0)
+     (setq t0 nil)
+     (return
+      (do ((t1 (|getOption| 'ops options) (cdr t1)) (x nil))
+          ((or (atom t1) (progn (setq x (car t1)) nil)) (nreverse0 t0))
+       (seq
+        (exit
+         (setq t0 (cons (|spadTrace,g| x) t0))))))))
+   (cond
+    ((setq listofvariables (|getOption| 'vars options))
+      (setq options (|removeOption| 'vars options))))
+   (cond
+    ((setq listofbreakvars (|getOption| 'varbreak options))
+      (setq options (|removeOption| 'varbreak options))))
+   (setq anyiftrue (null listofoperations))
+   (setq domainid (|opOf| (elt domain 0)))
+   (setq currententry (|assoc| domain /tracenames))
+   (setq currentalist (kdr currententry))
+   (setq opstructurelist 
+    (|flattenOperationAlist| (|getOperationAlistFromLisplib| domainid)))
+   (setq sigslotnumberalist
+    (prog (t2)
+     (setq t2 nil)
+     (return
+      (do ((t3 opstructurelist (cdr t3)) (t4 nil))
+          ((or (atom t3)
+               (progn (setq t4 (CAR t3)) nil)
                (progn
                 (progn
-                 (setq |op| (car |pair|))
-                 (setq |mm| (cadr |pair|))
-                 (setq |n| (caddr |pair|))
-                 |pair|)
-                 nil))
-               nil)
+                 (setq op (car t4))
+                 (setq sig (cadr t4))
+                 (setq n (caddr t4))
+                 (setq kind (car (cddddr t4))) t4)
+                nil))
+             (nreverse0 t2))
        (seq
         (exit
-         (progn 
-          (setq |alias| (|spadTraceAlias| |domainId| |op| |n|))
-          (setq |$tracedModemap|
-            (|subTypes| |mm| (|constructSubst| (elt |domain| 0))))
-          (setq tracename
-            (bpitrace (car (elt |domain| |n|)) |alias| |options|))
-          (nconc |pair|
-            (cons |listOfVariables|
-             (cons (car (elt |domain| |n|))
-              (cons tracename (cons |alias| nil)))))
-          (rplac (car (elt |domain| |n|)) tracename)))))
-      (setq |sigSlotNumberAlist|
-       (prog (t10)
-        (setq t10 nil)
-        (return
-         (do ((t11 |sigSlotNumberAlist| (cdr t11)) (x nil))
-             ((or (atom t11) (progn (setq x (car t11)) nil)) (nreverse0 t10))
-          (seq
-           (exit
-            (cond ((cdddr x) (setq t10 (cons x t10))))))))))
-      (cond
-       (|$reportSpadTrace|
-        (cond (|$traceNoisely| (|printDashedLine|)))
-        (do ((t12 (|orderBySlotNumber| |sigSlotNumberAlist|) (cdr t12))
-             (x nil))
-            ((or (atom t12)
-                 (progn (setq x (car t12)) nil))
-                nil)
-             (seq (exit (|reportSpadTrace| 'tracing x))))))
-      (cond (|$letAssoc| (setletprintflag t)))
-      (cond 
-       (|currentEntry|
-        (rplac (cdr |currentEntry|)
-          (append |sigSlotNumberAlist| |currentAlist|)))
-       (t 
-        (setq /tracenames
-         (cons (cons |domain| |sigSlotNumberAlist|) /tracenames))
-          (|spadReply|)))))))))) 
+         (cond
+          ((and (eq kind 'elt)
+                (or anyiftrue (memq op listofoperations))
+                (fixp n)
+                (|spadTrace,isTraceable|
+                 (setq triple
+                  (cons op (cons sig (cons n nil)))) domain))
+             (setq t2 (cons triple t2))))))))))
+   (cond 
+    (listofvariables
+     (do ((t5 sigslotnumberalist (cdr t5)) (t6 nil))
+         ((or (atom t5)
+              (progn (setq t6 (car t5)) nil)
+              (progn (progn (setq n (caddr t6)) t6) nil))
+           nil)
+      (seq
+       (exit
+        (progn
+         (setq fn (car (elt domain n)))
+         (setq |$letAssoc|
+          (as-insert (bpiname fn) listofvariables |$letAssoc|))))))))
+   (cond
+    (listofbreakvars
+     (do ((t7 sigslotnumberalist (cdr t7)) (t8 nil))
+         ((or (atom t7)
+              (progn (setq t8 (car t7)) nil)
+              (progn (progn (setq n (caddr t8)) t8) nil))
+             nil)
+      (seq
+       (exit
+        (progn
+         (setq fn (car (elt domain n)))
+         (setq |$letAssoc|
+          (as-insert (bpiname fn)
+           (cons (cons 'break listofbreakvars) nil) |$letAssoc|))))))))
+   (do ((t9 sigslotnumberalist (cdr t9)) (|pair| nil))
+       ((or (atom t9)
+            (progn (setq |pair| (car t9)) nil)
+            (progn
+             (progn
+              (setq op (car |pair|))
+              (setq mm (cadr |pair|))
+              (setq n (caddr |pair|))
+              |pair|)
+              nil))
+            nil)
+    (seq
+     (exit
+      (progn 
+       (setq alias (|spadTraceAlias| domainid op n))
+       (setq |$tracedModemap|
+         (|subTypes| mm (|constructSubst| (elt domain 0))))
+       (setq tracename
+         (bpitrace (car (elt domain n)) alias options))
+       (nconc |pair|
+         (cons listofvariables
+          (cons (car (elt domain n))
+           (cons tracename (cons alias nil)))))
+       (rplac (car (elt domain n)) tracename)))))
+   (setq sigslotnumberalist
+    (prog (t10)
+     (setq t10 nil)
+     (return
+      (do ((t11 sigslotnumberalist (cdr t11)) (x nil))
+          ((or (atom t11) (progn (setq x (car t11)) nil)) (nreverse0 t10))
+       (seq
+        (exit
+         (cond ((cdddr x) (setq t10 (cons x t10))))))))))
+   (cond
+    (|$reportSpadTrace|
+     (cond (|$traceNoisely| (|printDashedLine|)))
+     (do ((t12 (|orderBySlotNumber| sigslotnumberalist) (cdr t12))
+          (x nil))
+         ((or (atom t12)
+              (progn (setq x (car t12)) nil))
+             nil)
+          (seq (exit (|reportSpadTrace| 'tracing x))))))
+   (cond (|$letAssoc| (setletprintflag t)))
+   (cond 
+    (currententry
+     (rplac (cdr currententry)
+       (append sigslotnumberalist currentalist)))
+    (t 
+     (setq /tracenames
+      (cons (cons domain sigslotnumberalist) /tracenames))
+       (|spadReply|)))))))
 
 @
 
@@ -12229,16 +12228,17 @@ This reports the traced functions
 
 \defun{traceDomainConstructor}{traceDomainConstructor}
 <<defun traceDomainConstructor>>=
-(defun |traceDomainConstructor| (|domainConstructor| |options|)
+(defun |traceDomainConstructor| (|domainConstructor| options)
  (prog (|listOfLocalOps| |argl| |domain| |innerDomainConstructor|)
+ (declare (special |$ConstructorCache|))
   (return
    (seq
     (progn
      (|loadFunctor| |domainConstructor|)
-     (setq |listOfLocalOps| (|getOption| 'local |options|))
+     (setq |listOfLocalOps| (|getOption| 'local options))
      (when |listOfLocalOps| (|traceDomainLocalOps|))
      (cond 
-      ((and |listOfLocalOps| (null (|getOption| 'ops |options|))) nil)
+      ((and |listOfLocalOps| (null (|getOption| 'ops options))) nil)
       (t
        (do ((t2 (hget |$ConstructorCache| |domainConstructor|) (cdr t2))
             (t3 nil))
@@ -12252,7 +12252,7 @@ This reports the traced functions
                 nil)
          (seq
           (exit
-           (|spadTrace| |domain| |options|))))
+           (|spadTrace| |domain| options))))
        (setq /tracenames (cons |domainConstructor| /tracenames))
        (setq |innerDomainConstructor|
          (intern (strconc |domainConstructor| ";")))
@@ -12277,7 +12277,7 @@ This reports the traced functions
               (cons
                (cons '|spadTrace|
                 (cons '|domain|
-                 (cons (mkq |options|) nil)))
+                 (cons (mkq options) nil)))
                (cons (cons 'return (cons '|domain| nil)) nil)))))
            nil))))))))))) 
 
@@ -12285,16 +12285,16 @@ This reports the traced functions
 
 \defun{untraceDomainConstructor}{untraceDomainConstructor}
 <<defun untraceDomainConstructor,keepTraced?>>=
-(defun |untraceDomainConstructor,keepTraced?| (|df| |domainConstructor|)
- (prog (|dc|)
+(defun |untraceDomainConstructor,keepTraced?| (df |domainConstructor|)
+ (prog (dc)
   (return
    (seq
     (if (and 
          (and
-          (and (pairp |df|) (progn (setq |dc| (qcar |df|)) t))
-           (|isDomainOrPackage| |dc|))
-         (boot-equal (kar (|devaluate| |dc|)) |domainConstructor|))
-     (exit (seq (|/UNTRACE,0| (cons |dc| nil)) (exit nil))))
+          (and (pairp df) (progn (setq dc (qcar df)) t))
+           (|isDomainOrPackage| dc))
+         (boot-equal (kar (|devaluate| dc)) |domainConstructor|))
+     (exit (seq (|/UNTRACE,0| (cons dc nil)) (exit nil))))
     (exit t))))) 
 
 @
@@ -12302,6 +12302,7 @@ This reports the traced functions
 <<defun untraceDomainConstructor>>=
 (defun |untraceDomainConstructor| (|domainConstructor|)
  (prog (|innerDomainConstructor|)
+ (declare (special /tracenames))
   (return
    (seq
     (progn
@@ -12309,13 +12310,13 @@ This reports the traced functions
       (prog (t0)
        (setq t0 nil)
        (return
-        (do ((t1 /tracenames (cdr t1)) (|df| nil))
-            ((or (atom t1) (progn (setq |df| (car t1)) nil)) (nreverse0 t0))
+        (do ((t1 /tracenames (cdr t1)) (df nil))
+            ((or (atom t1) (progn (setq df (car t1)) nil)) (nreverse0 t0))
          (seq
           (exit
            (cond ((|untraceDomainConstructor,keepTraced?|
-                    |df| |domainConstructor|)
-             (setq t0 (cons |df| t0))))))))))
+                    df |domainConstructor|)
+             (setq t0 (cons df t0))))))))))
      (setq |innerDomainConstructor|
       (intern (strconc |domainConstructor| ";")))
      (cond
@@ -12328,7 +12329,7 @@ This reports the traced functions
 \defun{flattenOperationAlist}{flattenOperationAlist}
 <<defun flattenOperationAlist>>=
 (defun |flattenOperationAlist| (|opAlist|)
- (prog (|op| |mmList| |res|)
+ (prog (op |mmList| |res|)
   (return
    (seq
     (progn
@@ -12337,7 +12338,7 @@ This reports the traced functions
          ((or (atom t0) 
               (progn (setq t1 (car t0)) nil)
               (progn
-               (progn (setq |op| (car t1)) (setq |mmList| (cdr t1)) t1)
+               (progn (setq op (car t1)) (setq |mmList| (cdr t1)) t1)
                nil)) 
              nil)
       (seq
@@ -12347,12 +12348,12 @@ This reports the traced functions
           (prog (t2)
            (setq t2 nil)
            (return
-            (do ((t3 |mmList| (cdr t3)) (|mm| nil))
+            (do ((t3 |mmList| (cdr t3)) (mm nil))
                 ((or (atom t3)
-                     (progn (setq |mm| (car t3)) nil)) (nreverse0 t2))
+                     (progn (setq mm (car t3)) nil)) (nreverse0 t2))
              (seq
               (exit
-               (setq t2 (cons (cons |op| |mm|) t2))))))))))))
+               (setq t2 (cons (cons op mm) t2))))))))))))
      |res|))))) 
 
 @
@@ -12370,6 +12371,7 @@ This reports the traced functions
 <<defun letPrint>>=
 (defun |letPrint| (x |val| |currentFunction|)
  (prog (y)
+ (declare (special |$letAssoc|))
   (return
    (progn
     (cond ((and |$letAssoc| 
@@ -12406,7 +12408,7 @@ This reports the traced functions
 <<defun letPrint2>>=
 (defun |letPrint2| (x |printform| |currentFunction|)
  (prog (|$BreakMode| |flag| y)
-  (declare (special |$BreakMode|))
+  (declare (special |$BreakMode| |$letAssoc| ))
   (return
    (progn
     (setq |$BreakMode| nil)
@@ -12449,7 +12451,7 @@ to convert the data into type "Expression"
 <<defun letPrint3>>=
 (defun |letPrint3| (x |xval| |printfn| |currentFunction|)
  (prog (|$BreakMode| |flag| y)
-  (declare (special |$BreakMode|))
+  (declare (special |$BreakMode| |$letAssoc| ))
   (return
    (progn
     (setq |$BreakMode| nil)
@@ -12492,13 +12494,14 @@ to convert the data into type "Expression"
 <<defun getAliasIfTracedMapParameter>>=
 (defun |getAliasIfTracedMapParameter| (x |currentFunction|)
  (prog (|aliasList|)
+ (declare (special |$InteractiveFrame|))
   (return
    (seq
     (cond
      ((|isSharpVarWithNum| x)
        (cond
         ((setq |aliasList|
-           (|get| |currentFunction| '|alias| |$InteractiveFrame|))
+           (|get| |currentFunction| 'alias |$InteractiveFrame|))
          (exit
           (elt |aliasList|
            (spaddifference
@@ -12510,13 +12513,14 @@ to convert the data into type "Expression"
 \defun{getBpiNameIfTracedMap}{getBpiNameIfTracedMap}
 <<defun getBpiNameIfTracedMap>>=
 (defun |getBpiNameIfTracedMap| (name)
- (prog (|lmm| |bpiName|)
+ (prog (lmm |bpiName|)
+ (declare (special |$InteractiveFrame| /tracenames))
   (return
    (seq
     (cond 
-     ((setq |lmm| (|get| name '|localModemap| |$InteractiveFrame|))
+     ((setq lmm (|get| name '|localModemap| |$InteractiveFrame|))
        (cond
-        ((memq (setq |bpiName| (cadar |lmm|)) /tracenames)
+        ((memq (setq |bpiName| (cadar lmm)) /tracenames)
            (exit |bpiName|))))
      (t name)))))) 
 
@@ -12551,30 +12555,29 @@ to convert the data into type "Expression"
 
 \defun{spadTraceAlias}{spadTraceAlias}
 <<defun spadTraceAlias>>=
-(defun |spadTraceAlias| (|domainId| |op| |n|)
- (internl |domainId| (intern "." "boot") |op| '|,| (stringimage |n|))) 
+(defun |spadTraceAlias| (domainid op n)
+ (internl domainid (intern "." "boot") op '|,| (stringimage n))) 
 
 @
 
 \defun{getOption}{getOption}
 <<defun getOption>>=
 (defun |getOption| (opt l)
- (prog (y)
-  (return
-   (seq
-    (cond ((setq y (|assoc| opt l)) (exit (cdr y)))))))) 
+ (let (y)
+  (when (setq y (|assoc| opt l))  (cdr y))))
 
 @
 
 \defun{reportSpadTrace}{reportSpadTrace}
 <<defun reportSpadTrace>>=
 (defun |reportSpadTrace| (|header| t0)
- (prog (|op| |sig| |n| |t| |msg| |namePart| y |tracePart|)
+ (prog (op sig n |t| |msg| |namePart| y |tracePart|)
+ (declare (special |$traceNoisely|))
   (return 
    (progn
-    (setq |op| (car t0))
-    (setq |sig| (cadr t0))
-    (setq |n| (caddr t0))
+    (setq op (car t0))
+    (setq sig (cadr t0))
+    (setq n (caddr t0))
     (setq |t| (cdddr t0))
     (cond
      ((null |$traceNoisely|) nil)
@@ -12582,14 +12585,14 @@ to convert the data into type "Expression"
       (setq |msg|
        (cons |header|
         (cons '|%b|
-         (cons |op|
+         (cons op
           (cons '|:|
            (cons '|%d|
-            (cons (CDR |sig|)
+            (cons (CDR sig)
              (cons '| -> |
-              (cons (car |sig|)
+              (cons (car sig)
                (cons '| in slot |
-                (cons |n| nil)))))))))))
+                (cons n nil)))))))))))
       (setq |namePart| nil)
       (setq |tracePart|
        (cond
@@ -12606,7 +12609,7 @@ to convert the data into type "Expression"
 \defun{orderBySlotNumber}{orderBySlotNumber}
 <<defun orderBySlotNumber>>=
 (defun |orderBySlotNumber| (arg)
- (prog (|n|)
+ (prog (n)
   (return 
    (seq
     (assocright
@@ -12617,11 +12620,11 @@ to convert the data into type "Expression"
         (do ((t1 arg (cdr t1)) (x nil))
             ((or (atom t1)
                  (progn (setq x (car t1)) nil)
-                 (progn (progn (setq |n| (caddr x)) x) nil))
+                 (progn (progn (setq n (caddr x)) x) nil))
                (nreverse0 t0))
          (seq
           (exit
-           (setq t0 (cons (cons |n| x) t0))))))))))))) 
+           (setq t0 (cons (cons n x) t0))))))))))))) 
 
 @
 
@@ -12667,6 +12670,7 @@ to convert the data into type "Expression"
 <<defun spadReply>>=
 (defun |spadReply| ()
  (prog () 
+ (declare (special /tracenames))
   (return
    (seq
     (prog (t0)
@@ -12682,50 +12686,51 @@ to convert the data into type "Expression"
 
 \defun{spadUntrace}{spadUntrace}
 <<defun spadUntrace>>=
-(defun |spadUntrace| (|domain| |options|)
- (prog (|anyifTrue| |listOfOperations| |domainId| |pair| |sigSlotNumberAlist| 
-        |op| |sig| |n| |lv| |bpiPointer| tracename |alias| |assocPair| 
+(defun |spadUntrace| (|domain| options)
+ (prog (anyiftrue listofoperations domainid |pair| sigslotnumberalist 
+        op sig n |lv| |bpiPointer| tracename alias |assocPair| 
         |newSigSlotNumberAlist|)
+ (declare (special |$letAssoc| /tracenames))
   (return
    (seq
     (cond
      ((null (|isDomainOrPackage| |domain|))
        (|userError| "bad argument to untrace"))
      (t
-      (setq |anyifTrue| (null |options|))
-      (setq |listOfOperations| (|getOption| '|ops:| |options|))
-      (setq |domainId| (|devaluate| |domain|))
+      (setq anyiftrue (null options))
+      (setq listofoperations (|getOption| '|ops:| options))
+      (setq domainid (|devaluate| |domain|))
       (cond
        ((null (setq |pair| (|assoc| |domain| /tracenames)))
          (|sayMSG| 
           (cons "   No functions in" 
            (append
-            (|bright| (|prefix2String| |domainId|))
+            (|bright| (|prefix2String| domainid))
             (cons "are now traced." nil)))))
        (t 
-        (setq |sigSlotNumberAlist| (cdr |pair|))
-        (do ((t0 |sigSlotNumberAlist| (cdr t0)) (|pair| nil))
+        (setq sigslotnumberalist (cdr |pair|))
+        (do ((t0 sigslotnumberalist (cdr t0)) (|pair| nil))
             ((or (atom t0) 
                  (progn (setq |pair| (car t0)) nil)
                  (progn
                   (progn
-                   (setq |op| (car |pair|))
-                   (setq |sig| (cadr |pair|))
-                   (setq |n| (caddr |pair|))
+                   (setq op (car |pair|))
+                   (setq sig (cadr |pair|))
+                   (setq n (caddr |pair|))
                    (setq |lv| (cadddr |pair|))
                    (setq |bpiPointer| (car (cddddr |pair|)))
                    (setq tracename (cadr (cddddr |pair|)))
-                   (setq |alias| (caddr (cddddr |pair|)))
+                   (setq alias (caddr (cddddr |pair|)))
                    |pair|)
                   nil))
                  nil)
          (seq
           (exit
            (cond
-            ((or |anyifTrue| (memq |op| |listOfOperations|))
+            ((or anyiftrue (memq op listofoperations))
               (progn
-                (bpiuntrace tracename |alias|)
-                (rplac (car (elt |domain| |n|)) |bpiPointer|)
+                (bpiuntrace tracename alias)
+                (rplac (car (elt |domain| n)) |bpiPointer|)
                 (rplac (cdddr |pair|) nil)
                 (cond
                  ((setq |assocPair|
@@ -12739,7 +12744,7 @@ to convert the data into type "Expression"
          (prog (t1) 
           (setq t1 nil)
           (return
-           (do ((t2 |sigSlotNumberAlist| (cdr t2)) (x nil))
+           (do ((t2 sigslotnumberalist (cdr t2)) (x nil))
                ((or (atom t2) (progn (setq x (car t2)) nil)) (nreverse0 t1))
              (seq
               (exit
@@ -12769,6 +12774,7 @@ to convert the data into type "Expression"
 \defun{prTraceNames}{prTraceNames}
 <<defun prTraceNames>>=
 (defun |prTraceNames| ()
+ (declare (special /tracenames))
  (seq
   (progn
    (do ((t0 /tracenames (cdr t0)) (x nil))
@@ -12784,7 +12790,8 @@ to convert the data into type "Expression"
 (defun |traceReply| ()
  (prog (|$domains| |$packages| |$constructors| |d| |functionList| 
         |displayList|)
-  (declare (special |$domains| |$packages| |$constructors|))
+  (declare (special |$domains| |$packages| |$constructors| /tracenames
+     $linelength))
   (return
    (seq
     (progn
@@ -12852,7 +12859,7 @@ to convert the data into type "Expression"
           ((atom |displayList|)
            (setq |displayList| (cons |displayList| nil))))
          (|sayBrightly| "   Domains traced: ")
-         (|sayBrightly| (|flowSegmentedMsg| |displayList| $LINELENGTH 6))))
+         (|sayBrightly| (|flowSegmentedMsg| |displayList| $linelength 6))))
        (cond 
         (|$packages|
           (setq |displayList|
@@ -12943,7 +12950,8 @@ to convert the data into type "Expression"
 <<defun tracelet>>=
 (defun |tracelet| (fn |vars|)
  (prog ($traceletflag |$QuickLet| l)
-  (declare (special $traceletflag |$QuickLet|))
+  (declare (special $traceletflag |$QuickLet| |$letAssoc| 
+     |$traceletFunctions|))
   (return
    (progn
     (cond
@@ -12981,7 +12989,7 @@ to convert the data into type "Expression"
 <<defun breaklet>>=
 (defun |breaklet| (fn |vars|)
  (prog (|$QuickLet| |fnEntry| |pair|)
-  (declare (special |$QuickLet|))
+  (declare (special |$QuickLet| |$letAssoc| |$traceletFunctions|))
   (return
    (progn
     (cond
@@ -13192,6 +13200,8 @@ $previousBindings := nil
 <<defun recordFrame>>=
 (defun |recordFrame| (systemNormal)
  (prog (currentAlist delta)
+ (declare (special |$undoFlag| |$frameRecord| |$InteractiveFrame| 
+    |$previousBindings|))
   (return
    (seq
     (cond 
@@ -13400,6 +13410,7 @@ Properties of r ::
 <<defun reportUndo>>=
 (defun |reportUndo| (acc)
  (prog (name proplist curproplist prop value)
+ (declare (special |$InteractiveFrame|))
   (return
    (seq
     (do ((tmp0 acc (cdr tmp0)) (tmp1 nil))
@@ -13452,6 +13463,7 @@ Properties of r ::
 <<defun undoCount>>=
 (defun |undoCount| (n)
  (prog (m)
+ (declare (special |$IOindex|))
   (return
    (progn
     (setq m 
@@ -13613,6 +13625,7 @@ Removing undo lines from \verb|)hist )write linelist|
 <<defun removeUndoLines>>=
 (defun |removeUndoLines| (u)
  (prog (xtra savedIOindex s s1 m s2 x code c n acc)
+ (declare (special |$currentLine| |$IOindex|))
   (return
    (seq
     (progn
@@ -13835,7 +13848,7 @@ The command synonym  {\tt )apropos} is equivalent to
 <<defun whatSpad2Cmd>>=
 (defun |whatSpad2Cmd| (arg)
  (prog (|$e| |key0| key args)
-  (declare (special |$e|))
+  (declare (special |$e| |$whatOptions|))
   (return
    (seq
     (progn
@@ -13889,9 +13902,9 @@ The command synonym  {\tt )apropos} is equivalent to
 <<defun filterAndFormatConstructors>>=
 (defun |filterAndFormatConstructors| (|constrType| label |patterns|)
  (prog (l)
+ (declare (special $linelength ))
   (return
-   (progn (|centerAndHighlight| label $linelength 
-           (|specialChar| '|hbar|))
+   (progn (|centerAndHighlight| label $linelength (|specialChar| '|hbar|))
     (setq l
      (|filterListOfStringsWithFn| |patterns|
        (|whatConstructors| |constrType|)
@@ -14008,7 +14021,7 @@ This displays all operation names containing these fragments
 <<defun workfilesSpad2Cmd>>=
 (defun |workfilesSpad2Cmd| (args)
  (let (deleteflag type flist type1 fl)
-  (declare (special |$options| |$sourceFiles|))
+  (declare (special |$options| |$sourceFiles| $linelength))
   (cond 
    (args (|throwKeyedMsg| 's2iz0047 nil))
    (t
@@ -14384,14 +14397,14 @@ This displays all operation names containing these fragments
 <<defun defiostream>>=
 (defun defiostream (stream-alist buffer-size char-position)
  (declare (ignore buffer-size))
-   (let ((mode (or (cdr (assoc 'MODE stream-alist)) 'INPUT))
-         (filename (cdr (assoc 'FILE stream-alist)))
-         (dev (cdr (assoc 'DEVICE stream-alist))))
-      (if (EQ dev 'CONSOLE) (make-synonym-stream '*terminal-io*)
+   (let ((mode (or (cdr (assoc 'mode stream-alist)) 'input))
+         (filename (cdr (assoc 'file stream-alist)))
+         (dev (cdr (assoc 'device stream-alist))))
+      (if (eq dev 'console) (make-synonym-stream '*terminal-io*)
        (let ((strm (case mode
-                          ((OUTPUT O) (open (make-filename filename)
+                          ((output o) (open (make-filename filename)
                                            :direction :output))
-                          ((INPUT I) (open (make-input-filename filename)
+                          ((input i) (open (make-input-filename filename)
                                            :direction :input)))))
          (if (and (numberp char-position) (> char-position 0))
            (file-position strm char-position))
@@ -14425,7 +14438,13 @@ This displays all operation names containing these fragments
 \chapter{The Spad Server Mechanism}
 <<initvars>>=
 (defvar $openServerIfTrue t "t means try starting an open server")
+
+@
+<<initvars>>=
 (defconstant $SpadServerName "/tmp/.d" "the name of the spad server socket")
+
+@
+<<initvars>>=
 (defvar |$SpadServer| nil "t means Scratchpad acts as a remote server")
 
 @
@@ -14491,6 +14510,7 @@ DEBUGSYS=${OBJ}/${SYS}/bin/debugsys
 \end{list}
 <<defun spad-save>>=
 (defun user::spad-save (save-file)
+  (declare (special |$SpadServer| $openServerIfTrue))
   (setq |$SpadServer| nil)
   (setq $openServerIfTrue t)
 #+:AKCL
@@ -14530,7 +14550,7 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
  (cond
   ((load "./exposed" :verbose nil :if-does-not-exist nil)
     '|done|)
-  ((load (concat (system:getenv "AXIOM") "/algebra/exposed")
+  ((load (concat (getenviron "AXIOM") "/algebra/exposed")
      :verbose nil :if-does-not-exist nil)
    '|done|)
   (t '|failed|) ))
@@ -14662,6 +14682,280 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 
 @
  
+\chapter{Dangling references}
+\section{shell variables}
+\begin{verbatim}
+AXIOM
+\end{verbatim}
+
+\section{catch tags}
+\begin{verbatim}
+|coerceFailure| 
+filenam
+|$intTopLevel| 
+|letPrint2| 
+|$quitTag|
+|ScanOrPairVecAnswer|
+|top_level|
+|writifyTag|
+\end{verbatim}
+
+\section{catch tags}
+\begin{verbatim}
+|ScanOrPairVecAnswer|
+|top_level|
+|writifyTag|
+\end{verbatim}
+
+\section{defined special variables}
+\begin{verbatim}
+|$abbreviateTypes|
+|$algebraFormat|
+|$algebraOutputFile|
+|$algebraOutputStream|
+|$asharpCmdlineFlags|
+|$BreakMode|
+|$clearExcept|
+|$clearOptions|
+|$CommandSynonymAlist|
+|$compileDontDefineFunctions|
+|$compileRecurrence|
+compiler::*compile-verbose*
+credits
+|$defaultFortranType|
+*default-pathname-defaults*
+|$defaultSpecialCharacters|
+|$displayDroppedMap|
+|$displayMsgNumber|
+|$displayOptions| 
+|$displaySetValue|
+|$displayStartMsgs|
+|$formulaFormat|
+|$formulaOutputFile|
+|$fortIndent|
+|$fortInts2Floats|
+|$fortLength|
+|$fortranArrayStartingIndex|
+|$fortranDirectory|
+|$fortranFormat|
+|$fortranLibraries|
+|$fortranOptimizationLevel|
+|$fortranOutputFile|
+|$fortranPrecision|
+|$fortranSegment|
+|$fortranTmpDir|
+|$fortPersistence|
+|$fractionDisplayType|
+|$frameMessages|
+|$fullScreenSysVars|
+|$giveExposureWarning|
+|$HiFiAccess|
+|$highlightAllowed|
+|$historyDirectory|
+|$historyDisplayWidth|
+|$historyFileType|
+|$InitialCommandSynonymAlist|
+|$inputPromptType|
+|$linearFormatScripts|
+$linelength
+|$mapSubNameAlist|
+|$mathmlFormat|
+|$mathmlOutputFile|
+|$maximumFortranExpressionLength|
+|$nagEnforceDouble|
+|$nagHost|
+|$nagMessages|
+|$noParseCommands| 
+|$oldHistoryFileName|
+|$openMathFormat|
+|$openMathOutputFile|
+$openServerIfTrue
+|$optionAlist|
+|$options|
+|$plainRTspecialCharacters|
+|$plainSpecialCharacters0|
+|$plainSpecialCharacters1|
+|$plainSpecialCharacters2|
+|$plainSpecialCharacters3|
+$prettyprint
+|$printAnyIfTrue|
+|$printFortranDecs|
+|$printLoadMsgs|
+|$printMsgsToFile|
+|$printStatisticsSummaryIfTrue|
+|$printTimeIfTrue|
+|$printTypeIfTrue|
+|$printVoidIfTrue|
+|$quitCommandType|
+|$reportBottomUpFlag|
+|$reportCoerceIfTrue|
+|$reportCompilation|
+|$reportEachInstantiation|
+|$reportInstantiations|
+|$reportInterpOnly|
+|$reportOptimization|
+|$reportSpadTrace|
+|$RTspecialCharacters|
+*standard-input*
+*standard-output*
+|$SpadServer|
+$SpadServerName
+|$specialCharacterAlist| 
+|$specialCharacters|
+|$streamCount|
+|$streamsShowAll|
+compiler::*suppress-compiler-notes*
+compiler::*suppress-compiler-warnings*
+|$systemCommandFunction|
+$syscommands
+|$systemCommands|
+*terminal-io*
+|$testingSystem|
+|$texFormat|
+|$texOutputFile|
+|$tokenCommands|
+system::*top-level-hook*
+|$tracedMapSignatures|
+|$traceNoisely|
+|$traceOptionList|
+underbar
+|$useEditorForShowOutput|
+|$useFullScreenHelp|
+|$useInternalHistoryTable|
+|$useIntrinsicFunctions|
+|$UserLevel|
+|$whatOptions|
+\end{verbatim}
+ 
+\section{undefined special variables}
+\begin{verbatim}
+|$attributeDb|
+$boot
+|$cacheAlist|
+|$cacheCount| 
+|$CatOfCatDatabase|
+|$CloseClient|
+|$coerceIntByMapCounter|
+|$compileMapFlag|
+|$ConstructorCache|
+|$constructors|
+/countlist
+$current-directory
+|$currentFrameNum|
+|$currentLine|
+$dalymode
+|$defaultMsgDatabaseName|
+|$dependeeClosureAlist|
+$directory-list
+|$displayStartMsgs| 
+|$domains|
+|$DomOfCatDatabase|
+|$domainTraceNameAssoc|
+|$doNotAddEmptyModeIfTrue|
+|$e|
+|$echoLineStack|
+/editfile
+|$EmptyEnvironment|
+|$env|
+*eof*
+|$erMsgToss|
+|$existingFiles|
+|$fn|
+|$formulaOutputStream|
+|$fortranOutputStream|
+|$frameMessages|
+|$frameRecord|
+|$fromSpadTrace|
+|$functionTable|
+|$globalExposureGroupAlist|
+|$HistList|
+|$HistListAct|
+|$HistListLen|
+|$HistRecord|
+|$inLispVM|
+|$inclAssertions|
+|$InitialModemapFrame|)) 
+in-stream
+|$InteractiveMode|
+|$InteractiveFrame| 
+|$internalHistoryTable|
+|$interpreterFrameName|
+|$interpreterFrameRing|
+|$intRestart|
+|$intTopLevel|
+|$IOindex| 
+|$JoinOfCatDatabase|
+|$JoinOfDomDatabase|
+|$lastPos|
+|$lastUntraced|
+|$letAssoc| 
+|$libQuiet|
+$library-directory-list
+|$localExposureData|
+|$localExposureDataDefault|
+|$lookupDefaults|
+|$mathmlOutputStream|
+|$mathTraceList|
+|$mkTestInputStack|
+|$msgAlist|
+|$msgDatabase|
+|$msgDatabaseName|
+|$ncMsgList|
+|$newConlist|
+|$NonNullStream| 
+|$nopos|
+|$newcompErrorCount|
+|$newcompMode|
+$newspad
+|$NullStream|
+|$okToExecuteMachineCode|
+|$openMathOutputStream|
+|$operationNameList|
+|$outputLibraryName|
+|$OutputForm|
+|$packages|
+/pretty
+|$previousBindings|
+|$PrintCompilerMessageIfTrue|
+|$printLoadMsgs| 
+|$promptMsg|
+|$QuickLet
+|$quitTag|
+$relative-directory-list
+$relative-library-directory-list
+|$seen|
+|$SessionManager|
+|$setOptions|
+|$shoeReadLineFunction|
+|$slamFlag|
+/sourcefiles
+|$sourceFiles|
+/spacelist
+$spad
+$spadroot
+|$texOutputStream|
+/timerlist
+|$timerTicksPerSecond|
+|$tracedMapSignatures|
+|$tracedModemap|
+|$tracedSpadModemap|
+|$traceErrorStack|
+$traceletflag
+|$traceletFunctions|
+|$undoFlag|
+|$useFullScreenHelp|
+|$UserAbbreviationsAlist|
+|$variableNumberAlist|
+|$Void|
+|$writifyComplained|
+/wsname
+|$xdatabase|
+\end{verbatim}
+
+\section{functions}
+\begin{verbatim}
+\end{verbatim}
+
 \chapter{The Interpreter}
 <<Interpreter>>=
 (in-package "BOOT")
@@ -14703,13 +14997,8 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 <<defun coerceSpadFunValue2E>>
 <<defun coerceTraceArgs2E>>
 <<defun coerceTraceFunValue2E>>
-<<defun compileAsharpArchiveCmd>>
-<<defun compileAsharpCmd>>
-<<defun compileAsharpCmd1>>
-<<defun compileAsharpLispCmd>>
 <<defun compileBoot>>
 <<defun compiler>>
-<<defun compileSpadLispCmd>>
 <<defun concat>>
 <<defun copyright>>
 <<defun countCache>>
@@ -15005,7 +15294,6 @@ load the file \verb|exposed.lsp| to set up the exposure group information.
 <<defun whatSpad2Cmd>>
 <<defun whatSpad2Cmd,fixpat>>
 <<defun with>>
-<<defun withAsharpCmd>>
 <<defun workfiles>>
 <<defun workfilesSpad2Cmd>>
 <<defun writeHiFi>>
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index b539dd1..d8348fd 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -577,7 +577,7 @@ and mode.
        |$newConlist|)) 
    (setq path (|pathname| args))
    (cond
-    ((nequal (|pathnameType| path) "spad") (|throwKeyedMsg| 'S2IZ0082 nil))
+    ((nequal (|pathnameType| path) "spad") (|throwKeyedMsg| 's2iz0082 nil))
     ((null (probe-file path))
      (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
     (t
@@ -638,12 +638,352 @@ and mode.
     (|spadPrompt|)))))
 
 @
+\defun{compileSpadLispCmd}{compileSpadLispCmd}
+<<defun compileSpadLispCmd>>=
+(defun |compileSpadLispCmd| (args)
+ (let (path optlist optname optargs beQuiet dolibrary lsp)
+  (declare (special |$options|))
+  (setq path (|pathname| (|fnameMake| (car args) "code" "lsp")))
+  (cond
+   ((null (probe-file path))
+     (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
+   (t
+    (setq optlist '(|quiet| |noquiet| |library| |nolibrary|))
+    (setq beQuiet nil)
+    (setq dolibrary t)
+    (dolist (opt |$options|)
+      (setq optname (car opt))
+      (setq optargs (cdr opt))
+      (case (|selectOptionLC| optname optlist nil)
+         (|quiet|     (setq beQuiet t))
+         (|noquiet|   (setq beQuiet nil))
+         (|library|   (setq dolibrary t))
+         (|nolibrary| (setq dolibrary nil))
+         (t
+          (|throwKeyedMsg| 's2iz0036
+           (list (strconc ")" (|object2String| optname)))))))
+    (setq lsp
+     (|fnameMake|
+      (|pathnameDirectory| path)
+      (|pathnameName| path)
+      (|pathnameType| path)))
+    (cond
+     ((|fnameReadable?| lsp)
+      (unless beQuiet (|sayKeyedMsg| 's2iz0089 (list (|namestring| lsp))))
+       (recompile-lib-file-if-necessary lsp))
+     (t
+      (|sayKeyedMsg| 's2il0003 (list (|namestring| lsp)))))
+    (cond
+     (dolibrary
+      (unless beQuiet (|sayKeyedMsg| 's2iz0090 (list (|pathnameName| path))))
+      (localdatabase (list (|pathnameName| (car args))) nil))
+     ((null beQuiet) (|sayKeyedMsg| 's2iz0084 nil))
+     (t nil))
+    (|terminateSystemCommand|)
+    (|spadPrompt|)))))
+
+@
+
+\defun{compileAsharpCmd}{compileAsharpCmd}
+<<defun compileAsharpCmd>>=
+(defun |compileAsharpCmd| (args)
+  (|compileAsharpCmd1| args)
+  (|terminateSystemCommand|)
+  (|spadPrompt|))
+
+@
+
+\defun{compileAsharpCmd1}{compileAsharpCmd1}
+<<defun compileAsharpCmd1>>=
+(defun |compileAsharpCmd1| (args)
+ (let (path pathtype optlist optname optargs bequiet docompilelisp 
+        moreargs onlyargs dolibrary p tempargs s asharpargs command rc lsp)
+   (declare (special |$options| |$asharpCmdlineFlags| |$newConlist|
+             /editfile))
+   (setq path (|pathname| args))
+   (setq pathtype (|pathnameType| path))
+   (cond
+   ((and (nequal pathtype "as") (nequal pathtype "ao"))
+     (|throwKeyedMsg| 's2iz0083 nil))
+   ((null (probe-file path))
+     (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil)))
+   (t
+    (setq /editfile path)
+    (|updateSourceFiles| path)
+    (setq optlist
+     '(|new| |old| |translate| |onlyargs| |moreargs| |quiet| 
+       |nolispcompile| |noquiet| |library| |nolibrary|))
+    (setq bequiet nil)
+    (setq dolibrary t)
+    (setq docompilelisp t)
+    (setq moreargs nil)
+    (setq onlyargs nil)
+    (dolist (opt |$options|)
+      (setq optname (car opt))
+      (setq optargs (cdr opt))
+      (case (|selectOptionLC| optname optlist nil)
+       (|new| nil)
+       (|old| (|error| '|Internal error: compileAsharpCmd got )old|))
+       (|translate|
+        (|error| '|Internal error: compileAsharpCmd got )translate|))
+       (|quiet|         (setq bequiet t))
+       (|noquiet|       (setq bequiet nil))
+       (|nolispcompile| (setq docompilelisp nil))
+       (|moreargs|      (setq moreargs optargs))
+       (|onlyargs|      (setq onlyargs optargs))
+       (|library|       (setq dolibrary t))
+       (|nolibrary|     (setq dolibrary nil))
+       (t 
+        (|throwKeyedMsg| 's2iz0036
+         (cons (strconc ")" (|object2String| optname)) nil)))))
+    (setq tempargs
+     (if (string= pathtype "ao")
+       (if (setq p (strpos "-Fao" |$asharpCmdlineFlags| 0 nil))
+         (if (eql p 0) 
+          (substring |$asharpCmdlineFlags| 5 nil)
+          (strconc (substring |$asharpCmdlineFlags| 0 p) 
+             " " (substring |$asharpCmdlineFlags| (plus p 5) nil)))
+         |$asharpCmdlineFlags|)
+       |$asharpCmdlineFlags|))
+    (setq asharpargs
+     (cond
+      (onlyargs
+       (setq s '||)
+       (do ((t1 onlyargs (cdr t1)) (|a| nil))
+           ((or (atom t1) (progn (setq |a| (car t1)) nil)) nil)
+          (setq s (strconc s " " (|object2String| |a|))))
+       s)
+      (moreargs
+       (setq s tempargs)
+       (do ((t2 moreargs (cdr t2)) (|a| nil))
+           ((or (atom t2) (progn (setq |a| (car t2)) nil)) nil)
+          (setq s (strconc s " " (|object2String| |a|))))
+       s)
+      (t tempargs)))
+    (unless bequiet
+     (|sayKeyedMsg| 's2iz0038a  (list (|namestring| args) asharpargs )))
+    (setq command
+     (strconc
+      (strconc (getenv "ALDORROOT") "/bin/")
+      '|aldor | asharpargs " " (|namestring| args)))
+    (setq rc (obey command))
+    (cond
+     ((and (eql rc 0) docompilelisp)
+       (setq lsp (|fnameMake| "." (|pathnameName| args) "lsp"))
+       (cond
+        ((|fnameReadable?| lsp)
+         (unless  bequiet
+           (|sayKeyedMsg| 's2iz0089 (cons (|namestring| lsp) nil)))
+         (|compileFileQuietly| lsp))
+        (t (|sayKeyedMsg| 's2il0003 (cons (|namestring| lsp) nil))))))
+    (cond
+     ((and (eql rc 0) dolibrary)
+      (unless bequiet
+         (|sayKeyedMsg| 's2iz0090 (cons (|pathnameName| path) nil)))
+      (|withAsharpCmd| (cons (|pathnameName| path) nil)))
+     ((null bequiet) (|sayKeyedMsg| 's2iz0084 nil))
+     (t nil))
+    (|extendLocalLibdb| |$newConlist|)))))
+
+@
+
+\defun{compileAsharpArchiveCmd}{compileAsharpArchiveCmd}
+<<defun compileAsharpArchiveCmd>>=
+(defun |compileAsharpArchiveCmd| (args)
+ (let (path dir exists isdir curdir cmd rc asos)
+  (declare (special $current-directory))
+  (setq path (|pathname| args))
+  (if (null (probe-file path))
+   (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil))
+   (progn
+    (setq dir (|fnameMake| "." (|pathnameName| path) "axldir"))
+    (setq exists (probe-file dir))
+    (setq isdir (|directoryp| (|namestring| dir)))
+    (if (and exists (nequal isdir 1))
+     (|throwKeyedMsg| 's2il0027 (list (|namestring| dir) (|namestring| args)))
+     (progn
+      (when (nequal isdir 1)
+        (setq cmd (strconc "mkdir " (|namestring| dir)))
+        (setq rc (obey cmd))
+        (when (nequal rc 0)
+          (|throwKeyedMsg| 's2il0027 
+           (list (|namestring| dir) (|namestring| args)))))
+      (setq curdir $current-directory)
+      (|cd| (cons (|object2Identifier| (|namestring| dir)) nil))
+      (setq cmd (strconc "ar x " (|namestring| path)))
+      (setq rc (obey cmd))
+      (cond
+       ((nequal rc 0)
+        (|cd| (cons (|object2Identifier| (|namestring| curdir)) nil))
+        (|throwKeyedMsg| 's2il0028
+         (cons (|namestring| dir) (cons (|namestring| args) nil))))
+       (t
+        (setq asos (directory "*.ao"))
+        (if (null asos)
+         (progn
+          (|cd| (cons (|object2Identifier| (|namestring| curdir)) nil))
+          (|throwKeyedMsg| 's2il0029
+           (cons (|namestring| dir) (cons (|namestring| args) nil))))
+         (progn
+          (dolist (aso asos)
+             (|compileAsharpCmd1| (list (|namestring| aso))))
+          (|cd| (list (|object2Identifier| (|namestring| curdir))))
+          (|terminateSystemCommand|)
+          (|spadPrompt|)))))))))))
+
+@
+
+\defun{compileAsharpLispCmd}{compileAsharpLispCmd}
+<<defun compileAsharpLispCmd>>=
+(defun |compileAsharpLispCmd| (args)
+ (let (path optlist optname optargs bequiet dolibrary lsp)
+  (declare (special |$options|))
+  (setq path (|pathname| args))
+  (if (null (probe-file path)) 
+   (|throwKeyedMsg| 's2il0003 (cons (|namestring| args) nil))
+   (progn
+    (setq optlist '(|quiet| |noquiet| |library| |nolibrary|))
+    (setq bequiet nil)
+    (setq dolibrary t)
+    (dolist (opt |$options|)
+      (setq optname (car opt))
+      (setq optargs (cdr opt))
+      (case (|selectOptionLC| optname optlist nil)
+        (|quiet|     (setq bequiet t))
+        (|noquiet|   (setq bequiet nil))
+        (|library|   (setq dolibrary t))
+        (|nolibrary| (setq dolibrary nil))
+        (t
+          (|throwKeyedMsg| 's2iz0036 
+           (list (strconc ")" (|object2String| optname)))))))
+    (setq lsp
+     (|fnameMake|
+      (|pathnameDirectory| path)
+      (|pathnameName| path)
+      (|pathnameType| path)))
+    (cond
+     ((|fnameReadable?| lsp)
+      (unless bequiet
+         (|sayKeyedMsg| 's2iz0089 (cons (|namestring| lsp) nil)))
+      (|compileFileQuietly| lsp))
+     (t (|sayKeyedMsg| 's2il0003 (cons (|namestring| lsp) nil))))
+    (cond
+     (dolibrary
+      (unless  bequiet
+        (|sayKeyedMsg| 's2iz0090 (cons (|pathnameName| path) nil)))
+      (|withAsharpCmd| (cons (|pathnameName| path) nil)))
+     ((null bequiet) (|sayKeyedMsg| 's2iz0084 nil))
+     (t nil))
+    (|terminateSystemCommand|)
+    (|spadPrompt|)))))
+
+@
+
+\defun{withAsharpCmd}{withAsharpCmd}
+<<defun withAsharpCmd>>=
+(defun |withAsharpCmd| (args)
+ (let (|$options|)
+  (declare (special |$options|))
+  (localdatabase args |$options|)))
+
+@
+
+\defun{compileFileQuietly}{compileFileQuietly}
+if \verb|$InteractiveMode| then use a null outputstream 
+<<defun compileFileQuietly>>=
+(defun |compileFileQuietly| (fn) 
+  (let (
+	(*standard-output*
+	 (if |$InteractiveMode| (make-broadcast-stream)
+	   *standard-output*)))
+  (declare (special *standard-output*))
+  (compile-file fn)))
+
+@
+
+\chapter{Dangling references}
+\section{shell variables}
+\begin{verbatim}
+ALDORROOT
+\end{verbatim}
+
+\section{throw tags}
+\begin{verbatim}
+\end{verbatim}
+
+\section{defined special variables}
+\begin{verbatim}
+$syscommands
+|$systemCommands|
+\end{verbatim}
+
+\section{undefined special variables}
+\begin{verbatim}
+|$asharpCmdlineFlags|
+|$compileOnlyCertainItems| 
+$current-directory
+/editfile 
+|$f| 
+|$InteractiveMode| 
+|$m| 
+|$ncConverse| 
+|$newcompMode| 
+|$newComp| 
+|$newConlist|
+|$options|
+|$QuickCode| 
+|$QuickLet| 
+|$scanIfTrue| 
+|$sourceFileTypes| 
+\end{verbatim}
+
+\section{functions}
+\begin{verbatim}
+|browserAutoloadOnceTrigger|
+|compilerDoit|
+|compilerDoitWithScreenedLisplib|
+|convertSpadToAsFile|
+directory
+|directoryp|
+|error|
+|extendLocalLibdb|
+|fnameMake|
+|fnameReadable?|
+getenv
+|namestring|
+nequal
+obey
+|object2Identifier|
+|object2String|
+|oldParserAutoloadOnceTrigger|
+|pathname|
+|pathnameDirectory|
+|pathnameName|
+|pathnameType|
+recompile-lib-file-if-necessary
+|sayKeyedMsg|
+|spadPrompt|
+|spad2AsTranslatorAutoloadOnceTrigger|
+strconc
+strpos
+|throwKeyedMsg|
+|terminateSystemCommand|
+|updateSourceFiles|
+\end{verbatim}
+
 \chapter{The Compiler}
 <<Compiler>>=
 (in-package "BOOT")
 
+<<defun compileAsharpArchiveCmd>>
+<<defun compileAsharpCmd>>
+<<defun compileAsharpCmd1>>
+<<defun compileAsharpLispCmd>>
+<<defun compileFileQuietly>>
 <<defun compileSpad2Cmd>>
+<<defun compileSpadLispCmd>>
 
+<<defun withAsharpCmd>>
 @
 \eject
 \begin{thebibliography}{99}
diff --git a/changelog b/changelog
index d2c57aa..96cdc7f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20090329 tpd src/axiom-website/patches.html 20090329.01.tpd.patch
+20090329 tpd src/input/unittest2.input unit test special variables
+20090329 tpd src/interp/comp.lisp move compiler code to bookvol9
+20090329 tpd src/input/Makefile add unittest2 for specials
+20090329 tpd books/bookvol9 add more compiler code
+20090329 tpd books/bookvol5 move compiler, validate specials
 20090327 tpd src/axiom-website/patches.html 20090327.01.tpd.patch
 20090327 tpd src/interp/util.lisp stop autoloading compiler root
 20090327 tpd src/interp/Makefile build bookvol9
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4ec4d96..50c455b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1030,5 +1030,7 @@ download.html add March 2009 column, add fedora10 binary<br/>
 bookvol4 Finding Anonymous Function Signatures<br/>
 <a href="patches/20090327.01.tpd.patch">20090327.01.tpd.patch</a>
 bookvol9 create compiler root<br/>
+<a href="patches/20090329.01.tpd.patch">20090329.01.tpd.patch</a>
+bookvol9 add compiler code<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 0e0d567..a506c77 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -380,7 +380,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     textfile.regress  torus.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
-    unittest1.regress
+    unittest1.regress unittest2.regress
 
 IN=     ${SRC}/input
 MID=	${INT}/input
@@ -690,6 +690,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/tutchap4.input ${OUT}/tutchap67.input  ${OUT}/typetower.input \
        ${OUT}/typo.input     \
        ${OUT}/uniseg.input   ${OUT}/up.input         ${OUT}/unittest1.input \
+       ${OUT}/unittest2.input \
        ${OUT}/vector.input   ${OUT}/vectors.input    ${OUT}/viewdef.input \
        ${OUT}/void.input     ${OUT}/wiggle.input   \
        ${OUT}/wutset.input \
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
new file mode 100644
index 0000000..647d105
--- /dev/null
+++ b/src/input/unittest2.input.pamphlet
@@ -0,0 +1,1510 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input unittest2.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+Unit test the user level commands
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)set break resume
+)sys rm -f unittest2.output
+)spool unittest2.output
+)lisp (setq *print-circle* t)
+)set mes auto off
+)clear all
+
+--S 1 of 237
+)lisp (identity |$abbreviateTypes|)
+--R 
+--RValue = NIL
+--E 1
+
+--S 2 of 237
+)lisp (identity |$algebraFormat|)
+--R 
+--RValue = T
+--E 2
+
+--S 3 of 237
+)lisp (identity |$algebraOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 3
+
+--S 4 of 237
+)lisp (identity |$algebraOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 4
+
+--S 5 of 237
+)lisp (identity |$asharpCmdlineFlags|)
+--R 
+--RValue = "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL_W_WillObsolete -DAxiom -Y $AXIOM/algebra"
+--E 5
+
+--S 6 of 237
+)lisp (identity |$BreakMode|)
+--R 
+--RValue = |resume|
+--E 6
+
+--S 7 of 237
+)lisp (identity |$clearExcept|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$clearExcept| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 7
+
+--S 8 of 237
+)lisp (identity |$clearOptions|)
+--R 
+--RValue = (|modes| |operations| |properties| |types| |values|)
+--E 8
+
+--S 9 of 237
+)lisp (identity |$CommandSynonymAlist|)
+--R 
+--RValue = ((? . "what commands") (|ap| . "what things") (|apr| . "what things") (|apropos| . "what things") (|cache| . "set functions cache") (|cl| . "clear") (|cls| . "zsystemdevelopment )cls") (|cms| . "system") (|co| . "compiler") (|d| . "display") (|dep| . "display dependents") (|dependents| . "display dependents") (|e| . "edit") (|expose| . "set expose add constructor") (|fc| . "zsystemdevelopment )c") (|fd| . "zsystemdevelopment )d") (|fdt| . "zsystemdevelopment )dt") (|fct| . "zsystemdevelopment )ct") (|fctl| . "zsystemdevelopment )ctl") (|fe| . "zsystemdevelopment )e") (|fec| . "zsystemdevelopment )ec") (|fect| . "zsystemdevelopment )ect") (|fns| . "exec spadfn") (|fortran| . "set output fortran") (|h| . "help") (|hd| . "system hypertex &") (|kclam| . "boot clearClams ( )") (|killcaches| . "boot clearConstructorAndLisplibCaches ( )") (|patch| . "zsystemdevelopment )patch") (|pause| . "zsystemdevelopment )pause") (|prompt| . "set message prompt") (|recurrence| . "set functions recurrence") (|restore| . "history )restore") (|save| . "history )save") (|startGraphics| . "system $AXIOM/lib/viewman &") (|startNAGLink| . "system $AXIOM/lib/nagman &") (|stopGraphics| . "lisp (|sockSendSignal| 2 15)") (|stopNAGLink| . "lisp (|sockSendSignal| 8 15)") (|time| . "set message time") (|type| . "set message type") (|unexpose| . "set expose drop constructor") (|up| . "zsystemdevelopment )update") (|version| . "lisp *yearweek*") (|w| . "what") (|wc| . "what categories") (|wd| . "what domains") (|who| . "lisp (pprint credits)") (|wp| . "what packages") (|ws| . "what synonyms"))
+--E 9
+
+--S 10 of 237
+)lisp (identity |$compileDontDefineFunctions|)
+--R 
+--RValue = T
+--E 10
+
+--S 11 of 237
+)lisp (identity |$compileRecurrence|)
+--R 
+--RValue = T
+--E 11
+
+--S 12 of 237
+)lisp (identity compiler::*compile-verbose*)
+--R 
+--RValue = NIL
+--E 12
+
+--S 13 of 237
+)lisp (identity credits)
+--R 
+--RValue = ("An alphabetical listing of contributors to AXIOM:" "Cyril Alberga          Roy Adler              Christian Aistleitner" "Richard Anderson       George Andrews         S.J. Atkins" "Henry Baker            Stephen Balzac         Yurij Baransky" "David R. Barton        Gerald Baumgartner     Gilbert Baumslag" "Jay Belanger           David Bindel           Fred Blair" "Vladimir Bondarenko    Mark Botch" "Alexandre Bouyer       Peter A. Broadbery     Martin Brock" "Manuel Bronstein       Stephen Buchwald       Florian Bundschuh" "Luanne Burns           William Burge" "Quentin Carpent        Robert Caviness        Bruce Char" "Ondrej Certik          Cheekai Chin           David V. Chudnovsky" "Gregory V. Chudnovsky  Josh Cohen             Christophe Conil" "Don Coppersmith        George Corliss         Robert Corless" "Gary Cornell           Meino Cramer           Claire Di Crescenzo" "David Cyganski" "Timothy Daly Sr.       Timothy Daly Jr.       James H. Davenport" "Didier Deshommes       Michael Dewar" "Jean Della Dora        Gabriel Dos Reis       Claire DiCrescendo" "Sam Dooley             Lionel Ducos           Martin Dunstan" "Brian Dupee            Dominique Duval" "Robert Edwards         Heow Eide-Goodman      Lars Erickson" "Richard Fateman        Bertfried Fauser       Stuart Feldman" "Brian Ford             Albrecht Fortenbacher  George Frances" "Constantine Frangos    Timothy Freeman        Korrinn Fu" "Marc Gaetano           Rudiger Gebauer        Kathy Gerber" "Patricia Gianni        Samantha Goldrich      Holger Gollan" "Teresa Gomez-Diaz      Laureano Gonzalez-Vega Stephen Gortler" "Johannes Grabmeier     Matt Grayson           Klaus Ebbe Grue" "James Griesmer         Vladimir Grinberg      Oswald Gschnitzer" "Jocelyn Guidry" "Steve Hague            Satoshi Hamaguchi      Mike Hansen" "Richard Harke          Vilya Harvey           Martin Hassner" "Arthur S. Hathaway     Dan Hatton             Waldek Hebisch" "Karl Hegbloom          Ralf Hemmecke          Henderson" "Antoine Hersen         Gernot Hueber" "Pietro Iglio" "Alejandro Jakubi       Richard Jenks" "Kai Kaminski           Grant Keady            Tony Kennedy" "Paul Kosinski          Klaus Kusche           Bernhard Kutzler" "Tim Lahey              Larry Lambe            Franz Lehner" "Frederic Lehobey       Michel Levaud          Howard Levy" "Liu Xiaojun            Rudiger Loos           Michael Lucks" "Richard Luczak" "Camm Maguire           Francois Maltey        Alasdair McAndrew" "Bob McElrath           Michael McGettrick     Ian Meikle" "David Mentre           Victor S. Miller       Gerard Milmeister" "Mohammed Mobarak       H. Michael Moeller     Michael Monagan" "Marc Moreno-Maza       Scott Morrison         Joel Moses" "Mark Murray" "William Naylor         C. Andrew Neff         John Nelder" "Godfrey Nolan          Arthur Norman          Jinzhong Niu" "Michael O'Connor       Summat Oemrawsingh     Kostas Oikonomou" "Humberto Ortiz-Zuazaga" "Julian A. Padget       Bill Page              Susan Pelzel" "Michel Petitot         Didier Pinchon         Ayal Pinkus" "Jose Alfredo Portes" "Claude Quitte" "Arthur C. Ralfs        Norman Ramsey          Anatoly Raportirenko" "Michael Richardson     Renaud Rioboo          Jean Rivlin" "Nicolas Robidoux       Simon Robinson         Raymond Rogers" "Michael Rothstein      Martin Rubey" "Philip Santas          Alfred Scheerhorn      William Schelter" "Gerhard Schneider      Martin Schoenert       Marshall Schor" "Frithjof Schulze       Fritz Schwarz          Nick Simicich" "William Sit            Elena Smirnova         Jonathan Steinbach" "Fabio Stumbo           Christine Sundaresan   Robert Sutor" "Moss E. Sweedler       Eugene Surowitz" "Max Tegmark            James Thatcher         Balbir Thomas" "Mike Thomas            Dylan Thurston         Barry Trager" "Themos T. Tsikas" "Gregory Vanuxem" "Bernhard Wall          Stephen Watt           Jaap Weel" "Juergen Weiss          M. Weller              Mark Wegman" "James Wen              Thorsten Werther       Michael Wester" "John M. Wiley          Berhard Will           Clifton J. Williamson" "Stephen Wilson         Shmuel Winograd        Robert Wisbauer" "Sandra Wityak          Waldemar Wiwianka      Knut Wolf" "Clifford Yapp          David Yun" "Vadim Zhytnikov        Richard Zippel         Evelyn Zoernack" "Bruno Zuercher         Dan Zwillinger")
+--E 13
+
+--S 14 of 237
+)lisp (identity |$defaultFortranType|)
+--R 
+--RValue = REAL
+--E 14
+
+--S 15 of 237
+)lisp (identity *default-pathname-defaults*)
+--R 
+--IValue = #p"/tmp/"
+--E 15
+
+--S 16 of 237
+)lisp (identity |$defaultSpecialCharacters|)
+--R 
+--RValue = (#\^\ #\^[ #\^^ #\^_ #\O #\- #\\220 #\\255 #\\275 #\\300 #\\320 #\; #\> #\? #\= #\, #\\340)
+--E 16
+
+--S 17 of 237
+)lisp (identity |$displayDroppedMap|)
+--R 
+--RValue = NIL
+--E 17
+
+--S 18 of 237
+)lisp (identity |$displayMsgNumber|)
+--R 
+--RValue = NIL
+--E 18
+
+--S 19 of 237
+)lisp (identity |$displayOptions| )
+--R 
+--RValue = (|abbreviations| |all| |macros| |modes| |names| |operations| |properties| |types| |values|)
+--E 19
+
+--S 20 of 237
+)lisp (identity |$displaySetValue|)
+--R 
+--RValue = NIL
+--E 20
+
+--S 21 of 237
+)lisp (identity |$displayStartMsgs|)
+--R 
+--RValue = T
+--E 21
+
+--S 22 of 237
+)lisp (identity |$formulaFormat|)
+--R 
+--RValue = NIL
+--E 22
+
+--S 23 of 237
+)lisp (identity |$formulaOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 23
+
+--S 24 of 237
+)lisp (identity |$fortIndent|)
+--R 
+--RValue = 6
+--E 24
+
+--S 25 of 237
+)lisp (identity |$fortInts2Floats|)
+--R 
+--RValue = T
+--E 25
+
+--S 26 of 237
+)lisp (identity |$fortLength|)
+--R 
+--RValue = 72
+--E 26
+
+--S 27 of 237
+)lisp (identity |$fortranArrayStartingIndex|)
+--R 
+--RValue = 1
+--E 27
+
+--S 28 of 237
+)lisp (identity |$fortranDirectory|)
+--R 
+--RValue = "./"
+--E 28
+
+--S 29 of 237
+)lisp (identity |$fortranFormat|)
+--R 
+--RValue = NIL
+--E 29
+
+--S 30 of 237
+)lisp (identity |$fortranLibraries|)
+--R 
+--RValue = "-lxlf"
+--E 30
+
+--S 31 of 237
+)lisp (identity |$fortranOptimizationLevel|)
+--R 
+--RValue = 0
+--E 31
+
+--S 32 of 237
+)lisp (identity |$fortranOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 32
+
+--S 33 of 237
+)lisp (identity |$fortranPrecision|)
+--R 
+--RValue = |double|
+--E 33
+
+--S 34 of 237
+)lisp (identity |$fortranSegment|)
+--R 
+--RValue = T
+--E 34
+
+--S 35 of 237
+)lisp (identity |$fortranTmpDir|)
+--R 
+--RValue = "/tmp/"
+--E 35
+
+--S 36 of 237
+)lisp (identity |$fortPersistence|)
+--R 
+--RValue = 1
+--E 36
+
+--S 37 of 237
+)lisp (identity |$fractionDisplayType|)
+--R 
+--RValue = |vertical|
+--E 37
+
+--S 38 of 237
+)lisp (identity |$frameMessages|)
+--R 
+--RValue = NIL
+--E 38
+
+--S 39 of 237
+)lisp (identity |$fullScreenSysVars|)
+--R 
+--RValue = NIL
+--E 39
+
+--S 40 of 237
+)lisp (identity |$giveExposureWarning|)
+--R 
+--RValue = NIL
+--E 40
+
+--S 41 of 237
+)lisp (identity |$HiFiAccess|)
+--R 
+--RValue = T
+--E 41
+
+--S 42 of 237
+)lisp (identity |$highlightAllowed|)
+--R 
+--RValue = NIL
+--E 42
+
+--S 43 of 237
+)lisp (identity |$historyDirectory|)
+--R 
+--RValue = A
+--E 43
+
+--S 44 of 237
+)lisp (identity |$historyDisplayWidth|)
+--R 
+--RValue = 120
+--E 44
+
+--S 45 of 237
+)lisp (identity |$historyFileType|)
+--R 
+--RValue = |axh|
+--E 45
+
+--S 46 of 237
+)lisp (identity |$InitialCommandSynonymAlist|)
+--R 
+--RValue = ((? . "what commands") (|ap| . "what things") (|apr| . "what things") (|apropos| . "what things") (|cache| . "set functions cache") (|cl| . "clear") (|cls| . "zsystemdevelopment )cls") (|cms| . "system") (|co| . "compiler") (|d| . "display") (|dep| . "display dependents") (|dependents| . "display dependents") (|e| . "edit") (|expose| . "set expose add constructor") (|fc| . "zsystemdevelopment )c") (|fd| . "zsystemdevelopment )d") (|fdt| . "zsystemdevelopment )dt") (|fct| . "zsystemdevelopment )ct") (|fctl| . "zsystemdevelopment )ctl") (|fe| . "zsystemdevelopment )e") (|fec| . "zsystemdevelopment )ec") (|fect| . "zsystemdevelopment )ect") (|fns| . "exec spadfn") (|fortran| . "set output fortran") (|h| . "help") (|hd| . "system hypertex &") (|kclam| . "boot clearClams ( )") (|killcaches| . "boot clearConstructorAndLisplibCaches ( )") (|patch| . "zsystemdevelopment )patch") (|pause| . "zsystemdevelopment )pause") (|prompt| . "set message prompt") (|recurrence| . "set functions recurrence") (|restore| . "history )restore") (|save| . "history )save") (|startGraphics| . "system $AXIOM/lib/viewman &") (|startNAGLink| . "system $AXIOM/lib/nagman &") (|stopGraphics| . "lisp (|sockSendSignal| 2 15)") (|stopNAGLink| . "lisp (|sockSendSignal| 8 15)") (|time| . "set message time") (|type| . "set message type") (|unexpose| . "set expose drop constructor") (|up| . "zsystemdevelopment )update") (|version| . "lisp *yearweek*") (|w| . "what") (|wc| . "what categories") (|wd| . "what domains") (|who| . "lisp (pprint credits)") (|wp| . "what packages") (|ws| . "what synonyms"))
+--E 46
+
+--S 47 of 237
+)lisp (identity |$inputPromptType|)
+--R 
+--RValue = |step|
+--E 47
+
+--S 48 of 237
+)lisp (identity |$linearFormatScripts|)
+--R 
+--RValue = NIL
+--E 48
+
+--S 49 of 237
+)lisp (identity $linelength)
+--R 
+--RValue = 77
+--E 49
+
+--S 50 of 237
+)lisp (identity |$mapSubNameAlist|)
+--R 
+--RValue = NIL
+--E 50
+
+--S 51 of 237
+)lisp (identity |$mathmlFormat|)
+--R 
+--RValue = NIL
+--E 51
+
+--S 52 of 237
+)lisp (identity |$mathmlOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 52
+
+--S 53 of 237
+)lisp (identity |$maximumFortranExpressionLength|)
+--R 
+--RValue = 1320
+--E 53
+
+--S 54 of 237
+)lisp (identity |$nagEnforceDouble|)
+--R 
+--RValue = T
+--E 54
+
+--S 55 of 237
+)lisp (identity |$nagHost|)
+--R 
+--RValue = "localhost"
+--E 55
+
+--S 56 of 237
+)lisp (identity |$nagMessages|)
+--R 
+--RValue = T
+--E 56
+
+--S 57 of 237
+)lisp (identity |$noParseCommands| )
+--R 
+--RValue = (|boot| |copyright| |credits| |fin| |lisp| |pquit| |quit| |synonym| |system|)
+--E 57
+
+--S 58 of 237
+)lisp (identity |$oldHistoryFileName|)
+--R 
+--RValue = |last|
+--E 58
+
+--S 59 of 237
+)lisp (identity |$openMathFormat|)
+--R 
+--RValue = NIL
+--E 59
+
+--S 60 of 237
+)lisp (identity |$openMathOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 60
+
+--S 61 of 237
+)lisp (identity $openServerIfTrue)
+--R 
+--RValue = T
+--E 61
+
+--S 62 of 237
+)lisp (identity |$optionAlist|)
+--R 
+--RValue = NIL
+--E 62
+
+--S 63 of 237
+)lisp (identity |$options|)
+--R 
+--RValue = NIL
+--E 63
+
+--S 64 of 237
+)lisp (identity |$plainRTspecialCharacters|)
+--R 
+--RValue = (+ + + + |\|| - ? [ ] { } + + + + + |\\|)
+--E 64
+
+--S 65 of 237
+)lisp (identity |$plainSpecialCharacters0|)
+--R 
+--RValue = (#\N #\N #\N #\N #\O #\` #\o #\\255 #\\275 #\\300 #\\320 #\N #\N #\N #\N #\N #\\340)
+--E 65
+
+--S 66 of 237
+)lisp (identity |$plainSpecialCharacters1|)
+--R 
+--RValue = (#\k #\k #\} #\} #\O #\` #\o #\\255 #\\275 #\\300 #\\320 #\N #\N #\N #\N #\N #\\340)
+--E 66
+
+--S 67 of 237
+)lisp (identity |$plainSpecialCharacters2|)
+--R 
+--RValue = (#\O #\O #\O #\O #\O #\` #\o #\\255 #\\275 #\\300 #\\320 #\N #\N #\N #\N #\N #\\340)
+--E 67
+
+--S 68 of 237
+)lisp (identity |$plainSpecialCharacters3|)
+--R 
+--RValue = (#\` #\` #\` #\` #\O #\` #\o #\\255 #\\275 #\\300 #\\320 #\N #\N #\N #\N #\N #\\340)
+--E 68
+
+--S 69 of 237
+)lisp (identity $prettyprint)
+--R 
+--RValue = T
+--E 69
+
+--S 70 of 237
+)lisp (identity |$printAnyIfTrue|)
+--R 
+--RValue = T
+--E 70
+
+--S 71 of 237
+)lisp (identity |$printFortranDecs|)
+--R 
+--RValue = T
+--E 71
+
+--S 72 of 237
+)lisp (identity |$printLoadMsgs|)
+--R 
+--RValue = NIL
+--E 72
+
+--S 73 of 237
+)lisp (identity |$printMsgsToFile|)
+--R 
+--RValue = NIL
+--E 73
+
+--S 74 of 237
+)lisp (identity |$printStatisticsSummaryIfTrue|)
+--R 
+--RValue = NIL
+--E 74
+
+--S 75 of 237
+)lisp (identity |$printTimeIfTrue|)
+--R 
+--RValue = NIL
+--E 75
+
+--S 76 of 237
+)lisp (identity |$printTypeIfTrue|)
+--R 
+--RValue = T
+--E 76
+
+--S 77 of 237
+)lisp (identity |$printVoidIfTrue|)
+--R 
+--RValue = NIL
+--E 77
+
+--S 78 of 237
+)lisp (identity |$quitCommandType|)
+--R 
+--RValue = |protected|
+--E 78
+
+--S 79 of 237
+)lisp (identity |$reportBottomUpFlag|)
+--R 
+--RValue = NIL
+--E 79
+
+--S 80 of 237
+)lisp (identity |$reportCoerceIfTrue|)
+--R 
+--RValue = NIL
+--E 80
+
+--S 81 of 237
+)lisp (identity |$reportCompilation|)
+--R 
+--RValue = NIL
+--E 81
+
+--S 82 of 237
+)lisp (identity |$reportEachInstantiation|)
+--R 
+--RValue = NIL
+--E 82
+
+--S 83 of 237
+)lisp (identity |$reportInstantiations|)
+--R 
+--RValue = NIL
+--E 83
+
+--S 84 of 237
+)lisp (identity |$reportInterpOnly|)
+--R 
+--RValue = T
+--E 84
+
+--S 85 of 237
+)lisp (identity |$reportOptimization|)
+--R 
+--RValue = NIL
+--E 85
+
+--S 86 of 237
+)lisp (identity |$reportSpadTrace|)
+--R 
+--RValue = NIL
+--E 86
+
+--S 87 of 237
+)lisp (identity |$RTspecialCharacters|)
+--R 
+--IValue = (      "" [ ] { }      |\\|)
+--E 87
+
+--S 88 of 237
+)lisp (identity *standard-input*)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 88
+
+--S 89 of 237
+)lisp (identity *standard-output*)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 89
+
+--S 90 of 237
+)lisp (identity |$SpadServer|)
+--R 
+--RValue = NIL
+--E 90
+
+--S 91 of 237
+)lisp (identity $SpadServerName)
+--R 
+--RValue = "/tmp/.d"
+--E 91
+
+--S 92 of 237
+)lisp (identity |$specialCharacterAlist| )
+--R 
+--RValue = ((|ulc| . 0) (|urc| . 1) (|llc| . 2) (|lrc| . 3) (|vbar| . 4) (|hbar| . 5) (|quad| . 6) (|lbrk| . 7) (|rbrk| . 8) (|lbrc| . 9) (|rbrc| . 10) (|ttee| . 11) (|btee| . 12) (|rtee| . 13) (|ltee| . 14) (|ctee| . 15) (|bslash| . 16))
+--E 92
+
+--S 93 of 237
+)lisp (identity |$specialCharacters|)
+--R 
+--RValue = (+ + + + |\|| - ? [ ] { } + + + + + |\\|)
+--E 93
+
+--S 94 of 237
+)lisp (identity |$streamCount|)
+--R 
+--RValue = 10
+--E 94
+
+--S 95 of 237
+)lisp (identity |$streamsShowAll|)
+--R 
+--RValue = NIL
+--E 95
+
+--S 96 of 237
+)lisp (identity compiler::*suppress-compiler-notes*)
+--R 
+--RValue = T
+--E 96
+
+--S 97 of 237
+)lisp (identity compiler::*suppress-compiler-warnings*)
+--R 
+--RValue = T
+--E 97
+
+--S 98 of 237
+)lisp (identity |$systemCommandFunction|)
+--R 
+--RValue = #<compiled-function |InterpExecuteSpadSystemCommand|>
+--E 98
+
+--S 99 of 237
+)lisp (identity $syscommands)
+--R 
+--RValue = (|abbreviations| |boot| |browse| |cd| |clear| |close| |compiler| |copyright| |credits| |display| |edit| |fin| |frame| |help| |history| |lisp| |library| |load| |ltrace| |pquit| |quit| |read| |savesystem| |set| |show| |spool| |summary| |synonym| |system| |trace| |undo| |what| |with| |workfiles| |zsystemdevelopment|)
+--E 99
+
+--S 100 of 237
+)lisp (identity |$systemCommands|)
+--R 
+--RValue = ((|abbreviations| . |compiler|) (|boot| . |development|) (|browse| . |development|) (|cd| . |interpreter|) (|clear| . |interpreter|) (|close| . |interpreter|) (|compiler| . |compiler|) (|copyright| . |interpreter|) (|credits| . |interpreter|) (|display| . |interpreter|) (|edit| . |interpreter|) (|fin| . |development|) (|frame| . |interpreter|) (|help| . |interpreter|) (|history| . |interpreter|) (|lisp| . |development|) (|library| . |interpreter|) (|load| . |interpreter|) (|ltrace| . |interpreter|) (|pquit| . |interpreter|) (|quit| . |interpreter|) (|read| . |interpreter|) (|savesystem| . |interpreter|) (|set| . |interpreter|) (|show| . |interpreter|) (|spool| . |interpreter|) (|summary| . |interpreter|) (|synonym| . |interpreter|) (|system| . |interpreter|) (|trace| . |interpreter|) (|undo| . |interpreter|) (|what| . |interpreter|) (|with| . |interpreter|) (|workfiles| . |development|) (|zsystemdevelopment| . |interpreter|))
+--E 100
+
+--S 101 of 237
+)lisp (identity *terminal-io*)
+--R 
+--IValue = #<two-way stream 090631d4>
+--E 101
+
+--S 102 of 237
+)lisp (identity |$testingSystem|)
+--R 
+--RValue = NIL
+--E 102
+
+--S 103 of 237
+)lisp (identity |$texFormat|)
+--R 
+--RValue = NIL
+--E 103
+
+--S 104 of 237
+)lisp (identity |$texOutputFile|)
+--R 
+--RValue = "CONSOLE"
+--E 104
+
+--S 105 of 237
+)lisp (identity |$tokenCommands|)
+--R 
+--RValue = (|abbreviations| |cd| |clear| |close| |compiler| |depends| |display| |edit| |frame| |frame| |help| |history| |input| |library| |load| |ltrace| |read| |savesystem| |set| |spool| |undo| |what| |with| |workfiles| |zsystemdevelopment|)
+--E 105
+
+--S 106 of 237
+)lisp (identity system::*top-level-hook*)
+--R 
+--RValue = RESTART
+--E 106
+
+--S 107 of 237
+)lisp (identity |$tracedMapSignatures|)
+--R 
+--RValue = NIL
+--E 107
+
+--S 108 of 237
+)lisp (identity |$traceNoisely|)
+--R 
+--RValue = NIL
+--E 108
+
+--S 109 of 237
+)lisp (identity |$traceOptionList|)
+--R 
+--RValue = (|after| |before| |break| |cond| |count| |depth| |local| |mathprint| |nonquietly| |nt| |of| |only| |ops| |restore| |timer| |varbreak| |vars| |within|)
+--E 109
+
+--S 110 of 237
+)lisp (identity underbar)
+--R 
+--RValue = "_"
+--E 110
+
+--S 111 of 237
+)lisp (identity |$useEditorForShowOutput|)
+--R 
+--RValue = NIL
+--E 111
+
+--S 112 of 237
+)lisp (identity |$useFullScreenHelp|)
+--R 
+--RValue = NIL
+--E 112
+
+--S 113 of 237
+)lisp (identity |$useInternalHistoryTable|)
+--R 
+--RValue = T
+--E 113
+
+--S 114 of 237
+)lisp (identity |$useIntrinsicFunctions|)
+--R 
+--RValue = NIL
+--E 114
+
+--S 115 of 237
+)lisp (identity |$UserLevel|)
+--R 
+--RValue = |development|
+--E 115
+
+--S 116 of 237
+)lisp (identity |$whatOptions|)
+--R 
+--RValue = (|operations| |categories| |domains| |packages| |commands| |synonyms| |things|)
+--E 116
+
+
+
+
+
+--S 117 of 237
+)lisp (identity |$attributeDb|)
+--R 
+--RValue = NIL
+--E 117
+
+--S 118 of 237
+)lisp (identity $boot)
+--R 
+--RValue = NIL
+--E 118
+
+--S 119 of 237
+)lisp (identity |$cacheAlist|)
+--R 
+--RValue = NIL
+--E 119
+
+--S 120 of 237
+)lisp (identity |$cacheCount| )
+--R 
+--RValue = 0
+--E 120
+
+--S 121 of 237
+)lisp (identity |$CatOfCatDatabase|)
+--R 
+--RValue = NIL
+--E 121
+
+--S 122 of 237
+)lisp (identity |$CloseClient|)
+--R 
+--RValue = 10
+--E 122
+
+--S 123 of 237
+)lisp (identity |$coerceIntByMapCounter|)
+--R 
+--RValue = 0
+--E 123
+
+--S 124 of 237
+)lisp (identity |$compileMapFlag|)
+--R 
+--RValue = NIL
+--E 124
+
+--S 125 of 237
+)lisp (identity |$ConstructorCache|)
+--R 
+--IValue = #<hash-table 08a68f18>
+--E 125
+
+--S 126 of 237
+)lisp (identity |$constructors|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$constructors| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 126
+
+--S 127 of 237
+)lisp (identity /countlist)
+--R 
+--RValue = NIL
+--E 127
+
+--S 128 of 237
+)lisp (identity $current-directory)
+--R 
+--IValue = "/tmp/"
+--E 128
+
+--S 129 of 237
+)lisp (identity |$currentFrameNum|)
+--R 
+--RValue = 0
+--E 129
+
+--S 130 of 237
+)lisp (identity |$currentLine|)
+--R 
+--RValue = ")lisp (identity |$currentLine|)"
+--E 130
+
+--S 131 of 237
+)lisp (identity $dalymode)
+--R 
+--RValue = NIL
+--E 131
+
+--S 132 of 237
+)lisp (identity |$defaultMsgDatabaseName|)
+--R 
+--IValue = #p"/research/reference/mnt/ubuntu/doc/msgs/s2-us.msgs"
+--E 132
+
+--S 133 of 237
+)lisp (identity |$dependeeClosureAlist|)
+--R 
+--RValue = NIL
+--E 133
+
+--S 134 of 237
+)lisp (identity $directory-list)
+--R 
+--IValue = ("/research/reference/mnt/ubuntu/../../src/input/" "/research/reference/mnt/ubuntu/doc/msgs/" "/research/reference/mnt/ubuntu/../../src/algebra/" "/research/reference/mnt/ubuntu/../../src/interp/" "/research/reference/mnt/ubuntu/doc/spadhelp/")
+--E 134
+
+--S 135 of 237
+)lisp (identity |$displayStartMsgs| )
+--R 
+--RValue = T
+--E 135
+
+--S 136 of 237
+)lisp (identity |$domains|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$domains| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 136
+
+--S 137 of 237
+)lisp (identity |$DomOfCatDatabase|)
+--R 
+--RValue = NIL
+--E 137
+
+--S 138 of 237
+)lisp (identity |$domainTraceNameAssoc|)
+--R 
+--RValue = NIL
+--E 138
+
+--S 139 of 237
+)lisp (identity |$doNotAddEmptyModeIfTrue|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$doNotAddEmptyModeIfTrue| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 139
+
+--S 140 of 237
+)lisp (identity |$e|)
+--R 
+--RValue = ((((|Category| (|modemap| (((|Category|) (|Category|)) (T *)))) (|Join| (|modemap| (((|Category|) (|Category|) (|Category|) (|Category|)) (T *)) (((|Category|) (|Category|) (|List| (|Category|)) (|Category|)) (T *)))))))
+--E 140
+
+--S 141 of 237
+)lisp (identity |$echoLineStack|)
+--R 
+--RValue = NIL
+--E 141
+
+--S 142 of 237
+)lisp (identity /editfile)
+--R 
+--IValue = #p"/tmp/u.input"
+--E 142
+
+--S 143 of 237
+)lisp (identity |$EmptyEnvironment|)
+--R 
+--RValue = ((NIL))
+--E 143
+
+--S 144 of 237
+)lisp (identity |$env|)
+--R 
+--RValue = ((NIL))
+--E 144
+
+--S 145 of 237
+)lisp (identity *eof*)
+--R 
+--RValue = NIL
+--E 145
+
+--S 146 of 237
+)lisp (identity |$erMsgToss|)
+--R 
+--RValue = NIL
+--E 146
+
+--S 147 of 237
+)lisp (identity |$existingFiles|)
+--R 
+--IValue = #<hash-table 08c5b230>
+--E 147
+
+--S 148 of 237
+)lisp (identity |$fn|)
+--R 
+--IValue = "/tmp/u.input"
+--E 148
+
+--S 149 of 237
+)lisp (identity |$formulaOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 149
+
+--S 150 of 237
+)lisp (identity |$fortranOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 150
+
+--S 151 of 237
+)lisp (identity |$frameMessages|)
+--R 
+--RValue = NIL
+--E 151
+
+--S 152 of 237
+)lisp (identity |$frameRecord|)
+--R 
+--RValue = NIL
+--E 152
+
+--S 153 of 237
+)lisp (identity |$fromSpadTrace|)
+--R 
+--RValue = NIL
+--E 153
+
+--S 154 of 237
+)lisp (identity |$functionTable|)
+--R 
+--RValue = NIL
+--E 154
+
+--S 155 of 237
+)lisp (identity |$globalExposureGroupAlist|)
+--R 
+--RValue = ((|basic| (|AlgebraicManipulations| . ALGMANIP) (|AlgebraicNumber| . AN) (|AlgFactor| . ALGFACT) (|AlgebraicMultFact| . ALGMFACT) (|AlgebraPackage| . ALGPKG) (|AlgebraGivenByStructuralConstants| . ALGSC) (|Any| . ANY) (|AnyFunctions1| . ANY1) (|ApplicationProgramInterface| . API) (|ArrayStack| . ASTACK) (|AssociatedJordanAlgebra| . JORDAN) (|AssociatedLieAlgebra| . LIE) (|AttachPredicates| . PMPRED) (|AxiomServer| . AXSERV) (|BalancedBinaryTree| . BBTREE) (|BasicOperator| . BOP) (|BasicOperatorFunctions1| . BOP1) (|BinaryExpansion| . BINARY) (|BinaryFile| . BINFILE) (|BinarySearchTree| . BSTREE) (|BinaryTournament| . BTOURN) (|BinaryTree| . BTREE) (|Bits| . BITS) (|Boolean| . BOOLEAN) (|CardinalNumber| . CARD) (|CartesianTensor| . CARTEN) (|CartesianTensorFunctions2| . CARTEN2) (|Character| . CHAR) (|CharacterClass| . CCLASS) (|CharacteristicPolynomialPackage| . CHARPOL) (|CliffordAlgebra| . CLIF) (|Color| . COLOR) (|CommonDenominator| . CDEN) (|Commutator| . COMM) (|Complex| . COMPLEX) (|ComplexFactorization| . COMPFACT) (|ComplexFunctions2| . COMPLEX2) (|ComplexRootPackage| . CMPLXRT) (|ComplexTrigonometricManipulations| . CTRIGMNP) (|ContinuedFraction| . CONTFRAC) (|CoordinateSystems| . COORDSYS) (|CRApackage| . CRAPACK) (|CycleIndicators| . CYCLES) (|Database| . DBASE) (|DataList| . DLIST) (|DecimalExpansion| . DECIMAL) (|DenavitHartenbergMatrix| . DHMATRIX) (|Dequeue| . DEQUEUE) (|DiophantineSolutionPackage| . DIOSP) (|DirectProductFunctions2| . DIRPROD2) (|DisplayPackage| . DISPLAY) (|DistinctDegreeFactorize| . DDFACT) (|DoubleFloat| . DFLOAT) (|DoubleFloatSpecialFunctions| . DFSFUN) (|DrawComplex| . DRAWCX) (|DrawNumericHack| . DRAWHACK) (|DrawOption| . DROPT) (|EigenPackage| . EP) (|ElementaryFunctionDefiniteIntegration| . DEFINTEF) (|ElementaryFunctionLODESolver| . LODEEF) (|ElementaryFunctionODESolver| . ODEEF) (|ElementaryFunctionSign| . SIGNEF) (|ElementaryFunctionStructurePackage| . EFSTRUC) (|Equation| . EQ) (|EquationFunctions2| . EQ2) (|ErrorFunctions| . ERROR) (|EuclideanGroebnerBasisPackage| . GBEUCLID) (|Exit| . EXIT) (|Expression| . EXPR) (|ExpressionFunctions2| . EXPR2) (|ExpressionSolve| . EXPRSOL) (|ExpressionSpaceFunctions2| . ES2) (|ExpressionSpaceODESolver| . EXPRODE) (|ExpressionToOpenMath| . OMEXPR) (|ExpressionToUnivariatePowerSeries| . EXPR2UPS) (|Factored| . FR) (|FactoredFunctions2| . FR2) (|File| . FILE) (|FileName| . FNAME) (|FiniteAbelianMonoidRingFunctions2| . FAMR2) (|FiniteDivisorFunctions2| . FDIV2) (|FiniteField| . FF) (|FiniteFieldCyclicGroup| . FFCG) (|FiniteFieldPolynomialPackage2| . FFPOLY2) (|FiniteFieldNormalBasis| . FFNB) (|FiniteFieldHomomorphisms| . FFHOM) (|FiniteLinearAggregateFunctions2| . FLAGG2) (|FiniteLinearAggregateSort| . FLASORT) (|FiniteSetAggregateFunctions2| . FSAGG2) (|FlexibleArray| . FARRAY) (|Float| . FLOAT) (|FloatingRealPackage| . FLOATRP) (|FloatingComplexPackage| . FLOATCP) (|FourierSeries| . FSERIES) (|Fraction| . FRAC) (|FractionalIdealFunctions2| . FRIDEAL2) (|FractionFreeFastGaussian| . FFFG) (|FractionFreeFastGaussianFractions| . FFFGF) (|FractionFunctions2| . FRAC2) (|FreeNilpotentLie| . FNLA) (|FullPartialFractionExpansion| . FPARFRAC) (|FunctionFieldCategoryFunctions2| . FFCAT2) (|FunctionSpaceAssertions| . PMASSFS) (|FunctionSpaceAttachPredicates| . PMPREDFS) (|FunctionSpaceComplexIntegration| . FSCINT) (|FunctionSpaceFunctions2| . FS2) (|FunctionSpaceIntegration| . FSINT) (|FunctionSpacePrimitiveElement| . FSPRMELT) (|FunctionSpaceSum| . SUMFS) (|GaussianFactorizationPackage| . GAUSSFAC) (|GeneralUnivariatePowerSeries| . GSERIES) (|GenerateUnivariatePowerSeries| . GENUPS) (|GraphicsDefaults| . GRDEF) (|GroebnerPackage| . GB) (|GroebnerFactorizationPackage| . GBF) (|Guess| . GUESS) (|GuessAlgebraicNumber| . GUESSAN) (|GuessFinite| . GUESSF) (|GuessFiniteFunctions| . GUESSF1) (|GuessInteger| . GUESSINT) (|GuessOption| . GOPT) (|GuessOptionFunctions0| . GOPT0) (|GuessPolynomial| . GUESSP) (|GuessUnivariatePolynomial| . GUESSUP) (|HallBasis| . HB) (|Heap| . HEAP) (|HexadecimalExpansion| . HEXADEC) (|IndexCard| . ICARD) (|IdealDecompositionPackage| . IDECOMP) (|InfiniteProductCharacteristicZero| . INFPROD0) (|InfiniteProductFiniteField| . INPRODFF) (|InfiniteProductPrimeField| . INPRODPF) (|InfiniteTuple| . ITUPLE) (|InfiniteTupleFunctions2| . ITFUN2) (|InfiniteTupleFunctions3| . ITFUN3) (|Infinity| . INFINITY) (|Integer| . INT) (|IntegerCombinatoricFunctions| . COMBINAT) (|IntegerLinearDependence| . ZLINDEP) (|IntegerNumberTheoryFunctions| . INTHEORY) (|IntegerPrimesPackage| . PRIMES) (|IntegerRetractions| . INTRET) (|IntegerRoots| . IROOT) (|IntegrationResultFunctions2| . IR2) (|IntegrationResultRFToFunction| . IRRF2F) (|IntegrationResultToFunction| . IR2F) (|Interval| . INTRVL) (|InventorDataSink| . IVDATA) (|InventorViewPort| . IVVIEW) (|InventorRenderPackage| . IVREND) (|InverseLaplaceTransform| . INVLAPLA) (|IrrRepSymNatPackage| . IRSN) (|KernelFunctions2| . KERNEL2) (|KeyedAccessFile| . KAFILE) (|LaplaceTransform| . LAPLACE) (|LazardMorenoSolvingPackage| . LAZM3PK) (|Library| . LIB) (|LieSquareMatrix| . LSQM) (|LinearOrdinaryDifferentialOperator| . LODO) (|LinearSystemMatrixPackage| . LSMP) (|LinearSystemMatrixPackage1| . LSMP1) (|LinearSystemPolynomialPackage| . LSPP) (|List| . LIST) (|ListFunctions2| . LIST2) (|ListFunctions3| . LIST3) (|ListToMap| . LIST2MAP) (|MakeFloatCompiledFunction| . MKFLCFN) (|MakeFunction| . MKFUNC) (|MakeRecord| . MKRECORD) (|MappingPackage1| . MAPPKG1) (|MappingPackage2| . MAPPKG2) (|MappingPackage3| . MAPPKG3) (|MappingPackage4| . MAPPKG4) (|MathMLFormat| . MMLFORM) (|Matrix| . MATRIX) (|MatrixCategoryFunctions2| . MATCAT2) (|MatrixCommonDenominator| . MCDEN) (|MatrixLinearAlgebraFunctions| . MATLIN) (|MergeThing| . MTHING) (|ModularDistinctDegreeFactorizer| . MDDFACT) (|ModuleOperator| . MODOP) (|MonoidRingFunctions2| . MRF2) (|MoreSystemCommands| . MSYSCMD) (|MPolyCatFunctions2| . MPC2) (|MPolyCatRationalFunctionFactorizer| . MPRFF) (|Multiset| . MSET) (|MultivariateFactorize| . MULTFACT) (|MultivariatePolynomial| . MPOLY) (|MultFiniteFactorize| . MFINFACT) (|MyUnivariatePolynomial| . MYUP) (|MyExpression| . MYEXPR) (|NoneFunctions1| . NONE1) (|NonNegativeInteger| . NNI) (|NottinghamGroup| . NOTTING) (|NormalizationPackage| . NORMPK) (|NormInMonogenicAlgebra| . NORMMA) (|NumberTheoreticPolynomialFunctions| . NTPOLFN) (|Numeric| . NUMERIC) (|NumericalOrdinaryDifferentialEquations| . NUMODE) (|NumericalQuadrature| . NUMQUAD) (|NumericComplexEigenPackage| . NCEP) (|NumericRealEigenPackage| . NREP) (|NumericContinuedFraction| . NCNTFRAC) (|Octonion| . OCT) (|OctonionCategoryFunctions2| . OCTCT2) (|OneDimensionalArray| . ARRAY1) (|OneDimensionalArrayFunctions2| . ARRAY12) (|OnePointCompletion| . ONECOMP) (|OnePointCompletionFunctions2| . ONECOMP2) (|OpenMathConnection| . OMCONN) (|OpenMathDevice| . OMDEV) (|OpenMathEncoding| . OMENC) (|OpenMathError| . OMERR) (|OpenMathErrorKind| . OMERRK) (|OpenMathPackage| . OMPKG) (|OpenMathServerPackage| . OMSERVER) (|OperationsQuery| . OPQUERY) (|OrderedCompletion| . ORDCOMP) (|OrderedCompletionFunctions2| . ORDCOMP2) (|OrdinaryDifferentialRing| . ODR) (|OrdSetInts| . OSI) (|OrthogonalPolynomialFunctions| . ORTHPOL) (|OutputPackage| . OUT) (|PadeApproximantPackage| . PADEPAC) (|Palette| . PALETTE) (|PartialFraction| . PFR) (|PatternFunctions2| . PATTERN2) (|ParametricPlaneCurve| . PARPCURV) (|ParametricSpaceCurve| . PARSCURV) (|ParametricSurface| . PARSURF) (|ParametricPlaneCurveFunctions2| . PARPC2) (|ParametricSpaceCurveFunctions2| . PARSC2) (|ParametricSurfaceFunctions2| . PARSU2) (|PartitionsAndPermutations| . PARTPERM) (|PatternMatch| . PATMATCH) (|PatternMatchAssertions| . PMASS) (|PatternMatchResultFunctions2| . PATRES2) (|PendantTree| . PENDTREE) (|Permanent| . PERMAN) (|PermutationGroupExamples| . PGE) (|PermutationGroup| . PERMGRP) (|Permutation| . PERM) (|Pi| . HACKPI) (|PiCoercions| . PICOERCE) (|PointFunctions2| . PTFUNC2) (|PolyGroebner| . PGROEB) (|Polynomial| . POLY) (|PolynomialAN2Expression| . PAN2EXPR) (|PolynomialComposition| . PCOMP) (|PolynomialDecomposition| . PDECOMP) (|PolynomialFunctions2| . POLY2) (|PolynomialIdeals| . IDEAL) (|PolynomialToUnivariatePolynomial| . POLY2UP) (|PositiveInteger| . PI) (|PowerSeriesLimitPackage| . LIMITPS) (|PrimeField| . PF) (|PrimitiveArrayFunctions2| . PRIMARR2) (|PrintPackage| . PRINT) (|QuadraticForm| . QFORM) (|QuasiComponentPackage| . QCMPACK) (|Quaternion| . QUAT) (|QuaternionCategoryFunctions2| . QUATCT2) (|QueryEquation| . QEQUAT) (|Queue| . QUEUE) (|QuotientFieldCategoryFunctions2| . QFCAT2) (|RadicalEigenPackage| . REP) (|RadicalSolvePackage| . SOLVERAD) (|RadixExpansion| . RADIX) (|RadixUtilities| . RADUTIL) (|RandomNumberSource| . RANDSRC) (|RationalFunction| . RF) (|RationalFunctionDefiniteIntegration| . DEFINTRF) (|RationalFunctionFactor| . RFFACT) (|RationalFunctionFactorizer| . RFFACTOR) (|RationalFunctionIntegration| . INTRF) (|RationalFunctionLimitPackage| . LIMITRF) (|RationalFunctionSign| . SIGNRF) (|RationalFunctionSum| . SUMRF) (|RationalRetractions| . RATRET) (|RealClosure| . RECLOS) (|RealPolynomialUtilitiesPackage| . POLUTIL) (|RealZeroPackage| . REAL0) (|RealZeroPackageQ| . REAL0Q) (|RecurrenceOperator| . RECOP) (|RectangularMatrixCategoryFunctions2| . RMCAT2) (|RegularSetDecompositionPackage| . RSDCMPK) (|RegularTriangularSet| . REGSET) (|RegularTriangularSetGcdPackage| . RSETGCD) (|RepresentationPackage1| . REP1) (|RepresentationPackage2| . REP2) (|ResolveLatticeCompletion| . RESLATC) (|RewriteRule| . RULE) (|RightOpenIntervalRootCharacterization| . ROIRC) (|RomanNumeral| . ROMAN) (|Ruleset| . RULESET) (|ScriptFormulaFormat| . FORMULA) (|ScriptFormulaFormat1| . FORMULA1) (|Segment| . SEG) (|SegmentBinding| . SEGBIND) (|SegmentBindingFunctions2| . SEGBIND2) (|SegmentFunctions2| . SEG2) (|Set| . SET) (|SimpleAlgebraicExtensionAlgFactor| . SAEFACT) (|SimplifyAlgebraicNumberConvertPackage| . SIMPAN) (|SingleInteger| . SINT) (|SmithNormalForm| . SMITH) (|SparseUnivariatePolynomialExpressions| . SUPEXPR) (|SparseUnivariatePolynomialFunctions2| . SUP2) (|SpecialOutputPackage| . SPECOUT) (|SquareFreeRegularSetDecompositionPackage| . SRDCMPK) (|SquareFreeRegularTriangularSet| . SREGSET) (|SquareFreeRegularTriangularSetGcdPackage| . SFRGCD) (|SquareFreeQuasiComponentPackage| . SFQCMPK) (|Stack| . STACK) (|Stream| . STREAM) (|StreamFunctions1| . STREAM1) (|StreamFunctions2| . STREAM2) (|StreamFunctions3| . STREAM3) (|String| . STRING) (|SturmHabichtPackage| . SHP) (|Symbol| . SYMBOL) (|SymmetricGroupCombinatoricFunctions| . SGCF) (|SystemSolvePackage| . SYSSOLP) (|SAERationalFunctionAlgFactor| . SAERFFC) (|Tableau| . TABLEAU) (|TaylorSeries| . TS) (|TaylorSolve| . UTSSOL) (|TexFormat| . TEX) (|TexFormat1| . TEX1) (|TextFile| . TEXTFILE) (|ThreeDimensionalViewport| . VIEW3D) (|ThreeSpace| . SPACE3) (|Timer| . TIMER) (|TopLevelDrawFunctions| . DRAW) (|TopLevelDrawFunctionsForAlgebraicCurves| . DRAWCURV) (|TopLevelDrawFunctionsForCompiledFunctions| . DRAWCFUN) (|TopLevelDrawFunctionsForPoints| . DRAWPT) (|TopLevelThreeSpace| . TOPSP) (|TranscendentalManipulations| . TRMANIP) (|TransSolvePackage| . SOLVETRA) (|Tree| . TREE) (|TrigonometricManipulations| . TRIGMNIP) (|UnivariateLaurentSeriesFunctions2| . ULS2) (|UnivariateFormalPowerSeries| . UFPS) (|UnivariateFormalPowerSeriesFunctions| . UFPS1) (|UnivariatePolynomial| . UP) (|UnivariatePolynomialCategoryFunctions2| . UPOLYC2) (|UnivariatePolynomialCommonDenominator| . UPCDEN) (|UnivariatePolynomialFunctions2| . UP2) (|UnivariatePolynomialMultiplicationPackage| . UPMP) (|UnivariatePuiseuxSeriesFunctions2| . UPXS2) (|UnivariateTaylorSeriesFunctions2| . UTS2) (|UniversalSegment| . UNISEG) (|UniversalSegmentFunctions2| . UNISEG2) (|UserDefinedVariableOrdering| . UDVO) (|Vector| . VECTOR) (|VectorFunctions2| . VECTOR2) (|ViewDefaultsPackage| . VIEWDEF) (|Void| . VOID) (|WuWenTsunTriangularSet| . WUTSET)) (|naglink| (|Asp1| . ASP1) (|Asp4| . ASP4) (|Asp6| . ASP6) (|Asp7| . ASP7) (|Asp8| . ASP8) (|Asp9| . ASP9) (|Asp10| . ASP10) (|Asp12| . ASP12) (|Asp19| . ASP19) (|Asp20| . ASP20) (|Asp24| . ASP24) (|Asp27| . ASP27) (|Asp28| . ASP28) (|Asp29| . ASP29) (|Asp30| . ASP30) (|Asp31| . ASP31) (|Asp33| . ASP33) (|Asp34| . ASP34) (|Asp35| . ASP35) (|Asp41| . ASP41) (|Asp42| . ASP42) (|Asp49| . ASP49) (|Asp50| . ASP50) (|Asp55| . ASP55) (|Asp73| . ASP73) (|Asp74| . ASP74) (|Asp77| . ASP77) (|Asp78| . ASP78) (|Asp80| . ASP80) (|FortranCode| . FC) (|FortranCodePackage1| . FCPAK1) (|FortranExpression| . FEXPR) (|FortranMachineTypeCategory| . FMTC) (|FortranMatrixCategory| . FMC) (|FortranMatrixFunctionCategory| . FMFUN) (|FortranOutputStackPackage| . FOP) (|FortranPackage| . FORT) (|FortranProgramCategory| . FORTCAT) (|FortranProgram| . FORTRAN) (|FortranFunctionCategory| . FORTFN) (|FortranScalarType| . FST) (|FortranType| . FT) (|FortranTemplate| . FTEM) (|FortranVectorFunctionCategory| . FVFUN) (|FortranVectorCategory| . FVC) (|MachineComplex| . MCMPLX) (|MachineFloat| . MFLOAT) (|MachineInteger| . MINT) (|MultiVariableCalculusFunctions| . MCALCFN) (|NagDiscreteFourierTransformInterfacePackage| . NAGDIS) (|NagEigenInterfacePackage| . NAGEIG) (|NAGLinkSupportPackage| . NAGSP) (|NagOptimisationInterfacePackage| . NAGOPT) (|NagQuadratureInterfacePackage| . NAGQUA) (|NagResultChecks| . NAGRES) (|NagSpecialFunctionsInterfacePackage| . NAGSPE) (|NagPolynomialRootsPackage| . NAGC02) (|NagRootFindingPackage| . NAGC05) (|NagSeriesSummationPackage| . NAGC06) (|NagIntegrationPackage| . NAGD01) (|NagOrdinaryDifferentialEquationsPackage| . NAGD02) (|NagPartialDifferentialEquationsPackage| . NAGD03) (|NagInterpolationPackage| . NAGE01) (|NagFittingPackage| . NAGE02) (|NagOptimisationPackage| . NAGE04) (|NagMatrixOperationsPackage| . NAGF01) (|NagEigenPackage| . NAGF02) (|NagLinearEquationSolvingPackage| . NAGF04) (|NagLapack| . NAGF07) (|NagSpecialFunctionsPackage| . NAGS) (|PackedHermitianSequence| . PACKED) (|Result| . RESULT) (|SimpleFortranProgram| . SFORT) (|Switch| . SWITCH) (|SymbolTable| . SYMTAB) (|TemplateUtilities| . TEMUTL) (|TheSymbolTable| . SYMS) (|ThreeDimensionalMatrix| . M3D)) (|anna| (|AnnaNumericalIntegrationPackage| . INTPACK) (|AnnaNumericalOptimizationPackage| . OPTPACK) (|AnnaOrdinaryDifferentialEquationPackage| . ODEPACK) (|AnnaPartialDifferentialEquationPackage| . PDEPACK) (|AttributeButtons| . ATTRBUT) (|BasicFunctions| . BFUNCT) (|d01ajfAnnaType| . D01AJFA) (|d01akfAnnaType| . D01AKFA) (|d01alfAnnaType| . D01ALFA) (|d01amfAnnaType| . D01AMFA) (|d01anfAnnaType| . D01ANFA) (|d01apfAnnaType| . D01APFA) (|d01aqfAnnaType| . D01AQFA) (|d01asfAnnaType| . D01ASFA) (|d01fcfAnnaType| . D01FCFA) (|d01gbfAnnaType| . D01GBFA) (|d01AgentsPackage| . D01AGNT) (|d01TransformFunctionType| . D01TRNS) (|d01WeightsPackage| . D01WGTS) (|d02AgentsPackage| . D02AGNT) (|d02bbfAnnaType| . D02BBFA) (|d02bhfAnnaType| . D02BHFA) (|d02cjfAnnaType| . D02CJFA) (|d02ejfAnnaType| . D02EJFA) (|d03AgentsPackage| . D03AGNT) (|d03eefAnnaType| . D03EEFA) (|d03fafAnnaType| . D03FAFA) (|e04AgentsPackage| . E04AGNT) (|e04dgfAnnaType| . E04DGFA) (|e04fdfAnnaType| . E04FDFA) (|e04gcfAnnaType| . E04GCFA) (|e04jafAnnaType| . E04JAFA) (|e04mbfAnnaType| . E04MBFA) (|e04nafAnnaType| . E04NAFA) (|e04ucfAnnaType| . E04UCFA) (|ExpertSystemContinuityPackage| . ESCONT) (|ExpertSystemContinuityPackage1| . ESCONT1) (|ExpertSystemToolsPackage| . ESTOOLS) (|ExpertSystemToolsPackage1| . ESTOOLS1) (|ExpertSystemToolsPackage2| . ESTOOLS2) (|NumericalIntegrationCategory| . NUMINT) (|NumericalIntegrationProblem| . NIPROB) (|NumericalODEProblem| . ODEPROB) (|NumericalOptimizationCategory| . OPTCAT) (|NumericalOptimizationProblem| . OPTPROB) (|NumericalPDEProblem| . PDEPROB) (|ODEIntensityFunctionsTable| . ODEIFTBL) (|IntegrationFunctionsTable| . INTFTBL) (|OrdinaryDifferentialEquationsSolverCategory| . ODECAT) (|PartialDifferentialEquationsSolverCategory| . PDECAT) (|RoutinesTable| . ROUTINE)) (|categories| (|AbelianGroup| . ABELGRP) (|AbelianMonoid| . ABELMON) (|AbelianMonoidRing| . AMR) (|AbelianSemiGroup| . ABELSG) (|Aggregate| . AGG) (|Algebra| . ALGEBRA) (|AlgebraicallyClosedField| . ACF) (|AlgebraicallyClosedFunctionSpace| . ACFS) (|ArcHyperbolicFunctionCategory| . AHYP) (|ArcTrigonometricFunctionCategory| . ATRIG) (|AssociationListAggregate| . ALAGG) (|AttributeRegistry| . ATTREG) (|BagAggregate| . BGAGG) (|BasicType| . BASTYPE) (|BiModule| . BMODULE) (|BinaryRecursiveAggregate| . BRAGG) (|BinaryTreeCategory| . BTCAT) (|BitAggregate| . BTAGG) (|CachableSet| . CACHSET) (|CancellationAbelianMonoid| . CABMON) (|CharacteristicNonZero| . CHARNZ) (|CharacteristicZero| . CHARZ) (|CoercibleTo| . KOERCE) (|Collection| . CLAGG) (|CombinatorialFunctionCategory| . CFCAT) (|CombinatorialOpsCategory| . COMBOPC) (|CommutativeRing| . COMRING) (|ComplexCategory| . COMPCAT) (|ConvertibleTo| . KONVERT) (|DequeueAggregate| . DQAGG) (|Dictionary| . DIAGG) (|DictionaryOperations| . DIOPS) (|DifferentialExtension| . DIFEXT) (|DifferentialPolynomialCategory| . DPOLCAT) (|DifferentialRing| . DIFRING) (|DifferentialVariableCategory| . DVARCAT) (|DirectProductCategory| . DIRPCAT) (|DivisionRing| . DIVRING) (|DoublyLinkedAggregate| . DLAGG) (|ElementaryFunctionCategory| . ELEMFUN) (|Eltable| . ELTAB) (|EltableAggregate| . ELTAGG) (|EntireRing| . ENTIRER) (|EuclideanDomain| . EUCDOM) (|Evalable| . EVALAB) (|ExpressionSpace| . ES) (|ExtensibleLinearAggregate| . ELAGG) (|ExtensionField| . XF) (|Field| . FIELD) (|FieldOfPrimeCharacteristic| . FPC) (|Finite| . FINITE) (|FileCategory| . FILECAT) (|FileNameCategory| . FNCAT) (|FiniteAbelianMonoidRing| . FAMR) (|FiniteAlgebraicExtensionField| . FAXF) (|FiniteDivisorCategory| . FDIVCAT) (|FiniteFieldCategory| . FFIELDC) (|FiniteLinearAggregate| . FLAGG) (|FiniteRankNonAssociativeAlgebra| . FINAALG) (|FiniteRankAlgebra| . FINRALG) (|FiniteSetAggregate| . FSAGG) (|FloatingPointSystem| . FPS) (|FramedAlgebra| . FRAMALG) (|FramedNonAssociativeAlgebra| . FRNAALG) (|FramedNonAssociativeAlgebraFunctions2| . FRNAAF2) (|FreeAbelianMonoidCategory| . FAMONC) (|FreeLieAlgebra| . FLALG) (|FreeModuleCat| . FMCAT) (|FullyEvalableOver| . FEVALAB) (|FullyLinearlyExplicitRingOver| . FLINEXP) (|FullyPatternMatchable| . FPATMAB) (|FullyRetractableTo| . FRETRCT) (|FunctionFieldCategory| . FFCAT) (|FunctionSpace| . FS) (|GcdDomain| . GCDDOM) (|GradedAlgebra| . GRALG) (|GradedModule| . GRMOD) (|Group| . GROUP) (|HomogeneousAggregate| . HOAGG) (|HyperbolicFunctionCategory| . HYPCAT) (|IndexedAggregate| . IXAGG) (|IndexedDirectProductCategory| . IDPC) (|InnerEvalable| . IEVALAB) (|IntegerNumberSystem| . INS) (|IntegralDomain| . INTDOM) (|IntervalCategory| . INTCAT) (|KeyedDictionary| . KDAGG) (|LazyStreamAggregate| . LZSTAGG) (|LeftAlgebra| . LALG) (|LeftModule| . LMODULE) (|LieAlgebra| . LIECAT) (|LinearAggregate| . LNAGG) (|LinearlyExplicitRingOver| . LINEXP) (|LinearOrdinaryDifferentialOperatorCategory| . LODOCAT) (|LiouvillianFunctionCategory| . LFCAT) (|ListAggregate| . LSAGG) (|Logic| . LOGIC) (|MatrixCategory| . MATCAT) (|Module| . MODULE) (|Monad| . MONAD) (|MonadWithUnit| . MONADWU) (|Monoid| . MONOID) (|MonogenicAlgebra| . MONOGEN) (|MonogenicLinearOperator| . MLO) (|MultiDictionary| . MDAGG) (|MultisetAggregate| . MSETAGG) (|MultivariateTaylorSeriesCategory| . MTSCAT) (|NonAssociativeAlgebra| . NAALG) (|NonAssociativeRing| . NASRING) (|NonAssociativeRng| . NARNG) (|NormalizedTriangularSetCategory| . NTSCAT) (|Object| . OBJECT) (|OctonionCategory| . OC) (|OneDimensionalArrayAggregate| . A1AGG) (|OpenMath| . OM) (|OrderedAbelianGroup| . OAGROUP) (|OrderedAbelianMonoid| . OAMON) (|OrderedAbelianMonoidSup| . OAMONS) (|OrderedAbelianSemiGroup| . OASGP) (|OrderedCancellationAbelianMonoid| . OCAMON) (|OrderedFinite| . ORDFIN) (|OrderedIntegralDomain| . OINTDOM) (|OrderedMonoid| . ORDMON) (|OrderedMultisetAggregate| . OMSAGG) (|OrderedRing| . ORDRING) (|OrderedSet| . ORDSET) (|PAdicIntegerCategory| . PADICCT) (|PartialDifferentialRing| . PDRING) (|PartialTranscendentalFunctions| . PTRANFN) (|Patternable| . PATAB) (|PatternMatchable| . PATMAB) (|PermutationCategory| . PERMCAT) (|PlottablePlaneCurveCategory| . PPCURVE) (|PlottableSpaceCurveCategory| . PSCURVE) (|PointCategory| . PTCAT) (|PolynomialCategory| . POLYCAT) (|PolynomialFactorizationExplicit| . PFECAT) (|PolynomialSetCategory| . PSETCAT) (|PowerSeriesCategory| . PSCAT) (|PrimitiveFunctionCategory| . PRIMCAT) (|PrincipalIdealDomain| . PID) (|PriorityQueueAggregate| . PRQAGG) (|QuaternionCategory| . QUATCAT) (|QueueAggregate| . QUAGG) (|QuotientFieldCategory| . QFCAT) (|RadicalCategory| . RADCAT) (|RealClosedField| . RCFIELD) (|RealConstant| . REAL) (|RealNumberSystem| . RNS) (|RealRootCharacterizationCategory| . RRCC) (|RectangularMatrixCategory| . RMATCAT) (|RecursiveAggregate| . RCAGG) (|RecursivePolynomialCategory| . RPOLCAT) (|RegularChain| . RGCHAIN) (|RegularTriangularSetCategory| . RSETCAT) (|RetractableTo| . RETRACT) (|RightModule| . RMODULE) (|Ring| . RING) (|Rng| . RNG) (|SegmentCategory| . SEGCAT) (|SegmentExpansionCategory| . SEGXCAT) (|SemiGroup| . SGROUP) (|SetAggregate| . SETAGG) (|SetCategory| . SETCAT) (|SExpressionCategory| . SEXCAT) (|SpecialFunctionCategory| . SPFCAT) (|SquareFreeNormalizedTriangularSetCategory| . SNTSCAT) (|SquareFreeRegularTriangularSetCategory| . SFRTCAT) (|SquareMatrixCategory| . SMATCAT) (|StackAggregate| . SKAGG) (|StepThrough| . STEP) (|StreamAggregate| . STAGG) (|StringAggregate| . SRAGG) (|StringCategory| . STRICAT) (|StructuralConstantsPackage| . SCPKG) (|TableAggregate| . TBAGG) (|ThreeSpaceCategory| . SPACEC) (|TranscendentalFunctionCategory| . TRANFUN) (|TriangularSetCategory| . TSETCAT) (|TrigonometricFunctionCategory| . TRIGCAT) (|TwoDimensionalArrayCategory| . ARR2CAT) (|Type| . TYPE) (|UnaryRecursiveAggregate| . URAGG) (|UniqueFactorizationDomain| . UFD) (|UnivariateLaurentSeriesCategory| . ULSCAT) (|UnivariateLaurentSeriesConstructorCategory| . ULSCCAT) (|UnivariatePolynomialCategory| . UPOLYC) (|UnivariatePowerSeriesCategory| . UPSCAT) (|UnivariatePuiseuxSeriesCategory| . UPXSCAT) (|UnivariatePuiseuxSeriesConstructorCategory| . UPXSCCA) (|UnivariateSkewPolynomialCategory| . OREPCAT) (|UnivariateTaylorSeriesCategory| . UTSCAT) (|VectorCategory| . VECTCAT) (|VectorSpace| . VSPACE) (|XAlgebra| . XALG) (|XFreeAlgebra| . XFALG) (|XPolynomialsCat| . XPOLYC) (|ZeroDimensionalSolvePackage| . ZDSOLVE)) (|Hidden| (|AlgebraicFunction| . AF) (|AlgebraicFunctionField| . ALGFF) (|AlgebraicHermiteIntegration| . INTHERAL) (|AlgebraicIntegrate| . INTALG) (|AlgebraicIntegration| . INTAF) (|AnonymousFunction| . ANON) (|AntiSymm| . ANTISYM) (|ApplyRules| . APPRULE) (|ApplyUnivariateSkewPolynomial| . APPLYORE) (|ArrayStack| . ASTACK) (|AssociatedEquations| . ASSOCEQ) (|AssociationList| . ALIST) (|Automorphism| . AUTOMOR) (|BalancedFactorisation| . BALFACT) (|BalancedPAdicInteger| . BPADIC) (|BalancedPAdicRational| . BPADICRT) (|BezoutMatrix| . BEZOUT) (|BoundIntegerRoots| . BOUNDZRO) (|BrillhartTests| . BRILL) (|ChangeOfVariable| . CHVAR) (|CharacteristicPolynomialInMonogenicalAlgebra| . CPIMA) (|ChineseRemainderToolsForIntegralBases| . IBACHIN) (|CoerceVectorMatrixPackage| . CVMP) (|CombinatorialFunction| . COMBF) (|CommonOperators| . COMMONOP) (|CommuteUnivariatePolynomialCategory| . COMMUPC) (|ComplexIntegerSolveLinearPolynomialEquation| . CINTSLPE) (|ComplexPattern| . COMPLPAT) (|ComplexPatternMatch| . CPMATCH) (|ComplexRootFindingPackage| . CRFP) (|ConstantLODE| . ODECONST) (|CyclicStreamTools| . CSTTOOLS) (|CyclotomicPolynomialPackage| . CYCLOTOM) (|DefiniteIntegrationTools| . DFINTTLS) (|DegreeReductionPackage| . DEGRED) (|DeRhamComplex| . DERHAM) (|DifferentialSparseMultivariatePolynomial| . DSMP) (|DirectProduct| . DIRPROD) (|DirectProductMatrixModule| . DPMM) (|DirectProductModule| . DPMO) (|DiscreteLogarithmPackage| . DLP) (|DistributedMultivariatePolynomial| . DMP) (|DoubleResultantPackage| . DBLRESP) (|DrawOptionFunctions0| . DROPT0) (|DrawOptionFunctions1| . DROPT1) (|ElementaryFunction| . EF) (|ElementaryFunctionsUnivariateLaurentSeries| . EFULS) (|ElementaryFunctionsUnivariatePuiseuxSeries| . EFUPXS) (|ElementaryIntegration| . INTEF) (|ElementaryRischDE| . RDEEF) (|ElementaryRischDESystem| . RDEEFS) (|EllipticFunctionsUnivariateTaylorSeries| . ELFUTS) (|EqTable| . EQTBL) (|EuclideanModularRing| . EMR) (|EvaluateCycleIndicators| . EVALCYC) (|ExponentialExpansion| . EXPEXPAN) (|ExponentialOfUnivariatePuiseuxSeries| . EXPUPXS) (|ExpressionSpaceFunctions1| . ES1) (|ExpressionTubePlot| . EXPRTUBE) (|ExtAlgBasis| . EAB) (|FactoredFunctions| . FACTFUNC) (|FactoredFunctionUtilities| . FRUTIL) (|FactoringUtilities| . FACUTIL) (|FGLMIfCanPackage| . FGLMICPK) (|FindOrderFinite| . FORDER) (|FiniteDivisor| . FDIV) (|FiniteFieldCyclicGroupExtension| . FFCGX) (|FiniteFieldCyclicGroupExtensionByPolynomial| . FFCGP) (|FiniteFieldExtension| . FFX) (|FiniteFieldExtensionByPolynomial| . FFP) (|FiniteFieldFunctions| . FFF) (|FiniteFieldNormalBasisExtension| . FFNBX) (|FiniteFieldNormalBasisExtensionByPolynomial| . FFNBP) (|FiniteFieldPolynomialPackage| . FFPOLY) (|FiniteFieldSolveLinearPolynomialEquation| . FFSLPE) (|FormalFraction| . FORMAL) (|FourierComponent| . FCOMP) (|FractionalIdeal| . FRIDEAL) (|FramedModule| . FRMOD) (|FreeAbelianGroup| . FAGROUP) (|FreeAbelianMonoid| . FAMONOID) (|FreeGroup| . FGROUP) (|FreeModule| . FM) (|FreeModule1| . FM1) (|FreeMonoid| . FMONOID) (|FunctionalSpecialFunction| . FSPECF) (|FunctionCalled| . FUNCTION) (|FunctionFieldIntegralBasis| . FFINTBAS) (|FunctionSpaceReduce| . FSRED) (|FunctionSpaceToUnivariatePowerSeries| . FS2UPS) (|FunctionSpaceToExponentialExpansion| . FS2EXPXP) (|FunctionSpaceUnivariatePolynomialFactor| . FSUPFACT) (|GaloisGroupFactorizationUtilities| . GALFACTU) (|GaloisGroupFactorizer| . GALFACT) (|GaloisGroupPolynomialUtilities| . GALPOLYU) (|GaloisGroupUtilities| . GALUTIL) (|GeneralHenselPackage| . GHENSEL) (|GeneralDistributedMultivariatePolynomial| . GDMP) (|GeneralPolynomialGcdPackage| . GENPGCD) (|GeneralSparseTable| . GSTBL) (|GenericNonAssociativeAlgebra| . GCNAALG) (|GenExEuclid| . GENEEZ) (|GeneralizedMultivariateFactorize| . GENMFACT) (|GeneralModulePolynomial| . GMODPOL) (|GeneralPolynomialSet| . GPOLSET) (|GeneralTriangularSet| . GTSET) (|GenUFactorize| . GENUFACT) (|GenusZeroIntegration| . INTG0) (|GosperSummationMethod| . GOSPER) (|GraphImage| . GRIMAGE) (|GrayCode| . GRAY) (|GroebnerInternalPackage| . GBINTERN) (|GroebnerSolve| . GROEBSOL) (|HashTable| . HASHTBL) (|Heap| . HEAP) (|HeuGcd| . HEUGCD) (|HomogeneousDistributedMultivariatePolynomial| . HDMP) (|HyperellipticFiniteDivisor| . HELLFDIV) (|IncrementingMaps| . INCRMAPS) (|IndexedBits| . IBITS) (|IndexedDirectProductAbelianGroup| . IDPAG) (|IndexedDirectProductAbelianMonoid| . IDPAM) (|IndexedDirectProductObject| . IDPO) (|IndexedDirectProductOrderedAbelianMonoid| . IDPOAM) (|IndexedDirectProductOrderedAbelianMonoidSup| . IDPOAMS) (|IndexedExponents| . INDE) (|IndexedFlexibleArray| . IFARRAY) (|IndexedList| . ILIST) (|IndexedMatrix| . IMATRIX) (|IndexedOneDimensionalArray| . IARRAY1) (|IndexedString| . ISTRING) (|IndexedTwoDimensionalArray| . IARRAY2) (|IndexedVector| . IVECTOR) (|InnerAlgFactor| . IALGFACT) (|InnerAlgebraicNumber| . IAN) (|InnerCommonDenominator| . ICDEN) (|InnerFiniteField| . IFF) (|InnerFreeAbelianMonoid| . IFAMON) (|InnerIndexedTwoDimensionalArray| . IIARRAY2) (|InnerMatrixLinearAlgebraFunctions| . IMATLIN) (|InnerMatrixQuotientFieldFunctions| . IMATQF) (|InnerModularGcd| . INMODGCD) (|InnerMultFact| . INNMFACT) (|InnerNormalBasisFieldFunctions| . INBFF) (|InnerNumericEigenPackage| . INEP) (|InnerNumericFloatSolvePackage| . INFSP) (|InnerPAdicInteger| . IPADIC) (|InnerPolySign| . INPSIGN) (|InnerPolySum| . ISUMP) (|InnerPrimeField| . IPF) (|InnerSparseUnivariatePowerSeries| . ISUPS) (|InnerTable| . INTABL) (|InnerTaylorSeries| . ITAYLOR) (|InnerTrigonometricManipulations| . ITRIGMNP) (|InputForm| . INFORM) (|InputFormFunctions1| . INFORM1) (|IntegerBits| . INTBIT) (|IntegerFactorizationPackage| . INTFACT) (|IntegerMod| . ZMOD) (|IntegerSolveLinearPolynomialEquation| . INTSLPE) (|IntegralBasisPolynomialTools| . IBPTOOLS) (|IntegralBasisTools| . IBATOOL) (|IntegrationResult| . IR) (|IntegrationTools| . INTTOOLS) (|InternalPrintPackage| . IPRNTPK) (|InternalRationalUnivariateRepresentationPackage| . IRURPK) (|IrredPolyOverFiniteField| . IRREDFFX) (|Kernel| . KERNEL) (|Kovacic| . KOVACIC) (|LaurentPolynomial| . LAUPOL) (|LeadingCoefDetermination| . LEADCDET) (|LexTriangularPackage| . LEXTRIPK) (|LieExponentials| . LEXP) (|LiePolynomial| . LPOLY) (|LinearDependence| . LINDEP) (|LinearOrdinaryDifferentialOperatorFactorizer| . LODOF) (|LinearOrdinaryDifferentialOperator1| . LODO1) (|LinearOrdinaryDifferentialOperator2| . LODO2) (|LinearOrdinaryDifferentialOperatorsOps| . LODOOPS) (|LinearPolynomialEquationByFractions| . LPEFRAC) (|LinGroebnerPackage| . LGROBP) (|LiouvillianFunction| . LF) (|ListMonoidOps| . LMOPS) (|ListMultiDictionary| . LMDICT) (|LocalAlgebra| . LA) (|Localize| . LO) (|LyndonWord| . LWORD) (|Magma| . MAGMA) (|MakeBinaryCompiledFunction| . MKBCFUNC) (|MakeCachableSet| . MKCHSET) (|MakeUnaryCompiledFunction| . MKUCFUNC) (|MappingPackageInternalHacks1| . MAPHACK1) (|MappingPackageInternalHacks2| . MAPHACK2) (|MappingPackageInternalHacks3| . MAPHACK3) (|MeshCreationRoutinesForThreeDimensions| . MESH) (|ModMonic| . MODMON) (|ModularField| . MODFIELD) (|ModularHermitianRowReduction| . MHROWRED) (|ModularRing| . MODRING) (|ModuleMonomial| . MODMONOM) (|MoebiusTransform| . MOEBIUS) (|MonoidRing| . MRING) (|MonomialExtensionTools| . MONOTOOL) (|MPolyCatPolyFactorizer| . MPCPF) (|MPolyCatFunctions3| . MPC3) (|MRationalFactorize| . MRATFAC) (|MultipleMap| . MMAP) (|MultivariateLifting| . MLIFT) (|MultivariateSquareFree| . MULTSQFR) (|HomogeneousDirectProduct| . HDP) (|NewSparseMultivariatePolynomial| . NSMP) (|NewSparseUnivariatePolynomial| . NSUP) (|NewSparseUnivariatePolynomialFunctions2| . NSUP2) (|NonCommutativeOperatorDivision| . NCODIV) (|NewtonInterpolation| . NEWTON) (|None| . NONE) (|NonLinearFirstOrderODESolver| . NODE1) (|NonLinearSolvePackage| . NLINSOL) (|NormRetractPackage| . NORMRETR) (|NPCoef| . NPCOEF) (|NumberFormats| . NUMFMT) (|NumberFieldIntegralBasis| . NFINTBAS) (|NumericTubePlot| . NUMTUBE) (|ODEIntegration| . ODEINT) (|ODETools| . ODETOOLS) (|Operator| . OP) (|OppositeMonogenicLinearOperator| . OMLO) (|OrderedDirectProduct| . ODP) (|OrderedFreeMonoid| . OFMONOID) (|OrderedVariableList| . OVAR) (|OrderingFunctions| . ORDFUNS) (|OrderlyDifferentialPolynomial| . ODPOL) (|OrderlyDifferentialVariable| . ODVAR) (|OrdinaryWeightedPolynomials| . OWP) (|OutputForm| . OUTFORM) (|PadeApproximants| . PADE) (|PAdicInteger| . PADIC) (|PAdicRational| . PADICRAT) (|PAdicRationalConstructor| . PADICRC) (|PAdicWildFunctionFieldIntegralBasis| . PWFFINTB) (|ParadoxicalCombinatorsForStreams| . YSTREAM) (|ParametricLinearEquations| . PLEQN) (|PartialFractionPackage| . PFRPAC) (|Partition| . PRTITION) (|Pattern| . PATTERN) (|PatternFunctions1| . PATTERN1) (|PatternMatchFunctionSpace| . PMFS) (|PatternMatchIntegerNumberSystem| . PMINS) (|PatternMatchIntegration| . INTPM) (|PatternMatchKernel| . PMKERNEL) (|PatternMatchListAggregate| . PMLSAGG) (|PatternMatchListResult| . PATLRES) (|PatternMatchPolynomialCategory| . PMPLCAT) (|PatternMatchPushDown| . PMDOWN) (|PatternMatchQuotientFieldCategory| . PMQFCAT) (|PatternMatchResult| . PATRES) (|PatternMatchSymbol| . PMSYM) (|PatternMatchTools| . PMTOOLS) (|PlaneAlgebraicCurvePlot| . ACPLOT) (|Plot| . PLOT) (|PlotFunctions1| . PLOT1) (|PlotTools| . PLOTTOOL) (|Plot3D| . PLOT3D) (|PoincareBirkhoffWittLyndonBasis| . PBWLB) (|Point| . POINT) (|PointsOfFiniteOrder| . PFO) (|PointsOfFiniteOrderRational| . PFOQ) (|PointsOfFiniteOrderTools| . PFOTOOLS) (|PointPackage| . PTPACK) (|PolToPol| . POLTOPOL) (|PolynomialCategoryLifting| . POLYLIFT) (|PolynomialCategoryQuotientFunctions| . POLYCATQ) (|PolynomialFactorizationByRecursion| . PFBR) (|PolynomialFactorizationByRecursionUnivariate| . PFBRU) (|PolynomialGcdPackage| . PGCD) (|PolynomialInterpolation| . PINTERP) (|PolynomialInterpolationAlgorithms| . PINTERPA) (|PolynomialNumberTheoryFunctions| . PNTHEORY) (|PolynomialRing| . PR) (|PolynomialRoots| . POLYROOT) (|PolynomialSetUtilitiesPackage| . PSETPK) (|PolynomialSolveByFormulas| . SOLVEFOR) (|PolynomialSquareFree| . PSQFR) (|PrecomputedAssociatedEquations| . PREASSOC) (|PrimitiveArray| . PRIMARR) (|PrimitiveElement| . PRIMELT) (|PrimitiveRatDE| . ODEPRIM) (|PrimitiveRatRicDE| . ODEPRRIC) (|Product| . PRODUCT) (|PseudoRemainderSequence| . PRS) (|PseudoLinearNormalForm| . PSEUDLIN) (|PureAlgebraicIntegration| . INTPAF) (|PureAlgebraicLODE| . ODEPAL) (|PushVariables| . PUSHVAR) (|QuasiAlgebraicSet| . QALGSET) (|QuasiAlgebraicSet2| . QALGSET2) (|RadicalFunctionField| . RADFF) (|RandomDistributions| . RDIST) (|RandomFloatDistributions| . RFDIST) (|RandomIntegerDistributions| . RIDIST) (|RationalFactorize| . RATFACT) (|RationalIntegration| . INTRAT) (|RationalInterpolation| . RINTERP) (|RationalLODE| . ODERAT) (|RationalRicDE| . ODERTRIC) (|RationalUnivariateRepresentationPackage| . RURPK) (|RealSolvePackage| . REALSOLV) (|RectangularMatrix| . RMATRIX) (|ReducedDivisor| . RDIV) (|ReduceLODE| . ODERED) (|ReductionOfOrder| . REDORDER) (|Reference| . REF) (|RepeatedDoubling| . REPDB) (|RepeatedSquaring| . REPSQ) (|ResidueRing| . RESRING) (|RetractSolvePackage| . RETSOL) (|RuleCalled| . RULECOLD) (|SetOfMIntegersInOneToN| . SETMN) (|SExpression| . SEX) (|SExpressionOf| . SEXOF) (|SequentialDifferentialPolynomial| . SDPOL) (|SequentialDifferentialVariable| . SDVAR) (|SimpleAlgebraicExtension| . SAE) (|SingletonAsOrderedSet| . SAOS) (|SortedCache| . SCACHE) (|SortPackage| . SORTPAK) (|SparseMultivariatePolynomial| . SMP) (|SparseMultivariateTaylorSeries| . SMTS) (|SparseTable| . STBL) (|SparseUnivariatePolynomial| . SUP) (|SparseUnivariateSkewPolynomial| . ORESUP) (|SparseUnivariateLaurentSeries| . SULS) (|SparseUnivariatePuiseuxSeries| . SUPXS) (|SparseUnivariateTaylorSeries| . SUTS) (|SplitHomogeneousDirectProduct| . SHDP) (|SplittingNode| . SPLNODE) (|SplittingTree| . SPLTREE) (|SquareMatrix| . SQMATRIX) (|Stack| . STACK) (|StorageEfficientMatrixOperations| . MATSTOR) (|StreamInfiniteProduct| . STINPROD) (|StreamTaylorSeriesOperations| . STTAYLOR) (|StreamTranscendentalFunctions| . STTF) (|StreamTranscendentalFunctionsNonCommutative| . STTFNC) (|StringTable| . STRTBL) (|SubResultantPackage| . SUBRESP) (|SubSpace| . SUBSPACE) (|SubSpaceComponentProperty| . COMPPROP) (|SuchThat| . SUCH) (|SupFractionFactorizer| . SUPFRACF) (|SymmetricFunctions| . SYMFUNC) (|SymmetricPolynomial| . SYMPOLY) (|SystemODESolver| . ODESYS) (|Table| . TABLE) (|TableauxBumpers| . TABLBUMP) (|TabulatedComputationPackage| . TBCMPPK) (|TangentExpansions| . TANEXP) (|ToolsForSign| . TOOLSIGN) (|TranscendentalHermiteIntegration| . INTHERTR) (|TranscendentalIntegration| . INTTR) (|TranscendentalRischDE| . RDETR) (|TranscendentalRischDESystem| . RDETRS) (|TransSolvePackageService| . SOLVESER) (|TriangularMatrixOperations| . TRIMAT) (|TubePlot| . TUBE) (|TubePlotTools| . TUBETOOL) (|Tuple| . TUPLE) (|TwoDimensionalArray| . ARRAY2) (|TwoDimensionalPlotClipping| . CLIP) (|TwoDimensionalViewport| . VIEW2D) (|TwoFactorize| . TWOFACT) (|UnivariateFactorize| . UNIFACT) (|UnivariateLaurentSeries| . ULS) (|UnivariateLaurentSeriesConstructor| . ULSCONS) (|UnivariatePolynomialDecompositionPackage| . UPDECOMP) (|UnivariatePolynomialDivisionPackage| . UPDIVP) (|UnivariatePolynomialSquareFree| . UPSQFREE) (|UnivariatePuiseuxSeries| . UPXS) (|UnivariatePuiseuxSeriesConstructor| . UPXSCONS) (|UnivariatePuiseuxSeriesWithExponentialSingularity| . UPXSSING) (|UnivariateSkewPolynomial| . OREUP) (|UnivariateSkewPolynomialCategoryOps| . OREPCTO) (|UnivariateTaylorSeries| . UTS) (|UnivariateTaylorSeriesODESolver| . UTSODE) (|UserDefinedPartialOrdering| . UDPO) (|UTSodetools| . UTSODETL) (|Variable| . VARIABLE) (|ViewportPackage| . VIEW) (|WeierstrassPreparation| . WEIER) (|WeightedPolynomials| . WP) (|WildFunctionFieldIntegralBasis| . WFFINTBS) (|XDistributedPolynomial| . XDPOLY) (|XExponentialPackage| . XEXPPKG) (|XPBWPolynomial| . XPBWPOLY) (|XPolynomial| . XPOLY) (|XPolynomialRing| . XPR) (|XRecursivePolynomial| . XRPOLY)) (|defaults| (|AbelianGroup&| . ABELGRP-) (|AbelianMonoid&| . ABELMON-) (|AbelianMonoidRing&| . AMR-) (|AbelianSemiGroup&| . ABELSG-) (|Aggregate&| . AGG-) (|Algebra&| . ALGEBRA-) (|AlgebraicallyClosedField&| . ACF-) (|AlgebraicallyClosedFunctionSpace&| . ACFS-) (|ArcTrigonometricFunctionCategory&| . ATRIG-) (|BagAggregate&| . BGAGG-) (|BasicType&| . BASTYPE-) (|BinaryRecursiveAggregate&| . BRAGG-) (|BinaryTreeCategory&| . BTCAT-) (|BitAggregate&| . BTAGG-) (|Collection&| . CLAGG-) (|ComplexCategory&| . COMPCAT-) (|Dictionary&| . DIAGG-) (|DictionaryOperations&| . DIOPS-) (|DifferentialExtension&| . DIFEXT-) (|DifferentialPolynomialCategory&| . DPOLCAT-) (|DifferentialRing&| . DIFRING-) (|DifferentialVariableCategory&| . DVARCAT-) (|DirectProductCategory&| . DIRPCAT-) (|DivisionRing&| . DIVRING-) (|ElementaryFunctionCategory&| . ELEMFUN-) (|EltableAggregate&| . ELTAGG-) (|EuclideanDomain&| . EUCDOM-) (|Evalable&| . EVALAB-) (|ExpressionSpace&| . ES-) (|ExtensibleLinearAggregate&| . ELAGG-) (|ExtensionField&| . XF-) (|Field&| . FIELD-) (|FieldOfPrimeCharacteristic&| . FPC-) (|FiniteAbelianMonoidRing&| . FAMR-) (|FiniteAlgebraicExtensionField&| . FAXF-) (|FiniteDivisorCategory&| . FDIVCAT-) (|FiniteFieldCategory&| . FFIELDC-) (|FiniteLinearAggregate&| . FLAGG-) (|FiniteSetAggregate&| . FSAGG-) (|FiniteRankAlgebra&| . FINRALG-) (|FiniteRankNonAssociativeAlgebra&| . FINAALG-) (|FloatingPointSystem&| . FPS-) (|FramedAlgebra&| . FRAMALG-) (|FramedNonAssociativeAlgebra&| . FRNAALG-) (|FullyEvalableOver&| . FEVALAB-) (|FullyLinearlyExplicitRingOver&| . FLINEXP-) (|FullyRetractableTo&| . FRETRCT-) (|FunctionFieldCategory&| . FFCAT-) (|FunctionSpace&| . FS-) (|GcdDomain&| . GCDDOM-) (|GradedAlgebra&| . GRALG-) (|GradedModule&| . GRMOD-) (|Group&| . GROUP-) (|HomogeneousAggregate&| . HOAGG-) (|HyperbolicFunctionCategory&| . HYPCAT-) (|IndexedAggregate&| . IXAGG-) (|InnerEvalable&| . IEVALAB-) (|IntegerNumberSystem&| . INS-) (|IntegralDomain&| . INTDOM-) (|KeyedDictionary&| . KDAGG-) (|LazyStreamAggregate&| . LZSTAGG-) (|LeftAlgebra&| . LALG-) (|LieAlgebra&| . LIECAT-) (|LinearAggregate&| . LNAGG-) (|ListAggregate&| . LSAGG-) (|Logic&| . LOGIC-) (|LinearOrdinaryDifferentialOperatorCategory&| . LODOCAT-) (|MatrixCategory&| . MATCAT-) (|Module&| . MODULE-) (|Monad&| . MONAD-) (|MonadWithUnit&| . MONADWU-) (|Monoid&| . MONOID-) (|MonogenicAlgebra&| . MONOGEN-) (|NonAssociativeAlgebra&| . NAALG-) (|NonAssociativeRing&| . NASRING-) (|NonAssociativeRng&| . NARNG-) (|OctonionCategory&| . OC-) (|OneDimensionalArrayAggregate&| . A1AGG-) (|OrderedRing&| . ORDRING-) (|OrderedSet&| . ORDSET-) (|PartialDifferentialRing&| . PDRING-) (|PolynomialCategory&| . POLYCAT-) (|PolynomialFactorizationExplicit&| . PFECAT-) (|PolynomialSetCategory&| . PSETCAT-) (|PowerSeriesCategory&| . PSCAT-) (|QuaternionCategory&| . QUATCAT-) (|QuotientFieldCategory&| . QFCAT-) (|RadicalCategory&| . RADCAT-) (|RealClosedField&| . RCFIELD-) (|RealNumberSystem&| . RNS-) (|RealRootCharacterizationCategory&| . RRCC-) (|RectangularMatrixCategory&| . RMATCAT-) (|RecursiveAggregate&| . RCAGG-) (|RecursivePolynomialCategory&| . RPOLCAT-) (|RegularTriangularSetCategory&| . RSETCAT-) (|RetractableTo&| . RETRACT-) (|Ring&| . RING-) (|SemiGroup&| . SGROUP-) (|SetAggregate&| . SETAGG-) (|SetCategory&| . SETCAT-) (|SquareMatrixCategory&| . SMATCAT-) (|StreamAggregate&| . STAGG-) (|StringAggregate&| . SRAGG-) (|TableAggregate&| . TBAGG-) (|TranscendentalFunctionCategory&| . TRANFUN-) (|TriangularSetCategory&| . TSETCAT-) (|TrigonometricFunctionCategory&| . TRIGCAT-) (|TwoDimensionalArrayCategory&| . ARR2CAT-) (|UnaryRecursiveAggregate&| . URAGG-) (|UniqueFactorizationDomain&| . UFD-) (|UnivariateLaurentSeriesConstructorCategory&| . ULSCCAT-) (|UnivariatePolynomialCategory&| . UPOLYC-) (|UnivariatePowerSeriesCategory&| . UPSCAT-) (|UnivariatePuiseuxSeriesConstructorCategory&| . UPXSCCA-) (|UnivariateSkewPolynomialCategory&| . OREPCAT-) (|UnivariateTaylorSeriesCategory&| . UTSCAT-) (|VectorCategory&| . VECTCAT-) (|VectorSpace&| . VSPACE-)))
+--E 155
+
+--S 156 of 237
+)lisp (identity |$HistList|)
+--R 
+--RValue = #0=(NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL . #0#)
+--E 156
+
+--S 157 of 237
+)lisp (identity |$HistListAct|)
+--R 
+--RValue = 0
+--E 157
+
+--S 158 of 237
+)lisp (identity |$HistListLen|)
+--R 
+--RValue = 20
+--E 158
+
+--S 159 of 237
+)lisp (identity |$HistRecord|)
+--R 
+--RValue = NIL
+--E 159
+
+--S 160 of 237
+)lisp (identity |$inLispVM|)
+--R 
+--RValue = NIL
+--E 160
+
+--S 161 of 237
+)lisp (identity |$inclAssertions|)
+--R 
+--RValue = (AIX |CommonLisp|)
+--E 161
+
+--S 162 of 237
+)lisp (identity |$InitialModemapFrame|)) )
+--R 
+--RValue = ((NIL))
+--E 162
+
+--S 163 of 237
+)lisp (identity in-stream)
+--R 
+--RValue = #<synonym stream to *STANDARD-INPUT*>
+--E 163
+
+--S 164 of 237
+)lisp (identity |$InteractiveMode|)
+--R 
+--RValue = T
+--E 164
+
+--S 165 of 237
+)lisp (identity |$InteractiveFrame| )
+--R 
+--RValue = ((NIL))
+--E 165
+
+--S 166 of 237
+)lisp (identity |$internalHistoryTable|)
+--R 
+--RValue = NIL
+--E 166
+
+--S 167 of 237
+)lisp (identity |$interpreterFrameName|)
+--R 
+--IValue = |frame0|
+--E 167
+
+--S 168 of 237
+)lisp (identity |$interpreterFrameRing|)
+--R 
+--IValue = ((|frame0| ((NIL)) 1 T #0=(NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL . #0#) 20 0 NIL NIL #<vector 08cc0e8c>) (|initial| ((NIL)) 1 T #1=(NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL NIL . #1#) 20 0 NIL NIL #<vector 086b1a48>))
+--E 168
+
+--S 169 of 237
+)lisp (identity |$intRestart|)
+--R 
+--RValue = |restart|
+--E 169
+
+--S 170 of 237
+)lisp (identity |$intTopLevel|)
+--R 
+--RValue = |top_level|
+--E 170
+
+--S 171 of 237
+)lisp (identity |$IOindex| )
+--R 
+--RValue = 1
+--E 171
+
+--S 172 of 237
+)lisp (identity |$JoinOfCatDatabase|)
+--R 
+--RValue = NIL
+--E 172
+
+--S 173 of 237
+)lisp (identity |$JoinOfDomDatabase|)
+--R 
+--RValue = NIL
+--E 173
+
+--S 174 of 237
+)lisp (identity |$lastPos|)
+--R 
+--RValue = (|noposition|)
+--E 174
+
+--S 175 of 237
+)lisp (identity |$lastUntraced|)
+--R 
+--RValue = NIL
+--E 175
+
+--S 176 of 237
+)lisp (identity |$letAssoc| )
+--R 
+--RValue = NIL
+--E 176
+
+--S 177 of 237
+)lisp (identity |$libQuiet|)
+--R 
+--RValue = T
+--E 177
+
+--S 178 of 237
+)lisp (identity $library-directory-list)
+--R 
+--IValue = ("/research/reference/mnt/ubuntu/algebra/")
+--E 178
+
+--S 179 of 237
+)lisp (identity |$localExposureData|)
+--R 
+--IValue = #<vector 08cc0e8c>
+--E 179
+
+--S 180 of 237
+)lisp (identity |$localExposureDataDefault|)
+--R 
+--IValue = #<vector 08a687fc>
+--E 180
+
+--S 181 of 237
+)lisp (identity |$lookupDefaults|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$lookupDefaults| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 181
+
+--S 182 of 237
+)lisp (identity |$mathmlOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 182
+
+--S 183 of 237
+)lisp (identity |$mathTraceList|)
+--R 
+--RValue = NIL
+--E 183
+
+--S 184 of 237
+)lisp (identity |$mkTestInputStack|)
+--R 
+--RValue = NIL
+--E 184
+
+--S 185 of 237
+)lisp (identity |$msgAlist|)
+--R 
+--RValue = NIL
+--E 185
+
+--S 186 of 237
+)lisp (identity |$msgDatabase|)
+--R 
+--RValue = NIL
+--E 186
+
+--S 187 of 237
+)lisp (identity |$msgDatabaseName|)
+--R 
+--RValue = NIL
+--E 187
+
+--S 188 of 237
+)lisp (identity |$ncMsgList|)
+--R 
+--RValue = NIL
+--E 188
+
+--S 189 of 237
+)lisp (identity |$newConlist|)
+--R 
+--RValue = NIL
+--E 189
+
+--S 190 of 237
+)lisp (identity |$NonNullStream| )
+--R 
+--RValue = "NonNullStream"
+--E 190
+
+--S 191 of 237
+)lisp (identity |$nopos|)
+--R 
+--RValue = (|noposition|)
+--E 191
+
+--S 192 of 237
+)lisp (identity |$newcompErrorCount|)
+--R 
+--RValue = 0
+--E 192
+
+--S 193 of 237
+)lisp (identity |$newcompMode|)
+--R 
+--RValue = NIL
+--E 193
+
+--S 194 of 237
+)lisp (identity $newspad)
+--R 
+--RValue = T
+--E 194
+
+--S 195 of 237
+)lisp (identity |$NullStream|)
+--R 
+--RValue = "NullStream"
+--E 195
+
+--S 196 of 237
+)lisp (identity |$okToExecuteMachineCode|)
+--R 
+--RValue = T
+--E 196
+
+--S 197 of 237
+)lisp (identity |$openMathOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 197
+
+--S 198 of 237
+)lisp (identity |$operationNameList|)
+--R 
+--RValue = NIL
+--E 198
+
+--S 199 of 237
+)lisp (identity |$outputLibraryName|)
+--R 
+--RValue = NIL
+--E 199
+
+--S 200 of 237
+)lisp (identity |$OutputForm|)
+--R 
+--RValue = (|OutputForm|)
+--E 200
+
+--S 201 of 237
+)lisp (identity |$packages|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$packages| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 201
+
+--S 202 of 237
+)lisp (identity /pretty)
+--R 
+--RValue = NIL
+--E 202
+
+--S 203 of 237
+)lisp (identity |$previousBindings|)
+--R 
+--RValue = NIL
+--E 203
+
+--S 204 of 237
+)lisp (identity |$PrintCompilerMessageIfTrue|)
+--R 
+--RValue = NIL
+--E 204
+
+--S 205 of 237
+)lisp (identity |$printLoadMsgs| )
+--R 
+--RValue = NIL
+--E 205
+
+--S 206 of 237
+)lisp (identity |$promptMsg|)
+--R 
+--RValue = S2CTP023
+--E 206
+
+--S 207 of 237
+)lisp (identity |$QuickLet)
+--R 
+--R 
+--R   >> System error:
+--R   Unexpected end of #<string-input stream from " (identity |$Qui...">.
+--R
+--R   Continuing to read the file...
+--R
+--E 207
+
+--S 208 of 237
+)lisp (identity |$quitTag|)
+--R 
+--RValue = (NIL)
+--E 208
+
+--S 209 of 237
+)lisp (identity $relative-directory-list)
+--R 
+--RValue = ("/../../src/input/" "/doc/msgs/" "/../../src/algebra/" "/../../src/interp/" "/doc/spadhelp/")
+--E 209
+
+--S 210 of 237
+)lisp (identity $relative-library-directory-list)
+--R 
+--RValue = ("/algebra/")
+--E 210
+
+--S 211 of 237
+)lisp (identity |$seen|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$seen| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 211
+
+--S 212 of 237
+)lisp (identity |$SessionManager|)
+--R 
+--RValue = 1
+--E 212
+
+--S 213 of 237
+)lisp (identity |$setOptions|)
+--R 
+--RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|) (|args| "arguments for compiling AXIOM code" |interpreter| FUNCTION |setAsharpArgs| (("enter compiler options " STRING |$asharpCmdlineFlags| |chkDirectory| "-O -Fasy -Fao -Flsp -laxiom -Mno-AXL__W__WillObsolete -DAxiom -Y $AXIOM/algebra")) NIL))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|kernel| "library functions built into the kernel for efficiency" |interpreter| TREE |novar| ((|warn| "warn when re-definition is attempted" |interpreter| FUNCTION |protectedSymbolsWarning| NIL |htSetKernelWarn|) (|protect| "prevent re-definition of kernel functions" |interpreter| FUNCTION |protectSymbols| NIL |htSetKernelProtect|))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |off|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
+--E 213
+
+--S 214 of 237
+)lisp (identity |$shoeReadLineFunction|)
+--R 
+--RValue = #<compiled-function |serverReadLine|>
+--E 214
+
+--S 215 of 237
+)lisp (identity |$slamFlag|)
+--R 
+--RValue = NIL
+--E 215
+
+--S 216 of 237
+)lisp (identity /sourcefiles)
+--R 
+--RValue = NIL
+--E 216
+
+--S 217 of 237
+)lisp (identity |$sourceFiles|)
+--R 
+--RValue = NIL
+--E 217
+
+--S 218 of 237
+)lisp (identity /spacelist)
+--R 
+--RValue = NIL
+--E 218
+
+--S 219 of 237
+)lisp (identity $spad)
+--R 
+--RValue = T
+--E 219
+
+--S 220 of 237
+)lisp (identity $spadroot)
+--R 
+--IValue = "/research/reference/mnt/ubuntu"
+--E 220
+
+--S 221 of 237
+)lisp (identity |$texOutputStream|)
+--R 
+--RValue = #<synonym stream to *TERMINAL-IO*>
+--E 221
+
+--S 222 of 237
+)lisp (identity /timerlist)
+--R 
+--RValue = NIL
+--E 222
+
+--S 223 of 237
+)lisp (identity |$timerTicksPerSecond|)
+--R 
+--RValue = 100
+--E 223
+
+--S 224 of 237
+)lisp (identity |$tracedMapSignatures|)
+--R 
+--RValue = NIL
+--E 224
+
+--S 225 of 237
+)lisp (identity |$tracedModemap|)
+--R 
+--RValue = NIL
+--E 225
+
+--S 226 of 237
+)lisp (identity |$tracedSpadModemap|)
+--R 
+--RValue = NIL
+--E 226
+
+--S 227 of 237
+)lisp (identity |$traceErrorStack|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$traceErrorStack| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 227
+
+--S 228 of 237
+)lisp (identity $traceletflag)
+--R 
+--RValue = NIL
+--E 228
+
+--S 229 of 237
+)lisp (identity |$traceletFunctions|)
+--R 
+--RValue = NIL
+--E 229
+
+--S 230 of 237
+)lisp (identity |$undoFlag|)
+--R 
+--RValue = T
+--E 230
+
+--S 231 of 237
+)lisp (identity |$useFullScreenHelp|)
+--R 
+--RValue = NIL
+--E 231
+
+--S 232 of 237
+)lisp (identity |$UserAbbreviationsAlist|)
+--R 
+--RValue = NIL
+--E 232
+
+--S 233 of 237
+)lisp (identity |$variableNumberAlist|)
+--R 
+--RValue = NIL
+--E 233
+
+--S 234 of 237
+)lisp (identity |$Void|)
+--R 
+--RValue = (|Void|)
+--E 234
+
+--S 235 of 237
+)lisp (identity |$writifyComplained|)
+--R 
+--R 
+--R   >> System error:
+--R   The variable |$writifyComplained| is unbound.
+--R
+--R   Continuing to read the file...
+--R
+--E 235
+
+--S 236 of 237
+)lisp (identity /wsname)
+--R 
+--RValue = NOBOOT
+--E 236
+
+--S 237 of 237
+)lisp (identity |$xdatabase|)
+--R 
+--RValue = NIL
+--E 237
+
+
+)spool
+ 
+
+
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/interp/comp.lisp.pamphlet b/src/interp/comp.lisp.pamphlet
index f822aad..9e9deed 100644
--- a/src/interp/comp.lisp.pamphlet
+++ b/src/interp/comp.lisp.pamphlet
@@ -73,7 +73,6 @@
 
 (defparameter FluidVars nil)
 (defparameter LocVars nil)
-; (defparameter OptionList nil) defined in nlib.lisp
 (defparameter SpecialVars nil)
 
 (defun |compAndDefine| (L)
@@ -83,15 +82,6 @@
 
 (defun COMP (L) (MAPCAR #'COMP-2 (MAPCAN #'COMP-1 L)))
 
-;;(defun |compQuietly| (L)
-;;  (let (U CUROUTSTREAM)
-;;    (declare (special CUROUTSTREAM))
-;;    (ADDOPTIONS 'LISTING NULLOUTSTREAM)                     
-;;    (SETQ CUROUTSTREAM NULLOUTSTREAM)                       
-;;    (setq U (COMP L))
-;;    (setq OPTIONLIST (CDDR OPTIONLIST))
-;;    U))
-
 (defun |compQuietly| (fn)
   (let ((*comp370-apply*
 	 (if |$InteractiveMode|
@@ -103,32 +93,6 @@
 	   *standard-output*)))
     (COMP fn)))
 
-#-:CCL
-(defun |compileFileQuietly| (fn) 
-  (let (
-     ;; following creates a null outputstream if $InteractiveMode
-	(*standard-output*
-	 (if |$InteractiveMode| (make-broadcast-stream)
-	   *standard-output*)))
-    (COMPILE-FILE fn)))
-
-#+:CCL
-(defun |compileFileQuietly| (fn)
-  (let (
-     ;; following creates a null outputstream if $InteractiveMode
-     (*standard-output*
-       (if |$InteractiveMode| (make-broadcast-stream) *standard-output*)))
-     ;; The output-library is not opened before use unless set explicitly
-     (if (null output-library)
-         (|openOutputLibrary| 
-           (setq |$outputLibraryName|
-            (if (null |$outputLibraryName|)
-                (make-pathname :directory (get-current-directory)
-                               :name "user.lib")
-                (if (filep |$outputLibraryName|) (truename |$outputLibraryName|)
-                                                 |$outputLibraryName|)))))
-     (compile-lib-file fn)))
-
 ;; The following are used mainly in setvars.boot
 (defun notEqualLibs (u v)
   (if (string= u (library-name v)) (seq (close-library v) t) nil))
@@ -147,19 +111,6 @@
   (|dropInputLibrary| lib)
    (setq input-libraries (cons (open-library lib) input-libraries)) )
 
-
-
-;;(defun |compileQuietly| (L) (PROG (U CUROUTSTREAM)
-;;  ;; calls lisp system COMPILE or DEFINE                  
-;;  (ADDOPTIONS 'QUIET 'T)                                  
-;;  (ADDOPTIONS 'LISTING NULLOUTSTREAM)                     
-;;  (SETQ CUROUTSTREAM NULLOUTSTREAM)                       
-;;  (SETQ U (COND                                           
-;;    (|$compileDontDefineFunctions| (COMPILE L))           
-;;    ('T (DEFINE L))))                                     
-;;  (SETQ OPTIONLIST (CDDR OPTIONLIST))                     
-;;  (RETURN U)   ))                                       
-
 (defun |compileQuietly| (fn)
   (let ((*comp370-apply*
 	 (if |$InteractiveMode|
